ChangeSet@1.2332, 2006-10-24 19:05:11+02:00, mmj@tiger.local +2 -0
  Bug #23427: incompatible ABI change in 5.0.26?
  Revert 1 June change enough to restore ABI compatibility with previous
  versions.

  include/mysql.h@1.168, 2006-10-24 19:03:29+02:00, mmj@tiger.local +0 -6
    Revert patch that breaks ABI compatibility

  libmysqld/lib_sql.cc@1.121, 2006-10-24 19:03:29+02:00, mmj@tiger.local +0 -1
    Remove useless assignment.

ChangeSet@1.2331, 2006-10-23 09:48:36+02:00, jonas@perch.ndb.mysql.com +1 -0
  5.1.12 - release clone
    ndb - revert fix bug#21052 as it's wrong, and induces bus-error on node crashes

  storage/ndb/src/mgmsrv/Services.cpp@1.76, 2006-10-23 09:48:34+02:00, jonas@perch.ndb.mysql.com +1 -7
    5.1.12 - release clone
      ndb - revert fix bug#21052 as it's wrong, and induces bus-error on node crashes

ChangeSet@1.2330, 2006-10-20 20:18:44+02:00, kent@mysql.com +1 -0
  make_win_bin_dist:
    Aligned script with updated 5.0 version

  scripts/make_win_bin_dist@1.2, 2006-10-20 20:16:14+02:00, kent@mysql.com +329 -90
    Aligned script with updated 5.0 version

ChangeSet@1.2329, 2006-10-19 15:56:37+02:00, andrey@example.com +1 -0
  Fix small glitch during parsing of ALTER EVENT xyz
  with only COMMENT clause. Strangely it has manifestated itself
  only on two platforms. This is a fix for bug#23423 
  "Syntax error for "ALTER EVENT ... COMMENT ..." on just two platforms"

  sql/sql_yacc.yy@1.508, 2006-10-19 15:56:27+02:00, andrey@example.com +1 -0
    if COMMENT is used mark it as used.
    There was a missing setting to 1 of $$. If COMMENT
    was used in combinations with other clauses then it
    was passing.

ChangeSet@1.2328, 2006-10-19 16:39:24+05:00, holyfoot@mysql.com +2 -0
  libmysqld/Makefile.am  fixed

  config/ac-macros/plugins.m4@1.20, 2006-10-19 16:39:20+05:00, holyfoot@mysql.com +5 -5
    code moved to the proper place

  libmysqld/Makefile.am@1.101, 2006-10-19 16:39:20+05:00, holyfoot@mysql.com +3 -3
    "" removed

ChangeSet@1.2327, 2006-10-19 04:38:16+02:00, kent@mysql.com +1 -0
  Makefile.am:
    Quote variable in "for"-loop head, in case it can be empty.

  libmysqld/Makefile.am@1.100, 2006-10-19 04:37:29+02:00, kent@mysql.com +3 -3
    Quote variable in "for"-loop head, in case it can be empty.

ChangeSet@1.2323.1.2, 2006-10-18 18:48:38+05:00, holyfoot@mysql.com +1 -0
  letter's case fixed

  config/ac-macros/plugins.m4@1.19, 2006-10-18 18:48:35+05:00, holyfoot@mysql.com +3 -3
    x->X

ChangeSet@1.2323.1.1, 2006-10-18 17:03:37+05:00, holyfoot@mysql.com +7 -0
  bug #23369 (Embedded library can't be linked)
  Problem is that some files moved to storage/*/ still are dependent
  on sql/ code (usually use members of THD structure)
  that can get different being compiled with another #define-s
  Code added to recompile these for the embedded server

  config/ac-macros/plugins.m4@1.18, 2006-10-18 17:03:30+05:00, holyfoot@mysql.com +35 -3
    macros added to check if the storage has sql/ - dependent code

  libmysqld/Makefile.am@1.99, 2006-10-18 17:03:30+05:00, holyfoot@mysql.com +12 -2
    symlink files from storage/*/ needed to be recompiled
    with EMBEDDED_LIBRARY

  storage/federated/plug.in@1.2, 2006-10-18 17:03:30+05:00, holyfoot@mysql.com +1 -0
    ha_federated.cc uses THD structure

  storage/heap/plug.in@1.2, 2006-10-18 17:03:30+05:00, holyfoot@mysql.com +1 -0
    ha_heap.cc uses THD structure

  storage/innobase/plug.in@1.4, 2006-10-18 17:03:30+05:00, holyfoot@mysql.com +1 -0
    ha_innodb.cc uses THD structure

  storage/myisam/plug.in@1.2, 2006-10-18 17:03:31+05:00, holyfoot@mysql.com +1 -0
    ha_myisam.cc uses THD structure

  storage/myisammrg/plug.in@1.2, 2006-10-18 17:03:31+05:00, holyfoot@mysql.com +1 -0
    ha_myisammrg.cc uses THD structure

ChangeSet@1.2325, 2006-10-18 12:35:45+02:00, kent@mysql.com +1 -0
  mysql.spec.sh:
    Aligned test flags to TAR builds

  support-files/mysql.spec.sh@1.168, 2006-10-18 12:32:41+02:00, kent@mysql.com +7 -6
    Aligned test flags to TAR builds

ChangeSet@1.2324, 2006-10-18 10:07:02+02:00, jonas@perch.ndb.mysql.com +1 -0
  ndb -
    Fix uninit variable, causing problems with auto-increment on rhas3-x86 (only found on this platform, really weird)

  storage/ndb/src/kernel/blocks/dbtup/DbtupExecQuery.cpp@1.46, 2006-10-18 10:07:00+02:00, jonas@perch.ndb.mysql.com +6 -9
    Fix uninit variable, causing problems with auto-increment on rhas3-x86 (only found on this platform, really weird)

ChangeSet@1.2323, 2006-10-17 15:05:31+02:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - remove duplicate solution to ndb_restore_compat make_binary_distribution problem

  scripts/make_binary_distribution.sh@1.131, 2006-10-17 15:05:29+02:00, jonas@perch.ndb.mysql.com +2 -11
    ndb - remove duplicate solution to ndb_restore_compat make_binary_distribution problem

ChangeSet@1.2322, 2006-10-17 13:34:00+02:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - ndb_restore_compat
    Update make_binary_distribution.sh
    Make sure all files needed for testing are included

  scripts/make_binary_distribution.sh@1.130, 2006-10-17 13:33:58+02:00, jonas@perch.ndb.mysql.com +2 -0
    Make sure all files needed for testing are included

ChangeSet@1.2321, 2006-10-16 23:37:00+02:00, jonas@perch.ndb.mysql.com +2 -0
  ndb - fix some ndb strict-alias problems
    found with gcc 4.0.2 on Itanium2
    (ndb_dd_* failures)

  storage/ndb/src/kernel/blocks/dbtup/DbtupDiskAlloc.cpp@1.17, 2006-10-16 23:36:56+02:00, jonas@perch.ndb.mysql.com +37 -21
    Fix some potentil alias problems

  storage/ndb/src/kernel/vm/Pool.hpp@1.9, 2006-10-16 23:36:56+02:00, jonas@perch.ndb.mysql.com +5 -1
    Fix potential alias problem

ChangeSet@1.2320, 2006-10-16 02:07:50+02:00, kent@mysql.com +2 -0
  make_binary_distribution.sh:
    Split copy of result files to avoid shell limit.
    Added copy of mysql-test/std_data/ndb_backup5{0,1}.
  configure.in:
    Look for dlopen() even if --with-mysqld-ldflags constains "-static",
    as this is not the same as the flag to "ld", it just informs
    "libtool" to link static with libraries created part of the build,
    even if there exists shared versions.

  configure.in@1.387, 2006-10-15 19:45:29+02:00, kent@mysql.com +2 -2
    Look for dlopen() even if --with-mysqld-ldflags constains "-static",
    as this is not the same as the flag to "ld", it just informs
    "libtool" to link static with libraries created part of the build,
    even if there exists shared versions.

  scripts/make_binary_distribution.sh@1.129, 2006-10-16 01:58:08+02:00, kent@mysql.com +11 -2
    Split copy of result files to avoid shell limit.
    Added copy of mysql-test/std_data/ndb_backup5{0,1}.

ChangeSet@1.2319, 2006-10-14 20:03:49+02:00, kent@mysql.com +1 -0
  Makefile.am:
    Configure flags makes "lex_hash.h" differ, don't distribute
    pregenerated file, build it after configure (bug#18888).

  sql/Makefile.am@1.162, 2006-10-14 20:00:26+02:00, kent@mysql.com +8 -8
    Configure flags makes "lex_hash.h" differ, don't distribute
    pregenerated file, build it after configure (bug#18888).

ChangeSet@1.2318, 2006-10-13 21:48:27+02:00, kent@mysql.com +1 -0
  CMakeLists.txt:
    Added mysql_upgrade target to Windows CMake build

  client/CMakeLists.txt@1.13, 2006-10-13 21:47:43+02:00, kent@mysql.com +3 -0
    Added mysql_upgrade target to Windows CMake build

ChangeSet@1.2317, 2006-10-13 10:11:18+02:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - fix memleak (due to incorrect merge of bug#21941)
    recommit into release-clone

  storage/ndb/src/ndbapi/NdbScanOperation.cpp@1.98, 2006-10-13 10:11:14+02:00, jonas@perch.ndb.mysql.com +2 -2
    fix missing "if" statement

ChangeSet@1.2314.1.1, 2006-10-13 03:32:38+02:00, kent@mysql.com +2 -0
  log_event.cc, sql_class.cc:
    VisualStudio needs cast from (byte*) to (const char*), 3rd arg to _db_dump_()

  sql/log_event.cc@1.247, 2006-10-13 03:30:45+02:00, kent@mysql.com +2 -2
    VisualStudio needs cast from (byte*) to (const char*), 3rd arg to _db_dump_()

  sql/sql_class.cc@1.294, 2006-10-13 03:29:55+02:00, kent@mysql.com +4 -4
    VisualStudio needs cast from (byte*) to (const char*), 3rd arg to _db_dump_()

ChangeSet@1.2315, 2006-10-12 22:42:43+02:00, joerg@trift2. +1 -0
  unittest/mytap/tap.c  :
  Do not (try to) set a signal handler action unless a signal is defined on the platform.

  unittest/mytap/tap.c@1.7, 2006-10-12 22:42:40+02:00, joerg@trift2. +13 -5
    Do not (try to) set a signal handler action unless a signal is defined on the platform.
    SIGXCPU, SIGXFSZ, SIGSYS, and SIGTRAP were reported as undefined in Netware build of 5.1.12-beta.

ChangeSet@1.2314, 2006-10-12 19:43:47+02:00, kent@mysql.com +3 -0
  thr_alarm.c, thr_lock.c, my_global.h:
    Avoid multiple define of DBUG_OFF (bug#21749)

  include/my_global.h@1.148, 2006-10-12 19:42:01+02:00, kent@mysql.com +7 -2
    Avoid multiple define of DBUG_OFF (bug#21749)

  mysys/thr_alarm.c@1.51, 2006-10-12 19:41:06+02:00, kent@mysql.com +1 -2
    Avoid multiple define of DBUG_OFF (bug#21749)

  mysys/thr_lock.c@1.54, 2006-10-12 19:41:32+02:00, kent@mysql.com +1 -1
    Avoid multiple define of DBUG_OFF (bug#21749)

ChangeSet@1.2311.1.1, 2006-10-12 18:26:17+02:00, kent@mysql.com +1 -0
  mysql.spec.sh:
    Corrected path to mysql-test directory
    Removed man1/mysql_explain_log.1

  support-files/mysql.spec.sh@1.167, 2006-10-12 18:24:26+02:00, kent@mysql.com +2 -3
    Corrected path to mysql-test directory
    Removed man1/mysql_explain_log.1

ChangeSet@1.2312, 2006-10-12 18:25:27+02:00, joerg@trift2. +4 -0
  Various tool fixes, necessary to build 5.1.12-beta on Netware.

  netware/BUILD/compile-AUTOTOOLS@1.7, 2006-10-12 18:25:23+02:00, joerg@trift2. +5 -1
    Fixes for Netware builds:
    1) The "autotools" used there have problems with changing variables in Makefiles
       after the initial setting.
    2) "storage/innobase" does not need an autotool run any more.
    3) "automake --verbose" may be able to help if new problems arise.

  netware/BUILD/compile-netware-START@1.8, 2006-10-12 18:25:23+02:00, joerg@trift2. +0 -1
    The CSV engine is now mandatory in 5.1, must not be de-configured.

  netware/BUILD/mwenv@1.17, 2006-10-12 18:25:23+02:00, joerg@trift2. +1 -1
    When testing for a possibly empty shell variable, it is mandatory to use quotes!

  netware/BUILD/nwbootstrap@1.13, 2006-10-12 18:25:23+02:00, joerg@trift2. +9 -8
    The "mwenv" file has been changed, reflect these changes here:
    1) It is no longer necessary to set the variables WINE_BUILD_DIR, BUILD_DIR, and VERSION.
    2) The handling of MYDEV there has changed, the "export" line may be indented.

ChangeSet@1.2311, 2006-10-11 15:32:32+02:00, joerg@trift2. +1 -0
  Override "read-only" permissions when doing "make distcheck".

  Docs/Makefile.am@1.61, 2006-10-11 15:32:28+02:00, joerg@trift2. +1 -1
    Override "read-only" permissions on "manual.chm".

ChangeSet@1.2310, 2006-10-11 15:53:56+04:00, ted@ted.mysql.internal +3 -0
  BUG#21524 ps.test updated to meet recent changes in SQL parser

  mysql-test/r/ps.result@1.79, 2006-10-11 15:53:52+04:00, ted@ted.mysql.internal +239 -222
    brand new ps.result recorded out of updated ps.test output

  mysql-test/t/disabled.def@1.207, 2006-10-11 15:53:53+04:00, ted@ted.mysql.internal +0 -1
    ps.test enabled anew

  mysql-test/t/ps.test@1.76, 2006-10-11 15:53:53+04:00, ted@ted.mysql.internal +51 -54
    ps.test updated to ensure FLUSH/RESET are not allowed in stored functions at both
    parse and execution time

ChangeSet@1.2301.1.2, 2006-10-10 15:26:39+02:00, jonas@perch.ndb.mysql.com +1 -0
  ndb -
    ndb_restore Return OK even if temporary errors
      (otherwise mysql-test-run/ndb_restore can fail on really slow machines)

  storage/ndb/tools/restore/restore_main.cpp@1.46.1.1, 2006-10-10 15:26:38+02:00, jonas@perch.ndb.mysql.com +1 -2
    Return OK even if temporary errors

ChangeSet@1.2273.115.1, 2006-10-10 15:18:21+02:00, mats@romeo.(none) +2 -0
  BUG#21474 (There is a rotation before the last table map):
  Removing code to step the group log position and just stepping
  the event log position.  If the group log position were stepped
  one time too many, it might be that the group starts at a position
  that is not possible, e.g., at a Rows_log_event, or between an
  Intvar_log_event and the following associated Query_log_event.

  sql/log_event.cc@1.244.2.1, 2006-10-10 15:18:03+02:00, mats@romeo.(none) +13 -13
    Removing code to step the group log position and just stepping
    the event log position.  If the group log position were stepped
    one time too many, it might be that the group starts at a position
    that is not possible, e.g., at a Rows_log_event, or between an
    Intvar_log_event and the following associated Query_log_event.

  sql/slave.cc@1.285.1.1, 2006-10-10 15:18:03+02:00, mats@romeo.(none) +16 -11
    Removing code to step the group log position and just stepping
    the event log position when executing a Format_description_log_event.
    If the group log position were stepped one time too many, it might be that the group starts at a position
    that is not possible, e.g., at a Rows_log_event, or between an
    Intvar_log_event and the following associated Query_log_event.

ChangeSet@1.2273.109.12, 2006-10-10 14:58:40+02:00, mats@romeo.(none) +1 -0
  Fixes to make replication team tree build on Windows.

  sql/log_event.cc@1.244.1.2, 2006-10-10 14:58:17+02:00, mats@romeo.(none) +3 -3
    Adding casts to make it compile on Windows.

ChangeSet@1.2273.109.11, 2006-10-10 12:29:24+02:00, mats@romeo.(none) +1 -0
  Fix to make it build on all platforms.
  Replacing C++ code with C code in a C file.

  mysys/mf_iocache2.c@1.30, 2006-10-10 12:29:21+02:00, mats@romeo.(none) +2 -1
    There shall not be C++ code in C files.

ChangeSet@1.1810.2123.12, 2006-10-10 09:47:30+02:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - bug#23107
    fix bug in test prg

  ndb/test/ndbapi/testTimeout.cpp@1.11.3.2, 2006-10-10 09:47:29+02:00, jonas@perch.ndb.mysql.com +2 -2
    ndb - bug#23107
      fix bug in test prg

ChangeSet@1.1810.2123.11, 2006-10-10 09:37:54+02:00, jonas@perch.ndb.mysql.com +2 -0
  ndb - bug#23107
    fix bug in handling of inactive timeout for scan, when all is delivered

  ndb/src/kernel/blocks/dbtc/DbtcMain.cpp@1.73.29.1, 2006-10-10 09:37:52+02:00, jonas@perch.ndb.mysql.com +23 -0
    1) set timeout if all scans are at api
    2) Use c_appl_timeout_value when getting scan timeout

  ndb/test/ndbapi/testTimeout.cpp@1.11.3.1, 2006-10-10 09:37:52+02:00, jonas@perch.ndb.mysql.com +49 -1
    test program

ChangeSet@1.2273.109.10, 2006-10-09 13:47:06+02:00, mats@romeo.(none) +1 -0
  Post-merge fixes.

  mysql-test/t/view.test@1.165.1.1, 2006-10-09 13:47:02+02:00, mats@romeo.(none) +10 -10
    Switching to using symbolic error numbers instead of numbers.
    Using numbers caused test to fail.

ChangeSet@1.1810.2193.6, 2006-10-08 22:34:32+05:00, svoj@mysql.com +1 -0
  After merge fix.

  sql/ha_myisammrg.cc@1.59.6.1, 2006-10-08 22:34:30+05:00, svoj@mysql.com +1 -1
    After merge fix.

ChangeSet@1.1616.2781.1, 2006-10-06 15:17:42+05:00, svoj@mysql.com +1 -0
  BUG#22937 - Valgrind failure in 'merge' test (ha_myisammrg.cc:329)
  
  This is addition to fix for bug21617. Valgrind reports an error when
  opening merge table that has underlying tables with less indexes than
  in a merge table itself.
  
  Copy at most min(file->keys, table->key_parts) elements from rec_per_key array.
  This fixes problems when merge table and subtables have different number of keys.

  sql/ha_myisammrg.cc@1.51.1.12, 2006-10-06 15:17:41+05:00, svoj@mysql.com +14 -1
    Copy at most min(file->keys, table->key_parts) elements from rec_per_key array.
    This fixes problems when merge table and subtables have different number of keys.

ChangeSet@1.1616.2780.3, 2006-10-06 14:47:58+05:00, svoj@mysql.com +2 -0
  Per discussion with pekka removed non-deterministic test case for bug#21381.

  mysql-test/r/ndb_update.result@1.2.1.4, 2006-10-06 14:47:57+05:00, svoj@mysql.com +0 -8
    Per discussion with pekka removed non-deterministic test case for bug#21381.

  mysql-test/t/ndb_update.test@1.2.1.5, 2006-10-06 14:47:57+05:00, svoj@mysql.com +0 -9
    Per discussion with pekka removed non-deterministic test case for bug#21381.

ChangeSet@1.2181.185.3, 2006-10-06 10:17:02+02:00, mats@romeo.(none) +5 -0
  BUG#19459 (BINLOG RBR command does not lock tables correctly causing
  crash for, e.g., NDB):
  
  Before, mysqlbinlog printed table map events as a separate statement, so
  when executing the event, the opened table was subsequently closed
  when the statement ended. Instead, the row-based events that make up
  a statement are now printed as *one* BINLOG statement, which means
  that the table maps and the following *_rows_log_event events are
  executed fully before the statement ends.
  
  Changing implementation of BINLOG statement to be able to read the 
  emitted format, which now consists of several chunks of BASE64-encoded
  data.

  client/mysqlbinlog.cc@1.130.1.1, 2006-10-06 10:16:56+02:00, mats@romeo.(none) +29 -6
    Using IO_CACHE to print events instead of directly to file.
    Factoring out code to write event header and base64 representation into
    separate function.

  mysys/mf_iocache2.c@1.29, 2006-10-06 10:16:56+02:00, mats@romeo.(none) +1 -1
    Correcting name in documentation.

  sql/log_event.cc@1.226.2.1, 2006-10-06 10:16:57+02:00, mats@romeo.(none) +370 -205
    Adding class Write_on_release_cache that holds an IO_CACHE and that
    will write contents of IO_CACHE to a designated file on destruction.
    
    Changing signature of event printing functions print_header() and print_base64()
    to write to IO_CACHE and changing *all* calls in those functions in accordance.
    This means that all printing functions now print to an IO_CACHE instead of to a file,
    and that the IO_CACHE is then copied to the file.
    
    The print() function have the same signature as before, but since it is
    using print_header() and print_base64(), the data will now be printed
    to an IO_CACHE and then copied to the file.
    
    Changing row-based replication events to incrementally build one
    BINLOG statement for all events making up a statement.

  sql/log_event.h@1.133.2.3, 2006-10-06 10:16:57+02:00, mats@romeo.(none) +26 -4
    Changing signature of event printing functions print_header() and
    print_base64() to write to an IO_CACHE instead of a file.
    
    Changing row-based replication events to incrementally build one
    BINLOG statement for all events making up a statement.
    
    Adding a head_cache and a body_cache to cache statement comment 
    and statement body respectively. In addition, the head_cache is used
    when printing other events than the RBR events.

  sql/sql_binlog.cc@1.3, 2006-10-06 10:16:57+02:00, mats@romeo.(none) +91 -40
    Changing code to be able to decode several pieces of base64-encoded data
    for a BINLOG statement. The BINLOG statement now consists of several pieces
    of BASE64-encoded data, so once a block has been decoded and executed, the
    next block has to be read from the statement until there is no more
    data to read.

ChangeSet@1.2273.109.8, 2006-10-06 08:41:34+02:00, mats@romeo.(none) +1 -0
  Fix to build on 64-bit systems where sizeof(unsigned long long)
  > sizeof(unsigned long).

  sql/log.cc@1.234.2.3, 2006-10-06 08:41:31+02:00, mats@romeo.(none) +4 -7
    Replacing enum constant that contained an unsigned long long constant
    on some platforms with a macro (an enumeration constant is limited
    to the range of values covered by signed or unsigned long).

ChangeSet@1.2273.113.6, 2006-10-06 11:11:47+05:00, svoj@mysql.com +1 -0
  Addition to fix for bug#10974. Fixed spelling.

  mysql-test/r/windows.result@1.2.1.2, 2006-10-06 11:11:44+05:00, svoj@mysql.com +1 -1
    Addition to fix for bug#10974. Fixed spelling.

ChangeSet@1.1810.2193.3, 2006-10-06 11:03:14+05:00, svoj@mysql.com +1 -0
  Addition to fix for bug#10974. Fixed spelling.

  sql/share/errmsg.txt@1.42.1.32, 2006-10-06 11:03:12+05:00, svoj@mysql.com +1 -1
    Addition to fix for bug#10974. Fixed spelling.

ChangeSet@1.1616.2780.2, 2006-10-06 10:54:47+05:00, svoj@mysql.com +2 -0
  Addition to fix for bug#10974. Fixed spelling.

  sql/share/english/errmsg.txt@1.70.34.1, 2006-10-06 10:54:46+05:00, svoj@mysql.com +1 -1
    Addition to fix for bug#10974. Fixed spelling.

  mysql-test/r/merge.result@1.32.1.11, 2006-10-06 10:54:46+05:00, svoj@mysql.com +4 -4
    Addition to fix for bug#10974. Fixed spelling.

ChangeSet@1.2273.109.7, 2006-10-05 22:16:19+02:00, mats@romeo.(none) +2 -0
  Post-merge fixes.

  sql/log.cc@1.234.2.2, 2006-10-05 22:16:13+02:00, mats@romeo.(none) +10 -10
    Post-merge fixes.

  sql/sql_insert.cc@1.226.2.2, 2006-10-05 22:16:14+02:00, mats@romeo.(none) +1 -1
    Post-merge fixes.

ChangeSet@1.2273.113.4, 2006-10-06 00:22:41+05:00, svoj@mysql.com +1 -0
  After merge fix.

  mysql-test/r/ndb_update.result@1.10, 2006-10-06 00:22:39+05:00, svoj@mysql.com +1 -1
    After merge fix.

ChangeSet@1.1616.2779.1, 2006-10-05 18:23:53+05:00, svoj@mysql.com +3 -0
  BUG#21381 - Engine not notified about multi-table UPDATE IGNORE
  
  Though this is not storage engine specific problem, I was able to
  repeat this problem with BDB and NDB engines only. That was the
  reason to add a test case into ndb_update.test. As a result
  different bad things could happen.
  
  BDB has removed duplicate rows which is not expected.
  NDB returns an error.
  
  For multi table update notify storage engine about UPDATE IGNORE
  as it is done in single table UPDATE.

  mysql-test/r/ndb_update.result@1.2.1.3, 2006-10-05 18:23:51+05:00, svoj@mysql.com +8 -0
    A test case for bug#21381.

  mysql-test/t/ndb_update.test@1.2.1.4, 2006-10-05 18:23:51+05:00, svoj@mysql.com +9 -0
    A test case for bug#21381.

  sql/sql_update.cc@1.83.2.74, 2006-10-05 18:23:51+05:00, svoj@mysql.com +6 -0
    For multi table update notify storage engine about UPDATE IGNORE
    as it is done in single table UPDATE.

ChangeSet@1.2301, 2006-10-05 14:25:18+02:00, jonas@perch.ndb.mysql.com +7 -0
  ndb - bug#17929
    guess which scan type to use in handler

  sql/ha_ndbcluster.cc@1.357, 2006-10-05 14:25:16+02:00, jonas@perch.ndb.mysql.com +26 -4
    Add guessing of scan type when starting full-table-scan

  storage/ndb/include/ndbapi/NdbDictionary.hpp@1.85, 2006-10-05 14:25:16+02:00, jonas@perch.ndb.mysql.com +10 -0
    Add methods to check properties of a bitmap of columns

  storage/ndb/include/ndbapi/NdbScanOperation.hpp@1.43, 2006-10-05 14:25:16+02:00, jonas@perch.ndb.mysql.com +2 -1
    Add DiskScanFlag

  storage/ndb/src/ndbapi/NdbDictionaryImpl.cpp@1.152, 2006-10-05 14:25:16+02:00, jonas@perch.ndb.mysql.com +53 -0
    Add aggregate of #disk columns

  storage/ndb/src/ndbapi/NdbDictionaryImpl.hpp@1.69, 2006-10-05 14:25:16+02:00, jonas@perch.ndb.mysql.com +1 -1
    Add #disk columns

  storage/ndb/src/ndbapi/NdbScanOperation.cpp@1.97, 2006-10-05 14:25:16+02:00, jonas@perch.ndb.mysql.com +6 -1
    Add disk scan flag

  storage/ndb/tools/delete_all.cpp@1.21, 2006-10-05 14:25:16+02:00, jonas@perch.ndb.mysql.com +12 -1
    Add tupscan/diskscan to delete_all

ChangeSet@1.1810.2192.1, 2006-10-05 18:51:13+10:00, stewart@willster.(none) +7 -0
  BUG#13987 Cluster: Loss of data nodes can cause high CPU usage from ndb_mgmd
  
  smaller patch for 5.0.
  
  complete patch going to 5.1 due to more intrusiveness for 'list sessions' etc

  ndb/include/mgmapi/mgmapi.h@1.42.13.1, 2006-10-05 18:51:06+10:00, stewart@willster.(none) +13 -0
    add internal get_fd to use in test

  ndb/include/util/InputStream.hpp@1.3.2.1, 2006-10-05 18:51:06+10:00, stewart@willster.(none) +1 -0
    - add this weird startover member to SocketInputStream
        - this helps work out if we've read a newline yet and should start inserting
             into buffer from the start

  ndb/src/common/util/InputStream.cpp@1.3.2.1, 2006-10-05 18:51:06+10:00, stewart@willster.(none) +24 -15
    remove evil, add more.
    
    keep track internally we've retrieved a newline yet (m_startover)

  ndb/src/common/util/Parser.cpp@1.6.5.1, 2006-10-05 18:51:06+10:00, stewart@willster.(none) +20 -15
    change way detecting of NoLine
    
    remove some trailing whitespace that was uglying the place up a bit

  ndb/src/common/util/socket_io.cpp@1.7.3.1, 2006-10-05 18:51:06+10:00, stewart@willster.(none) +14 -14
    Always retrieve data from the OS so that we instantly get EOF on disconnect
    and don't end up spinning looking for a newline.

  ndb/src/mgmapi/mgmapi.cpp@1.44.27.1, 2006-10-05 18:51:07+10:00, stewart@willster.(none) +15 -11
    add internal ndb_mgm_get_fd() for internal testing
    
    handle 'node status' a bit better

  ndb/test/ndbapi/testMgm.cpp@1.4.2.1, 2006-10-05 18:51:07+10:00, stewart@willster.(none) +27 -0
    Add test for MgmApiSession disconnection (mgmd at 100%)
    
    not fully automated due to smaller patch for 5.0
    
    will be complete in 5.1

ChangeSet@1.2245.12.1, 2006-10-05 10:46:14+02:00, mats@romeo.(none) +4 -0
  I had forgotten to delete an already disabled line of C++ code.
  ---
  BUG#20265 (Replication of CREATE-SELECT does not work correctly):
  Fixing bug by making binary log handle statement transactions.
  The binary log transaction cache can now be truncated to remove 
  events inserted during this statement or transaction. Also, the
  binary log participate in XA transaction handling, although not
  as a full 2pc resource.

  mysql-test/r/binlog_row_mix_innodb_myisam.result@1.13, 2006-10-05 10:46:09+02:00, mats@romeo.(none) +0 -18
    Result change

  sql/log.cc@1.222.2.1, 2006-10-05 10:46:09+02:00, mats@romeo.(none) +404 -133
    Making change to binlog_end_trans() to support that it can be called
    for statement transactions as well.

  sql/sql_class.h@1.304.9.1, 2006-10-05 10:46:09+02:00, mats@romeo.(none) +1 -0
    Adding function THD::binlog_start_trans_and_stmt() to start a real transaction
    (if necessary) and also a statement transaction.

  sql/sql_insert.cc@1.214.2.1, 2006-10-05 10:46:09+02:00, mats@romeo.(none) +97 -55
    I had forgotten to delete this line (it was already disabled using //;
    this line was not needed because we do the empty() every time
    we write to the binlog (in MYSQL_LOG::write());
    t/binlog_stm_binlog.test already tests that the empty() indeed happens
    for INSERT DELAYED.
    ---
    Changes to use the statement transactions that the binary log now can handle.

ChangeSet@1.2273.63.27, 2006-10-05 00:41:29-07:00, brian@zim.(none) +16 -0
  Added license information display to output of plugins schema, and tagged all plugins with GPL flag. 

  include/mysql/plugin.h@1.21, 2006-10-05 00:41:25-07:00, brian@zim.(none) +10 -0
    Adding license information.

  plugin/fulltext/plugin_example.c@1.14, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License

  sql/ha_ndbcluster.cc@1.348.4.22, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License

  sql/ha_partition.cc@1.77, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License

  sql/handler.h@1.244, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License

  sql/log.cc@1.237, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License

  sql/sql_show.cc@1.366, 2006-10-05 00:41:25-07:00, brian@zim.(none) +17 -0
    Additional PLUIN display information

  storage/archive/ha_archive.cc@1.108, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License information added

  storage/blackhole/ha_blackhole.cc@1.44, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License information added

  storage/csv/ha_tina.cc@1.64.1.1, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License Information

  storage/example/ha_example.cc@1.46, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License information

  storage/federated/ha_federated.cc@1.83, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License Information

  storage/heap/ha_heap.cc@1.102, 2006-10-05 00:41:25-07:00, brian@zim.(none) +1 -0
    License Information

  storage/innobase/handler/ha_innodb.cc@1.305, 2006-10-05 00:41:26-07:00, brian@zim.(none) +1 -0
    License Information

  storage/myisam/ha_myisam.cc@1.198, 2006-10-05 00:41:26-07:00, brian@zim.(none) +1 -0
    License Information

  storage/myisammrg/ha_myisammrg.cc@1.103, 2006-10-05 00:41:26-07:00, brian@zim.(none) +1 -0
    License Information

ChangeSet@1.2298.1.1, 2006-10-05 00:56:06+10:00, stewart@willster.(none) +1 -0
  BUG#20809 mysqldump does not backup TS and LG information correctly
  
  restore of the dump (ndb_dd_dump test) was failing for probably a merge problem. fixed now.

  client/mysqldump.c@1.252, 2006-10-05 00:56:02+10:00, stewart@willster.(none) +3 -1
    fix query to make dump restorable

ChangeSet@1.1810.2127.6, 2006-10-04 02:38:31+10:00, stewart@willster.(none) +12 -0
  BUG#21154 The management server consumes too much CPU
  BUG#13987 Cluster: Loss of data nodes can cause high CPU usage from ndb_mgmd
  
  fix the actual problem (getting incomplete line of data), introduced with previous
  improvement.
  
  also add list sessions, get session and get session id to mgmapi to allow
  the implementation of a test case for this exact problem.

  ndb/include/mgmapi/mgmapi.h@1.42.12.1, 2006-10-04 02:38:27+10:00, stewart@willster.(none) +13 -0
    Add internal ndb_mgm_get_fd for use in test case

  ndb/include/mgmapi/mgmapi_debug.h@1.7.1.1, 2006-10-04 02:38:27+10:00, stewart@willster.(none) +14 -0
    Add internal get_session_id and get_session 

  ndb/include/util/InputStream.hpp@1.3.1.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +10 -0
    - fix warning when building with gcc 4
    - add mutex to be UNLOCKED when blocking (e.g. select(2))
      - this means we can list sessions in a threadsafe way
    - add this weird startover member to SocketInputStream
    	- this helps work out if we've read a newline yet and should start inserting
    	  into buffer from the start

  ndb/include/util/Parser.hpp@1.3.2.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +4 -1
    add mutex to context to pass down to SocketInputStream

  ndb/include/util/socket_io.h@1.3.1.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +6 -1
    readln_socket accepts mutex to UNLOCK around select(2)

  ndb/src/common/util/InputStream.cpp@1.3.1.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +24 -15
    remove evil, add more.
    
    As 

  ndb/src/common/util/Parser.cpp@1.6.4.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +23 -15
    set mutex for passing down to InputStream to unlock on select(2).
    
    change way detecting of NoLine

  ndb/src/common/util/socket_io.cpp@1.7.2.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +20 -15
    unlock a mutex around select so that we can nicely do thread safe
    listing of sessions.
    
    Always retrieve data from the OS so that we instantly get EOF on disconnect
    and don't end up spinning looking for a newline.

  ndb/src/mgmapi/mgmapi.cpp@1.44.26.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +115 -11
    add internal ndb_mgm_get_fd() for internal testing
    
    internal/debug:
    ndb_mgm_get_session_id
    
    ndb_mgm_get_session

  ndb/src/mgmsrv/Services.cpp@1.45.30.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +153 -9
    Add list sessions, get session id and get session.
    
    introduce a session mutex

  ndb/src/mgmsrv/Services.hpp@1.13.7.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +16 -2
    Add list and get session.
    
    Add session_id to MgmApiSession.

  ndb/test/ndbapi/testMgm.cpp@1.4.1.1, 2006-10-04 02:38:28+10:00, stewart@willster.(none) +45 -0
    Add test for MgmApiSession disconnection (mgmd at 100%)

ChangeSet@1.2273.109.5, 2006-10-03 18:48:50+05:00, bar@mysql.com +9 -0
  Automerge fix: "Out of range value" error message adjusted to 5.1. 

  mysql-test/r/log_tables.result@1.11, 2006-10-03 18:48:45+05:00, bar@mysql.com +2 -2
    Automerge fix: "Out of range value" error message adjusted to 5.1. 

  mysql-test/r/ps_2myisam.result@1.49, 2006-10-03 18:48:45+05:00, bar@mysql.com +12 -12
    Automerge fix: "Out of range value" error message adjusted to 5.1. 

  mysql-test/r/ps_3innodb.result@1.52, 2006-10-03 18:48:45+05:00, bar@mysql.com +12 -12
    Automerge fix: "Out of range value" error message adjusted to 5.1. 

  mysql-test/r/ps_4heap.result@1.48, 2006-10-03 18:48:45+05:00, bar@mysql.com +12 -12
    Automerge fix: "Out of range value" error message adjusted to 5.1. 

  mysql-test/r/ps_5merge.result@1.49, 2006-10-03 18:48:45+05:00, bar@mysql.com +24 -24
    Automerge fix: "Out of range value" error message adjusted to 5.1. 

  mysql-test/r/ps_7ndb.result@1.47, 2006-10-03 18:48:45+05:00, bar@mysql.com +12 -12
    Automerge fix: "Out of range value" error message adjusted to 5.1. 

  mysql-test/r/round.result@1.2, 2006-10-03 18:48:45+05:00, bar@mysql.com +16 -16
    Automerge fix: "Out of range value" error message adjusted to 5.1. 

  mysql-test/r/select.result@1.137, 2006-10-03 18:48:45+05:00, bar@mysql.com +1 -11
    Automerge fix: "Out of range value" error message adjusted to 5.1. 

  mysql-test/r/strict_autoinc_4bdb.result@1.2, 2006-10-03 18:48:45+05:00, bar@mysql.com +3 -3
    Automerge fix: "Out of range value" error message adjusted to 5.1. 

ChangeSet@1.2273.114.2, 2006-10-03 17:07:30+04:00, kroki@moonlight.intranet +2 -0
  After merge fix.

  mysql-test/extra/rpl_tests/rpl_insert_id.test@1.14, 2006-10-03 17:07:27+04:00, kroki@moonlight.intranet +17 -0
    Enhance test for bug#21726 to cover statement-based replication of
    function calls.

  sql/sql_class.cc@1.293, 2006-10-03 17:07:27+04:00, kroki@moonlight.intranet +3 -1
    Fix typo and whitespace.

ChangeSet@1.2273.109.4, 2006-10-03 17:05:33+05:00, bar@mysql.com +2 -0
  sql_yacc.yy:
    After merge fix.
  field.cc:
    After merge fix

  sql/field.cc@1.342.2.2, 2006-10-03 17:05:00+05:00, bar@mysql.com +0 -1
    After merge fix

  sql/sql_yacc.yy@1.502.1.4, 2006-10-03 17:05:11+05:00, bar@mysql.com +1 -1
    After merge fix.

ChangeSet@1.2273.113.1, 2006-10-03 16:50:15+05:00, svoj@mysql.com +2 -0
  BUG#22924 - windows test fails with wrong errno
  
  Fixed a test case according to fix for bug10974.

  mysql-test/r/windows.result@1.2.1.1, 2006-10-03 16:50:12+05:00, svoj@mysql.com +1 -1
    Fixed a test case according to fix for bug10974.

  mysql-test/t/windows.test@1.2.1.1, 2006-10-03 16:50:12+05:00, svoj@mysql.com +1 -1
    Fixed a test case according to fix for bug10974.

ChangeSet@1.1810.2189.4, 2006-10-03 12:44:59+03:00, jani@ua141d10.elisa.omakaista.fi +1 -0
  Added a missing breakpoint. This could cause
  wrong results in order by in some rare cases.

  sql/filesort.cc@1.105.1.2, 2006-10-03 12:44:57+03:00, jani@ua141d10.elisa.omakaista.fi +1 -0
    Added a missing breakpoint. This could cause
    wrong results in order by in some rare cases.

ChangeSet@1.1810.2166.9, 2006-10-03 13:38:16+04:00, kroki@moonlight.intranet +9 -0
  Fix for the patch for bug#21726: Incorrect result with multiple
  invocations of LAST_INSERT_ID.
  
  Reding of LAST_INSERT_ID inside stored function wasn't noted by caller,
  and no LAST_INSERT_ID_EVENT was issued for binary log.
  
  The solution is to add THD::last_insert_id_used_bin_log, which is much
  like THD::last_insert_id_used, but is reset only for upper-level
  statements.  This new variable is used to issue LAST_INSERT_ID_EVENT.

  mysql-test/r/rpl_insert_id.result@1.12.3.7, 2006-10-03 13:38:12+04:00, kroki@moonlight.intranet +18 -0
    For bug#21726, add result for statement-based replication of function
    calls.

  mysql-test/t/rpl_insert_id.test@1.13.1.8, 2006-10-03 13:38:12+04:00, kroki@moonlight.intranet +17 -0
    For bug#21726, add test case for statement-based replication of function
    calls.

  sql/item_func.cc@1.270.1.36, 2006-10-03 13:38:12+04:00, kroki@moonlight.intranet +1 -0
    Set THD::last_insert_id_used_bin_log for issuing of LAST_INSERT_ID_EVENT.

  sql/log.cc@1.158.12.1, 2006-10-03 13:38:13+04:00, kroki@moonlight.intranet +2 -2
    Issue LAST_INSERT_ID_EVENT if THD::last_insert_id_used_bin_log is set.

  sql/set_var.cc@1.125.13.2, 2006-10-03 13:38:13+04:00, kroki@moonlight.intranet +1 -0
    Set THD::last_insert_id_used_bin_log for issuing of LAST_INSERT_ID_EVENT.

  sql/sql_class.cc@1.223.1.26, 2006-10-03 13:38:13+04:00, kroki@moonlight.intranet +6 -4
    Initialize THD::last_insert_id_used_bin_log.
    Fix typo, add whitespace.

  sql/sql_class.h@1.230.38.2, 2006-10-03 13:38:13+04:00, kroki@moonlight.intranet +11 -2
    Add THD::last_insert_id_used_bin_log.

  sql/sql_parse.cc@1.426.1.156, 2006-10-03 13:38:13+04:00, kroki@moonlight.intranet +1 -0
    Reset THD::last_insert_id_used_bin_log for upper-level statements.

  sql/sql_select.cc@1.312.97.2, 2006-10-03 13:38:13+04:00, kroki@moonlight.intranet +4 -4
    Set THD::last_insert_id_used_bin_log for issuing of LAST_INSERT_ID_EVENT.

ChangeSet@1.2273.96.14, 2006-10-03 11:05:25+05:00, ramil@mysql.com +1 -0
  after-merge fix: warning adjusted.

  mysql-test/r/type_bit.result@1.22, 2006-10-03 11:05:21+05:00, ramil@mysql.com +1 -1
    after-merge fix: warning adjusted.

ChangeSet@1.1810.2137.19, 2006-10-02 23:05:52-04:00, scottlee@calico.site +1 -0
  Back port change from 5.1 that adds the Windows database files to the source package.
  This is needed for WiX pacakging.

  Makefile.am@1.68.1.17, 2006-10-02 23:05:48-04:00, scottlee@calico.site +10 -0
    Back port change from 5.1 that adds the Windows database files to the source package.
    This is needed for WiX pacakging.

ChangeSet@1.1616.2766.15, 2006-10-03 00:48:26+02:00, msvensson@shellback.(none) +2 -0
  Add ATTRIBUTE_FORMAT_FPTR macro for setting format specifier also on function pointers
  This was available from gcc 3.1, so diable it before that
  Update m_ctype.h to use the new macro

  include/m_ctype.h@1.102.1.7, 2006-10-03 00:48:23+02:00, msvensson@shellback.(none) +1 -1
    Use macro ATTRIBUTE_FORMAT_FPTR on function pointer

  include/my_global.h@1.47.1.63, 2006-10-03 00:48:23+02:00, msvensson@shellback.(none) +13 -3
    Add ATTRIBUTE_FORMAT_FPTR macro for setting format specifier also on function pointers
    This was available from gcc 3.1, so diable it before that

ChangeSet@1.1810.2189.2, 2006-10-02 15:15:16+02:00, bteam@mysql.com +1 -0
  Raise version number

  configure.in@1.245.1.154, 2006-10-02 15:15:02+02:00, bteam@mysql.com +2 -2
    Raise version number

ChangeSet@1.2181.185.2, 2006-10-02 15:08:40+02:00, mats@romeo.(none) +2 -0
  BUG#19459 (BINLOG RBR command does not lock tables correctly causing
  crash for, e.g., NDB):
  Adding new function my_b_copy_to_file() to copy an IO_CACHE to a file.

  include/my_sys.h@1.199.1.1, 2006-10-02 15:08:36+02:00, mats@romeo.(none) +1 -0
    Adding new function my_b_copy_to_file() to copy an IO_CACHE to a file.

  mysys/mf_iocache2.c@1.28, 2006-10-02 15:08:36+02:00, mats@romeo.(none) +47 -0
    Adding new function my_b_copy_to_file() to copy an IO_CACHE to a file.

ChangeSet@1.2181.185.1, 2006-10-02 15:05:05+02:00, mats@romeo.(none) +5 -0
  BUG#19459 (BINLOG RBR command does not lock tables correctly causing
  crash for, e.g., NDB):
  Submitting patch to base64_decode() adding extra parameter.

  include/base64.h@1.9, 2006-10-02 15:04:54+02:00, mats@romeo.(none) +2 -1
    Adding parameter to base64_decode() to return the position just after
    the string that was decoded.

  mysys/base64.c@1.12.1.1, 2006-10-02 15:04:54+02:00, mats@romeo.(none) +46 -17
    Adding comment to base64_decode().
    Adding parameter to base64_decode() to return the position just after
    the string that was decoded.

  sql/share/errmsg.txt@1.109.1.1, 2006-10-02 15:04:54+02:00, mats@romeo.(none) +3 -0
    Adding error message.

  storage/ndb/src/mgmapi/mgmapi.cpp@1.64.1.1, 2006-10-02 15:04:55+02:00, mats@romeo.(none) +1 -1
    Parameters to base64_decode() changed.

  unittest/mysys/base64-t.c@1.5, 2006-10-02 15:04:55+02:00, mats@romeo.(none) +1 -1
    Parameters to base64_decode() changed.

ChangeSet@1.1616.2766.14, 2006-10-02 14:05:36+02:00, msvensson@neptunus.(none) +1 -0
  Remove faulty merge 

  mysql-test/r/ctype_utf8.result@1.45.1.32, 2006-10-02 14:05:35+02:00, msvensson@neptunus.(none) +0 -1
    Remove faulty merge 

ChangeSet@1.1616.2766.13, 2006-10-02 13:53:10+02:00, msvensson@neptunus.(none) +1 -0
  When compiling with qcc on QNC the define __GNUC__will be set although it doesn't support full GNU syntax
   - disable __attribute__ when using qcc

  include/my_global.h@1.47.1.62, 2006-10-02 13:53:06+02:00, msvensson@neptunus.(none) +3 -0
    Disable __attribute__ when compiling with qcc

ChangeSet@1.1616.2766.12, 2006-10-02 13:47:18+02:00, msvensson@neptunus.(none) +2 -0
  Remove faulty merge causing ctype_utf8 failure

  mysql-test/r/ctype_utf8.result@1.45.1.31, 2006-10-02 13:47:15+02:00, msvensson@neptunus.(none) +0 -12
    Remove faulty merge causing ctype_utf8 failure

  mysql-test/t/ctype_utf8.test@1.57.1.21, 2006-10-02 13:47:15+02:00, msvensson@neptunus.(none) +0 -17
    Remove faulty merge causing ctype_utf8 failure

ChangeSet@1.1616.2766.11, 2006-10-02 13:46:40+02:00, msvensson@neptunus.(none) +1 -0
  Fix __attribute__(A) macro (it formerly used bogus __cplusplus__ symbol)

  include/my_global.h@1.47.1.61, 2006-10-02 13:46:38+02:00, msvensson@neptunus.(none) +1 -1
    Fix __attribute__(A) macro (it formerly used bogus __cplusplus__ symbol)

ChangeSet@1.2273.108.1, 2006-10-02 13:38:06+02:00, mats@romeo.(none) +6 -0
  BUG#22550 (Replication of BIT column failing):
  Adding test case.

  mysql-test/extra/rpl_tests/rpl_row_basic.test@1.3, 2006-10-02 10:41:33+02:00, mats@romeo.(none) +0 -0
    Rename: mysql-test/include/rpl_row_basic.inc -> mysql-test/extra/rpl_tests/rpl_row_basic.test

  mysql-test/r/rpl_row_basic_11bugs.result@1.11, 2006-10-02 13:38:00+02:00, mats@romeo.(none) +21 -1
    Result change

  mysql-test/t/rpl_row_basic_11bugs.test@1.10, 2006-10-02 13:38:00+02:00, mats@romeo.(none) +21 -1
    Adding test case for bug.

  mysql-test/t/rpl_row_basic_2myisam.test@1.2, 2006-10-02 13:38:00+02:00, mats@romeo.(none) +1 -1
    Moving test include file to extra/rpl_tests

  mysql-test/t/rpl_row_basic_3innodb.test@1.2, 2006-10-02 13:38:00+02:00, mats@romeo.(none) +1 -1
    Moving test include file to extra/rpl_tests

  mysql-test/t/rpl_row_basic_7ndb.test@1.3, 2006-10-02 13:38:00+02:00, mats@romeo.(none) +1 -1
    Moving test include file to extra/rpl_tests

ChangeSet@1.2273.107.2, 2006-10-02 15:26:01+04:00, kroki@moonlight.intranet +2 -0
  Fix after manual merge: add tests from 5.0.

  mysql-test/extra/rpl_tests/rpl_insert_id.test@1.13, 2006-10-02 15:25:58+04:00, kroki@moonlight.intranet +129 -0
    Add test case for bug#21726: Incorrect result with multiple invocations
    of LAST_INSERT_ID, and 5.0 version of test case for bug#20339: stored
    procedure using LAST_INSERT_ID() does not replicate statement-based.

  mysql-test/r/rpl_insert_id.result@1.25, 2006-10-02 15:25:58+04:00, kroki@moonlight.intranet +5 -0
    Update result.

ChangeSet@1.1810.2166.8, 2006-10-02 14:28:23+04:00, kroki@moonlight.intranet +14 -0
  BUG#21726: Incorrect result with multiple invocations of LAST_INSERT_ID
  
  Non-upper-level INSERTs (the ones in the body of stored procedure,
  stored function, or trigger) into a table that have AUTO_INCREMENT
  column didn't affected the result of LAST_INSERT_ID() on this level.
  
  The problem was introduced with the fix of bug 6880, which in turn was
  introduced with the fix of bug 3117, where current insert_id value was
  remembered on the first call to LAST_INSERT_ID() (bug 3117) and was
  returned from that function until it was reset before the next
  _upper-level_ statement (bug 6880).
  
  The fix for bug#21726 brings back the behaviour of version 4.0, and
  implements the following: remember insert_id value at the beginning
  of the statement or expression (which at that point equals to
  the first insert_id value generated by the previous statement), and
  return that remembered value from LAST_INSERT_ID() or @@LAST_INSERT_ID.
  
  Thus, the value returned by LAST_INSERT_ID() is not affected by values
  generated by current statement, nor by LAST_INSERT_ID(expr) calls in
  this statement.
  
  Version 5.1 does not have this bug (it was fixed by WL 3146).

  mysql-test/r/rpl_insert_id.result@1.12.3.6, 2006-10-02 14:28:18+04:00, kroki@moonlight.intranet +129 -0
    Add results for bug#21726: Incorrect result with multiple invocations
    of LAST_INSERT_ID, and bug#20339: stored procedure using LAST_INSERT_ID()
    does not replicate statement-based.

  mysql-test/t/rpl_insert_id.test@1.13.1.7, 2006-10-02 14:28:18+04:00, kroki@moonlight.intranet +112 -0
    Add test cases for bug#21726: Incorrect result with multiple invocations
    of LAST_INSERT_ID, and bug#20339: stored procedure using LAST_INSERT_ID()
    does not replicate statement-based.

  sql/item_func.cc@1.270.1.35, 2006-10-02 14:28:18+04:00, kroki@moonlight.intranet +32 -3
    Add implementation of Item_func_last_insert_id::fix_fields(), where we
    remember in THD::current_insert_id the first value generated during
    execution of the previous statement, which is returned then from
    Item_func_last_insert_id::val_int().

  sql/item_func.h@1.136.17.1, 2006-10-02 14:28:18+04:00, kroki@moonlight.intranet +1 -0
    Add declaration of Item_func_last_insert_id::fix_fields().

  sql/log_event.cc@1.174.1.38, 2006-10-02 14:28:18+04:00, kroki@moonlight.intranet +0 -1
    Do not set THD::last_insert_id_used on LAST_INSERT_ID_EVENT.  Though we
    know the statement will call LAST_INSERT_ID(), it wasn't called yet.

  sql/set_var.cc@1.125.13.1, 2006-10-02 14:28:18+04:00, kroki@moonlight.intranet +11 -2
    In sys_var_last_insert_id::value_ptr() remember in
    THD::current_insert_id the first value generated during execution of the
    previous statement, and return this value for @@LAST_INSERT_ID.

  sql/sql_class.cc@1.223.1.25, 2006-10-02 14:28:19+04:00, kroki@moonlight.intranet +15 -1
    Reset THD::last_insert_id_used after each statement execution.

  sql/sql_class.h@1.230.38.1, 2006-10-02 14:28:19+04:00, kroki@moonlight.intranet +33 -15
    Rather then remember current insert_id value on first invocation of
    THD::insert_id(), remember it in Item_func_last_insert_id::fix_fields(),
    sys_var_last_insert_id::value_ptr(), or mysql_execute_command().
    Remove THD::insert_id(), as it lost its value now.

  sql/sql_insert.cc@1.146.36.1, 2006-10-02 14:28:19+04:00, kroki@moonlight.intranet +3 -5
    THD::insert_id() is removed, use THD::last_insert_id directly.

  sql/sql_load.cc@1.78.1.21, 2006-10-02 14:28:19+04:00, kroki@moonlight.intranet +4 -8
    THD::insert_id() is removed, using THD::last_insert_id directly is OK.

  sql/sql_parse.cc@1.426.1.155, 2006-10-02 14:28:19+04:00, kroki@moonlight.intranet +15 -1
    Remember in THD::current_insert_id first generated insert id value of
    the previous statement in mysql_execute_command().
    No need to reset THD::last_insert_id_used in
    mysql_reset_thd_for_next_command(), it will be reset after each
    statement.

  sql/sql_select.cc@1.312.97.1, 2006-10-02 14:28:19+04:00, kroki@moonlight.intranet +9 -2
    If "IS NULL" is replaced with "= <LAST_INSERT_ID>", use right value,
    which is THD::current_insert_id, and also set THD::last_insert_id_used
    to issue binary log LAST_INSERT_ID_EVENT.

  sql/sql_update.cc@1.154.20.1, 2006-10-02 14:28:20+04:00, kroki@moonlight.intranet +2 -2
    THD::insert_id() is removed, use THD::last_insert_id directly.

  tests/mysql_client_test.c@1.167.1.42, 2006-10-02 14:28:20+04:00, kroki@moonlight.intranet +39 -1
    Add test case for bug#21726: Incorrect result with multiple invocations
    of LAST_INSERT_ID.

ChangeSet@1.1810.2157.6, 2006-10-02 14:17:41+05:00, bar@mysql.com +1 -0
  bug#6147 - fixing ndb test results (forgot to include into the main commit)

  mysql-test/r/ps_7ndb.result@1.26.1.20, 2006-10-02 14:17:38+05:00, bar@mysql.com +24 -24
    bug#6147 - fixing ndb test results (forgot to include into the main commit)

ChangeSet@1.2273.85.5, 2006-10-02 10:07:46+02:00, msvensson@neptunus.(none) +1 -0
  Don't run crash_commit_before under valgrind

  mysql-test/t/crash_commit_before.test@1.3, 2006-10-02 10:07:44+02:00, msvensson@neptunus.(none) +5 -0
    Don't run crash_commit_before under valgrind

ChangeSet@1.2273.106.2, 2006-10-01 11:17:59-07:00, brian@zim.(none) +2 -0
  This  patch makes ndbcluster_hton not static. I have a second patch for ndbcluster_hton to be static, but I want to talk to Jonas first. 

  sql/ha_ndbcluster.cc@1.348.4.21, 2006-10-01 11:17:56-07:00, brian@zim.(none) +1 -1
    Can't quite make  it static yet :)

  sql/ha_ndbcluster_binlog.h@1.18, 2006-10-01 11:17:57-07:00, brian@zim.(none) +2 -1
    Moving bad extern replacement

ChangeSet@1.2273.98.4, 2006-09-30 19:08:13-07:00, brian@zim.(none) +1 -0
  Merge fix. 

  sql/sql_cursor.cc@1.10, 2006-09-30 19:08:11-07:00, brian@zim.(none) +1 -1
    Merge bit...

ChangeSet@1.2273.105.3, 2006-09-30 18:31:13-07:00, brian@zim.(none) +9 -0
  This patch updates to remove most global hton needs. Cleans up wrong message in partition. 

  mysql-test/r/partition.result@1.57.1.1, 2006-09-30 18:31:09-07:00, brian@zim.(none) +3 -3
    Updated results

  sql/ha_ndbcluster.cc@1.348.4.20, 2006-09-30 18:31:09-07:00, brian@zim.(none) +1 -1
    Updated hton

  sql/ha_partition.cc@1.76, 2006-09-30 18:31:10-07:00, brian@zim.(none) +1 -1
    Removed need for global internal hton.

  sql/handler.cc@1.273, 2006-09-30 18:31:10-07:00, brian@zim.(none) +3 -5
    Removed need for global mrg

  sql/mysql_priv.h@1.441.3.2, 2006-09-30 18:31:10-07:00, brian@zim.(none) +0 -4
    Updated needs for global variables.

  sql/mysqld.cc@1.578.1.2, 2006-09-30 18:31:10-07:00, brian@zim.(none) +1 -2
    Removed needs around hton

  sql/partition_info.cc@1.24, 2006-09-30 18:31:10-07:00, brian@zim.(none) +1 -2
    Removed bug.... aka what happens if tables are neither?

  sql/share/errmsg.txt@1.122.4.1, 2006-09-30 18:31:10-07:00, brian@zim.(none) +3 -3
    Made error message more generic. 

  sql/sql_cache.cc@1.98, 2006-09-30 18:31:10-07:00, brian@zim.(none) +2 -2
    Removed specific hton reference

ChangeSet@1.2273.105.2, 2006-09-30 12:49:46-07:00, brian@zim.(none) +27 -0
  This patch adds handlerton passing to functions. NDB and Innodb still require a global hanlderton in the main code due to the nature of the sql_cache call back function (should be solveable... another patch).
  Partitioning now has a flag to allow disabling of engines from being compatible with partitioning. Cleaned up heap naming convention on panic call. 

  include/heap.h@1.29, 2006-09-30 12:49:42-07:00, brian@zim.(none) +1 -0
    Added new function

  sql/ha_ndbcluster.cc@1.348.4.19, 2006-09-30 12:49:42-07:00, brian@zim.(none) +31 -17
    Updated hanlderton functions

  sql/ha_ndbcluster_binlog.cc@1.84, 2006-09-30 12:49:42-07:00, brian@zim.(none) +4 -2
    Updated handlerton functions.

  sql/handler.cc@1.272, 2006-09-30 12:49:42-07:00, brian@zim.(none) +59 -32
    Updated handlerton functions. 

  sql/handler.h@1.240.2.2, 2006-09-30 12:49:42-07:00, brian@zim.(none) +39 -33
    Updated hanlderton functions

  sql/log.cc@1.234, 2006-09-30 12:49:42-07:00, brian@zim.(none) +15 -14
    Updated handlerton functions

  sql/mysql_priv.h@1.441.3.1, 2006-09-30 12:49:42-07:00, brian@zim.(none) +0 -8
    Updated handlerton functions

  sql/mysqld.cc@1.578.1.1, 2006-09-30 12:49:42-07:00, brian@zim.(none) +9 -0
    Added Legacy handlerton functions

  sql/partition_info.cc@1.23, 2006-09-30 12:49:42-07:00, brian@zim.(none) +1 -2
    Added flag support for marking engines not compatible with partitioning

  sql/sql_cursor.cc@1.7.1.1, 2006-09-30 12:49:42-07:00, brian@zim.(none) +6 -6
    Updated hanlderton functions

  sql/sql_show.cc@1.363.1.1, 2006-09-30 12:49:42-07:00, brian@zim.(none) +1 -1
    Updated hanlderton functions

  sql/sql_tablespace.cc@1.8, 2006-09-30 12:49:43-07:00, brian@zim.(none) +2 -2
    Update for handlerton functions

  storage/archive/ha_archive.cc@1.106, 2006-09-30 12:49:43-07:00, brian@zim.(none) +4 -3
    Update for hanlderton functions

  storage/archive/ha_archive.h@1.50.1.2, 2006-09-30 12:49:43-07:00, brian@zim.(none) +0 -2
    Update for handlerton functions

  storage/blackhole/ha_blackhole.cc@1.43, 2006-09-30 12:49:43-07:00, brian@zim.(none) +1 -1
    Update for handlerton functions

  storage/csv/ha_tina.cc@1.60.2.3, 2006-09-30 12:49:43-07:00, brian@zim.(none) +6 -3
    Update for handlerton functions

  storage/csv/ha_tina.h@1.23, 2006-09-30 12:49:43-07:00, brian@zim.(none) +0 -2
    Update for handlerton functions

  storage/federated/ha_federated.cc@1.82, 2006-09-30 12:49:43-07:00, brian@zim.(none) +17 -16
    Updated for handlerton functions

  storage/federated/ha_federated.h@1.39, 2006-09-30 12:49:43-07:00, brian@zim.(none) +0 -3
    Updated for handlerton functions

  storage/heap/ha_heap.cc@1.101, 2006-09-30 12:49:43-07:00, brian@zim.(none) +7 -1
    Update for handlerton functions

  storage/heap/hp_panic.c@1.7, 2006-09-30 12:49:43-07:00, brian@zim.(none) +3 -3
    Update of function name

  storage/heap/hp_test1.c@1.17, 2006-09-30 12:49:43-07:00, brian@zim.(none) +1 -1
    Update of function name

  storage/heap/hp_test2.c@1.27, 2006-09-30 12:49:43-07:00, brian@zim.(none) +2 -2
    Update of function name.

  storage/innobase/handler/ha_innodb.cc@1.295.5.2, 2006-09-30 12:49:43-07:00, brian@zim.(none) +104 -75
    Update of function name

  storage/innobase/handler/ha_innodb.h@1.126.2.2, 2006-09-30 12:49:43-07:00, brian@zim.(none) +15 -8
    Update of function name

  storage/myisam/ha_myisam.cc@1.195.1.2, 2006-09-30 12:49:43-07:00, brian@zim.(none) +9 -2
    Update of function name. 

  storage/myisammrg/ha_myisammrg.cc@1.102, 2006-09-30 12:49:43-07:00, brian@zim.(none) +13 -9
    Update of function name

ChangeSet@1.1810.2096.42, 2006-09-30 02:00:04-06:00, tsmith@siva.hindu.god +1 -0
  Fix __attribute__(A) macro (it formerly used bogus __cplusplus__ symbol)

  include/my_global.h@1.96.1.30, 2006-09-30 02:00:01-06:00, tsmith@siva.hindu.god +1 -1
    Change __cplusplus__ to __cplusplus in #define __attribute__(A) macro

ChangeSet@1.2273.104.2, 2006-09-30 11:58:45+04:00, dlenev@mockturtle.local +1 -0
  After merge fix. Removed method which is no longer used.

  sql/sql_trigger.cc@1.69, 2006-09-30 11:58:43+04:00, dlenev@mockturtle.local +0 -32
    After merge fix. Removed method which is no longer used.

ChangeSet@1.2273.96.5, 2006-09-30 01:21:27-06:00, tsmith@siva.hindu.god +4 -0
  Post-merge fix.  New error ER_NON_INSERTABLE_TABLE put at end of errmsg.txt, means that the error number in 5.1 is 1573, while in 5.0 it is 1471.

  mysql-test/r/ctype_ucs.result@1.50.1.2, 2006-09-30 01:21:23-06:00, tsmith@siva.hindu.god +2 -2
    Post-merge fix

  mysql-test/r/ctype_utf8.result@1.98.1.7, 2006-09-30 01:21:23-06:00, tsmith@siva.hindu.god +0 -13
    Post-merge fix

  mysql-test/t/ctype_utf8.test@1.89.1.7, 2006-09-30 01:21:23-06:00, tsmith@siva.hindu.god +0 -17
    Post-merge fix

  mysql-test/t/view.test@1.160.2.3, 2006-09-30 01:21:23-06:00, tsmith@siva.hindu.god +10 -10
    Post-merge fix

ChangeSet@1.1616.2717.5, 2006-09-29 19:28:16-07:00, jimw@rama.(none) +1 -0
  Disable __attribute__ entirely on g++ < 3.4. (Bug #2717)

  include/my_global.h@1.47.15.1, 2006-09-29 19:27:38-07:00, jimw@rama.(none) +15 -10
    Disable __attribute__ on g++ < 3.4. There are actually some forms of it that
    are supported, but rather than create more ATTRIBUTE_<foo> macros to handle
    them, it is easier to just disable them all. We will catch the compiler warnings
    with more recent versions of g++.
    

ChangeSet@1.2273.105.1, 2006-09-29 17:19:02-07:00, brian@zim.(none) +24 -0
  This removes the passing of global hton to engine instance. 

  sql/ha_ndbcluster.cc@1.348.4.18, 2006-09-29 17:18:57-07:00, brian@zim.(none) +6 -5
    Removed global hton

  sql/ha_ndbcluster.h@1.152, 2006-09-29 17:18:57-07:00, brian@zim.(none) +1 -1
    Removed global hton need

  sql/ha_partition.cc@1.75, 2006-09-29 17:18:57-07:00, brian@zim.(none) +9 -7
    Removed global hton

  sql/ha_partition.h@1.28, 2006-09-29 17:18:57-07:00, brian@zim.(none) +2 -2
    Removed global hton

  sql/handler.cc@1.271, 2006-09-29 17:18:57-07:00, brian@zim.(none) +4 -4
    Removed global hton

  sql/handler.h@1.240.2.1, 2006-09-29 17:18:57-07:00, brian@zim.(none) +1 -1
    Removed global hton

  storage/archive/ha_archive.cc@1.105, 2006-09-29 17:18:57-07:00, brian@zim.(none) +9 -5
    Removed global hton

  storage/archive/ha_archive.h@1.50.1.1, 2006-09-29 17:18:57-07:00, brian@zim.(none) +1 -1
    Global hton removed

  storage/blackhole/ha_blackhole.cc@1.42, 2006-09-29 17:18:57-07:00, brian@zim.(none) +6 -4
    Global removed hton

  storage/blackhole/ha_blackhole.h@1.10, 2006-09-29 17:18:57-07:00, brian@zim.(none) +1 -1
    Global hton removal

  storage/csv/ha_tina.cc@1.60.2.2, 2006-09-29 17:18:58-07:00, brian@zim.(none) +9 -5
    Global hton removal

  storage/csv/ha_tina.h@1.22, 2006-09-29 17:18:58-07:00, brian@zim.(none) +1 -1
    Removed global removed

  storage/example/ha_example.cc@1.45, 2006-09-29 17:18:58-07:00, brian@zim.(none) +9 -5
    Global removed hton

  storage/example/ha_example.h@1.15, 2006-09-29 17:18:58-07:00, brian@zim.(none) +1 -1
    Global removed hton

  storage/federated/ha_federated.cc@1.81, 2006-09-29 17:18:58-07:00, brian@zim.(none) +8 -5
    Global removed hton

  storage/federated/ha_federated.h@1.38, 2006-09-29 17:18:58-07:00, brian@zim.(none) +1 -1
    Global removed hton

  storage/heap/ha_heap.cc@1.100, 2006-09-29 17:18:58-07:00, brian@zim.(none) +9 -5
    Global removed hton

  storage/heap/ha_heap.h@1.47, 2006-09-29 17:18:58-07:00, brian@zim.(none) +1 -1
    Global removed hton

  storage/innobase/handler/ha_innodb.cc@1.295.5.1, 2006-09-29 17:18:58-07:00, brian@zim.(none) +7 -4
    Global removed hton

  storage/innobase/handler/ha_innodb.h@1.126.2.1, 2006-09-29 17:18:58-07:00, brian@zim.(none) +1 -1
    Removed global hton

  storage/myisam/ha_myisam.cc@1.195.1.1, 2006-09-29 17:18:58-07:00, brian@zim.(none) +11 -9
    Globally removed hton

  storage/myisam/ha_myisam.h@1.77, 2006-09-29 17:18:58-07:00, brian@zim.(none) +1 -1
    Globally removed hton

  storage/myisammrg/ha_myisammrg.cc@1.101, 2006-09-29 17:18:58-07:00, brian@zim.(none) +5 -4
    Globally removed hton

  storage/myisammrg/ha_myisammrg.h@1.46, 2006-09-29 17:18:58-07:00, brian@zim.(none) +1 -1
    Globaly removed hton

ChangeSet@1.1810.2186.1, 2006-09-29 12:52:48-06:00, tsmith@siva.hindu.god +2 -0
  WL #3516: MySQL Enterprise: implement Version Display Specification
  
  Print version_comment after server version in:
  mysql.cc:  Welcome message and 'status' command output
  log.cc: Top of log files

  client/mysql.cc@1.199.1.21, 2006-09-29 12:52:45-06:00, tsmith@siva.hindu.god +44 -10
    Add server_version_string() function to return a buffer with the server version and version_comment combined.
    Use server_version_string() instead of mysql_get_server_info() for Welcome! message and 'status' command

  sql/log.cc@1.158.1.37, 2006-09-29 12:52:45-06:00, tsmith@siva.hindu.god +7 -4
    MYSQL_LOG::open():
    - print MYSQL_COMPILATION_COMMENT after the server_version at the top of log files

ChangeSet@1.2273.63.18, 2006-09-29 21:05:12+04:00, dlenev@mockturtle.local +2 -0
  After merge fixes.

  mysql-test/r/sp.result@1.230, 2006-09-29 21:05:09+04:00, dlenev@mockturtle.local +1 -1
    After merge fix.

  mysql-test/t/sp.test@1.209, 2006-09-29 21:05:09+04:00, dlenev@mockturtle.local +26 -19
    After merge fixes. Restored test for bug 21002 which has mysteriously
    disappeared from 5.1 tree.

ChangeSet@1.2273.95.6, 2006-09-29 20:42:37+04:00, sergefp@mysql.com +2 -0
  BUG#14940: Update test results

  mysql-test/r/greedy_optimizer.result@1.9, 2006-09-29 20:42:33+04:00, sergefp@mysql.com +8 -8
    BUG#14940: Update test results

  mysql-test/r/order_by.result@1.56, 2006-09-29 20:42:33+04:00, sergefp@mysql.com +4 -4
    BUG#14940: Update test results

ChangeSet@1.1810.2184.2, 2006-09-29 21:36:17+05:00, svoj@mysql.com +1 -0
  Fixed that max_zfile_size was incorrectly calculated on big-endian boxes.
  Was introduced with patch for bug#21675.

  sql/ha_archive.cc@1.60.7.1, 2006-09-29 21:36:16+05:00, svoj@mysql.com +11 -1
    Fixed that max_zfile_size was incorrectly calculated on big-endian boxes.
    Was introduced with patch for bug#21675.

ChangeSet@1.2255.81.2, 2006-09-29 18:26:57+04:00, sergefp@mysql.com +1 -0
  Remove empty line

  sql/sql_select.cc@1.430.1.2, 2006-09-29 18:26:53+04:00, sergefp@mysql.com +0 -1
    Remove empty line

ChangeSet@1.1616.2144.200, 2006-09-29 19:00:52+05:00, svoj@mysql.com +2 -0
  Fix a test case according to fix for bug#10974.

  mysql-test/r/lowercase_table3.result@1.5.1.2, 2006-09-29 19:00:51+05:00, svoj@mysql.com +1 -1
    Fix a test case according to fix for bug#10974.

  mysql-test/t/lowercase_table3.test@1.6.1.3, 2006-09-29 19:00:51+05:00, svoj@mysql.com +1 -1
    Fix a test case according to fix for bug#10974.

ChangeSet@1.2273.101.1, 2006-09-29 09:12:23-04:00, cmiller@zippy.cornsilk.net +2 -0
  Update from Stefan.  2006-09-29  msg id <451BEF1.4030506@mysql.com>

  mysql-test/r/partition.result@1.58, 2006-09-29 09:12:20-04:00, cmiller@zippy.cornsilk.net +3 -3
    Altered results after errmsg update.

  sql/share/errmsg.txt@1.127, 2006-09-29 09:12:21-04:00, cmiller@zippy.cornsilk.net +13 -4
    Update from Stefan.  2006-09-29  msg id <451BEF1.4030506@mysql.com>

ChangeSet@1.2273.95.4, 2006-09-29 15:10:20+02:00, gkodinov@dl145s.mysql.com +2 -0
  merge fixes

  mysql-test/t/view.test@1.165, 2006-09-29 15:09:52+02:00, gkodinov@dl145s.mysql.com +10 -10
    moved the new error message last

  sql/share/errmsg.txt@1.125.1.2, 2006-09-29 15:09:52+02:00, gkodinov@dl145s.mysql.com +2 -2
    moved the new error message last

ChangeSet@1.2255.81.1, 2006-09-29 15:58:47+04:00, sergefp@mysql.com +4 -0
  BUG#14940: Slow join order is chosen: [2nd commit with post-review fixes]
  - Re-worked the prev_record_reads() function to return the lower bound of
    number of different table access scans that will be performed.

  mysql-test/r/join.result@1.41, 2006-09-29 15:58:44+04:00, sergefp@mysql.com +28 -0
    BUG#14940: testcase

  mysql-test/t/join.test@1.35, 2006-09-29 15:58:44+04:00, sergefp@mysql.com +21 -0
    BUG#14940: testcase

  sql/sql_select.cc@1.430.1.1, 2006-09-29 15:58:44+04:00, sergefp@mysql.com +98 -13
    BUG#14940: Slow join order is chosen: 
    - Re-worked the prev_record_reads() function to return the lower bound of
      number of different table access scans that will be performed.

  sql/sql_select.h@1.111, 2006-09-29 15:58:44+04:00, sergefp@mysql.com +14 -0
    BUG#14940: Slow join order is chosen:
    - Added comments in struct POSITION
    - Added POSITION::ref_depend_map: bitmap of tables that the table access
      method depends on.

ChangeSet@1.1810.2157.4, 2006-09-29 16:29:39+05:00, bar@mysql.com +2 -0
  Bug#21263 mysql client XML output does not distinguish between NULL and string 'NULL'
    
    Fix: "mysql --xml" now print NULL values the same way that "mysqldump --xml" does:
    
      <field name="name" xsi:nil="true" />
    
    to distinguish from empty strings:
    
      <field name="name"></field>
    
    and from string "NULL":
    
      <field name="name">NULL</field>

  client/mysql.cc@1.199.15.1, 2006-09-29 16:29:33+05:00, bar@mysql.com +8 -3
    Fixing to print NULLs differently from empty strings

  mysql-test/r/client_xml.result@1.4, 2006-09-29 16:29:34+05:00, bar@mysql.com +1 -1
    Fixing test result accordingly

ChangeSet@1.1810.2157.3, 2006-09-29 16:24:11+05:00, bar@mysql.com +3 -0
  Bug#21620 ALTER TABLE affects other columns
    Problem: for character sets having mbmaxlen==2,
    any ALTER TABLE changed TEXT column type to MEDIUMTEXT,
    due to wrong "internal length to create length" formula.
    Fix: removing rounding code introduced in early 4.1 time,
    which is not correct anymore.

  mysql-test/r/ctype_gbk.result@1.4, 2006-09-29 16:24:06+05:00, bar@mysql.com +10 -0
    Adding test case

  mysql-test/t/ctype_gbk.test@1.5, 2006-09-29 16:24:06+05:00, bar@mysql.com +10 -0
    Adding test case

  sql/field.cc@1.256.30.1, 2006-09-29 16:24:06+05:00, bar@mysql.com +1 -1
    Fixing "internal length to create length" formula.
    

ChangeSet@1.2273.54.8, 2006-09-29 13:23:33+02:00, istruewing@chilla.local +2 -0
  Bug#20830 - INSERT DELAYED does not honour SET INSERT_ID
  Bug#20627 - INSERT DELAYED does not honour auto_increment_* variables
  Merge from 5.0.
  Changed auto_increment handling to the 5.1 pattern.

  mysql-test/r/delayed.result@1.13, 2006-09-29 13:23:30+02:00, istruewing@chilla.local +1 -1
    Bug#20830 - INSERT DELAYED does not honour SET INSERT_ID
    Bug#20627 - INSERT DELAYED does not honour auto_increment_* variables
    Merge from 5.0.
    Updated the test result.

  sql/sql_insert.cc@1.223.2.2, 2006-09-29 13:23:30+02:00, istruewing@chilla.local +49 -38
    Bug#20830 - INSERT DELAYED does not honour SET INSERT_ID
    Bug#20627 - INSERT DELAYED does not honour auto_increment_* variables
    Merge from 5.0.
    Changed auto_increment handling to the 5.1 pattern.

ChangeSet@1.1810.2157.2, 2006-09-29 16:15:57+05:00, bar@mysql.com +3 -0
  Bug#19960 Inconsistent results when joining InnoDB tables using partial UTF8 indexes
    Adding a multibyte-aware VARCHAR copying function, to put correct column prefix,
    taking in account number of characters (instead just limiting on number of bytes).
    For example, for a KEY(col(3)) on a UTF8 column when copying the string 'foo bar foo',
    we should put only 3 leftmost characters: 'foo'.
    9 characters were incorrectly put before this fix.

  mysql-test/r/ctype_utf8.result@1.85.7.1, 2006-09-29 16:15:52+05:00, bar@mysql.com +18 -0
    Adding test case

  mysql-test/t/ctype_utf8.test@1.84.6.1, 2006-09-29 16:15:52+05:00, bar@mysql.com +20 -0
    Adding test case

  sql/field_conv.cc@1.52.1.5, 2006-09-29 16:15:52+05:00, bar@mysql.com +17 -1
    Adding multibyte aware copy function for VARCHAR

ChangeSet@1.1810.2078.20, 2006-09-29 12:27:21+04:00, dlenev@mockturtle.local +1 -0
  Fixed test-case after merge (removed duplicate part).

  mysql-test/t/sp.test@1.174.1.28, 2006-09-29 12:27:18+04:00, dlenev@mockturtle.local +0 -11
    Fixed test-case after merge (removed duplicate part).

ChangeSet@1.1810.2182.3, 2006-09-28 20:15:58-07:00, jimw@rama.(none) +2 -0
  Fix merge of __attribute__ cleanup.

  include/my_sys.h@1.178.2.8, 2006-09-28 20:15:55-07:00, jimw@rama.(none) +1 -1
    Fix bad merge

  sql/set_var.cc@1.125.5.23, 2006-09-28 20:15:56-07:00, jimw@rama.(none) +2 -2
    Fix bad __attribute__ usage.

ChangeSet@1.1810.2183.1, 2006-09-28 21:40:43-04:00, cmiller@zippy.cornsilk.net +1 -0
  Fixed bad fix for a bad merge.

  mysql-test/r/ctype_utf8.result@1.85.5.8, 2006-09-28 21:40:40-04:00, cmiller@zippy.cornsilk.net +0 -1
    Fixed bad fix for a bad merge.

ChangeSet@1.1810.2166.7, 2006-09-29 01:35:11+04:00, evgen@moonbone.local +1 -0
  view.test:
    After merge fix
  TAG: clone-5.0.26-build

  mysql-test/t/view.test@1.126.1.40, 2006-09-29 01:34:46+04:00, evgen@moonbone.local +10 -10
    After merge fix

ChangeSet@1.1810.2181.1, 2006-09-29 01:00:18+04:00, evgen@moonbone.local +6 -0
  Fixed bug#5505: Wrong error message on INSERT into a view
  
  On an INSERT into an updatable but non-insertable view an error message was
  issued stating the view being not updatable. This can lead to a confusion of a
  user.
  
  A new error message is introduced. Is is showed when a user tries to insert
  into a non-insertable view.

  mysql-test/r/view.result@1.138.20.1, 2006-09-29 01:00:02+04:00, evgen@moonbone.local +17 -10
    Added the test case for bug#5505: Wrong error message on INSERT into a view
    Corrected a few test cases after fixing bug#5505

  mysql-test/t/view.test@1.126.18.1, 2006-09-29 01:00:05+04:00, evgen@moonbone.local +22 -10
    Added the test case for bug#5505: Wrong error message on INSERT into a view
    Corrected a few test cases after fixing bug#5505

  sql/share/errmsg.txt@1.42.20.1, 2006-09-29 01:00:06+04:00, evgen@moonbone.local +3 -0
    Fixed bug#5505: Wrong error message on INSERT into a view
    Added the ER_NON_INSERTABLE_TABLE error definition.

  sql/sql_base.cc@1.235.71.2, 2006-09-29 00:59:58+04:00, evgen@moonbone.local +4 -1
    Fixed bug#5505: Wrong error message on INSERT into a view
    The update_non_unique_table_error() function now issues proper
    error for an INSERT.

  sql/sql_insert.cc@1.146.1.56, 2006-09-29 01:00:00+04:00, evgen@moonbone.local +2 -2
    Fixed bug#5505: Wrong error message on INSERT into a view
    Issue the ER_NON_INSERTABLE_TABLE error instead of the 
    ER_NON_UPDATABLE_TABLE on insert into a view.

  sql/sql_view.cc@1.78.11.2, 2006-09-29 01:00:01+04:00, evgen@moonbone.local +1 -1
    Fixed bug#5505: Wrong error message on INSERT into a view
    Issue the ER_NON_INSERTABLE_TABLE error instead of the
    ER_NON_UPDATABLE_TABLE on insert into a view.

ChangeSet@1.2273.71.9, 2006-09-29 01:36:17+05:00, svoj@mysql.com +2 -0
  After merge fix.

  mysql-test/r/merge.result@1.57, 2006-09-29 01:36:14+05:00, svoj@mysql.com +1 -1
    After merge fix.

  mysql-test/t/merge.test@1.47, 2006-09-29 01:36:14+05:00, svoj@mysql.com +1 -0
    After merge fix.

ChangeSet@1.1616.2770.4, 2006-09-28 23:47:49+04:00, dlenev@mockturtle.local +1 -0
  Fix for bug#22338 "Valgrind warning: uninitialized variable in
  create_tmp_table()".
  
  The fix for bug 21787 "COUNT(*) + ORDER BY + LIMIT returns wrong
  result" introduced valgrind warnings which occured during execution
  of information_schema.test and sp-prelocking.test in version 5.0.
  There were no user visible effects.
  
  The latter fix made create_tmp_table() dependant on
  THD::lex::current_select value. Valgrind warnings occured when this
  function was executed and THD::lex::current_select member pointed
  to uninitialized SELECT_LEX instance.
  
  This fix tries to remove this dependancy by moving some logic
  outside of create_tmp_table() function.

  sql/sql_select.cc@1.216.136.3, 2006-09-28 23:47:48+04:00, dlenev@mockturtle.local +24 -19
    create_tmp_table():
      Moved code which is responsible for determining if optimization
      which pushes down LIMIT clause to temporary table creation is
      applicable out of this function.
      Such move made this function independant of THD::lex::current_select
      value and removed valgrind warnings which occured in cases when this
      member pointed to uninitialized SELECT_LEX object (particularly these
      warnings occured in sp-prelocking.test and information_schema.test
      in 5.0). This seems like a better solution than trying to force this
      pointer always to point to relevant select because:
      - In some cases when we use create_tmp_table() there are no relevant
        SELECT_LEX object (we use it just to create temporary table/object).
      - There is only one place in code where we call this funciton and
        where this optimization can be enabled. And in this place we
        already have some logic which tries to determine if it is applicable.

ChangeSet@1.1810.2179.1, 2006-09-28 15:45:17-04:00, cmiller@zippy.cornsilk.net +2 -0
  Fixed incorrect merge of gluh's reversion of B-g#21432.

  mysql-test/r/ctype_utf8.result@1.85.5.7, 2006-09-28 15:45:14-04:00, cmiller@zippy.cornsilk.net +0 -12
    Removed test that should have been reverted with gluh's reversion of 
    B-g#21432.

  mysql-test/t/ctype_utf8.test@1.84.4.7, 2006-09-28 15:45:15-04:00, cmiller@zippy.cornsilk.net +0 -18
    Removed test that should have been reverted with gluh's reversion of 
    B-g#21432.

ChangeSet@1.1810.2177.2, 2006-09-28 15:18:33-04:00, iggy@rolltop.ignatz42.dyndns.org +2 -0
  Bug#22224: Windows build depends on ib_config.h
    
  This change has already been made to 5.1.

  CMakeLists.txt@1.1.1.1, 2006-09-28 15:18:30-04:00, iggy@rolltop.ignatz42.dyndns.org +4 -2
    Removed dependancy on ib_config.h
    Added conditionals for InnoDB and BDB directories.

  innobase/include/univ.i@1.40.7.1, 2006-09-28 15:18:31-04:00, iggy@rolltop.ignatz42.dyndns.org +2 -0
    ib_config.h is not required for Windows.

ChangeSet@1.1616.2756.6, 2006-09-28 14:30:20-04:00, iggy@rolltop.ignatz42.dyndns.org +3 -0
  Bug#20305: PROCEDURE ANALYSE() returns wrong M for FLOAT(M, D) and DOUBLE(M, D)

  mysql-test/r/analyse.result@1.14.1.5, 2006-09-28 14:30:18-04:00, iggy@rolltop.ignatz42.dyndns.org +13 -0
    Added Results

  mysql-test/t/analyse.test@1.12.1.4, 2006-09-28 14:30:19-04:00, iggy@rolltop.ignatz42.dyndns.org +13 -1
    Added test cases to make sure field_str and field_real return correctly.

  sql/sql_analyse.cc@1.45.1.10, 2006-09-28 14:30:19-04:00, iggy@rolltop.ignatz42.dyndns.org +4 -4
    According the manaul, when declaring a FLOAT(M, N), N equals the number of decimal places and M equals the total number of
    digits in the number.

ChangeSet@1.1810.2177.1, 2006-09-28 13:58:53-04:00, iggy@rolltop.ignatz42.dyndns.org +1 -0
  Bug #21449 How to Resolve Stack Trace URL in MySQLD error log is incorrect.

  sql/stacktrace.c@1.18.1.3, 2006-09-28 13:58:44-04:00, iggy@rolltop.ignatz42.dyndns.org +1 -1
    URL is case sensitive

ChangeSet@1.1616.2775.1, 2006-09-28 22:10:06+05:00, svoj@mysql.com +5 -0
  BUG#21617 - crash when selecting from merge table with inconsistent indexes
  
  Crash may happen when selecting from a merge table that has underlying
  tables with less indexes than in a merge table itself.
  
  If number of keys in merge table is not bigger than requested key number,
  return error.

  mysql-test/r/merge.result@1.32.2.1, 2006-09-28 22:10:05+05:00, svoj@mysql.com +6 -0
    A test case for bug#21617.

  mysql-test/t/merge.test@1.28.2.1, 2006-09-28 22:10:05+05:00, svoj@mysql.com +11 -0
    A test case for bug#21617.

  mysys/queues.c@1.15.1.1, 2006-09-28 22:10:05+05:00, svoj@mysql.com +19 -29
    Replaced annoying ifndef DBUG_OFF with DBUG_ASSERT, fixed coding style.
    The problem was that having queue overrun in debug build was hidden
    with this ifdef.

  myisammrg/myrg_open.c@1.27.8.1, 2006-09-28 22:10:05+05:00, svoj@mysql.com +5 -2
    Store min(number of keys) in m_info instead of number of keys in last
    underlying table.

  myisammrg/myrg_queue.c@1.10.3.1, 2006-09-28 22:10:05+05:00, svoj@mysql.com +2 -0
    Return error if inx passed to _myrg_init_queue function is not less
    than number of keys.

ChangeSet@1.2273.70.6, 2006-09-28 18:42:41+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +1 -0
  Result of a binlog_statement_insert_delayed was affected by recent fixing of
    binlog_row_binlog.test failure in team tree.
    Fixing the result that gets wrong with --binlog-format=mixed
  (so that skipped on pushbuild currently)

  mysql-test/r/binlog_stm_binlog.result@1.15, 2006-09-28 18:42:38+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +14 -21
    Fixing the result.

ChangeSet@1.1810.2175.1, 2006-09-28 20:30:15+05:00, svoj@mysql.com +2 -0
  BUG#21675 - engine=archive 2GB file limit, when reached mysqld restarts on any query
  
  If mysqld is linked against system installed zlib (which is likely compiled w/o
  LFS) and archive table exceedes 2G, mysqld will likely be terminated with SIGXFSZ.
  
  Prior to actual write perform a check if there is space in data file. This fixes
  abnormal process termination with SIGXFSZ.
  
  No test case for this bugfix.

  sql/ha_archive.cc@1.60.5.1, 2006-09-28 20:30:14+05:00, svoj@mysql.com +20 -4
    Prior to actual write perform a check if there is space in data file. This fixes
    abnormal process termination with SIGXFSZ.

  sql/ha_archive.h@1.31.1.3, 2006-09-28 20:30:14+05:00, svoj@mysql.com +1 -0
    Added approximate archive data file size to archive share.

ChangeSet@1.2273.70.5, 2006-09-28 17:55:45+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +1 -0
  the results of binlog_statement_insert_delayed in STATEMENT - non-recommended mode i.e not checked
  by make test - got changed due to show binlog events relocation to deterministic
  position at extra/binlog_tests/binlog_insert_delayed.test.

  mysql-test/r/binlog_statement_insert_delayed.result@1.4, 2006-09-28 17:55:40+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +7 -11
    results changed due to moving a binlog check affront of indetermistic queries.

ChangeSet@1.1810.2154.7, 2006-09-28 16:21:21+02:00, msvensson@neptunus.(none) +1 -0
  Reduce code for SSL_connect and SSL_accept
  There is no need to call SSL_set_accept_state + SSL_do_handshake when we know that SSL_accept should be done. 

  vio/viossl.c@1.34.2.1, 2006-09-28 16:21:19+02:00, msvensson@neptunus.(none) +4 -6
    Replace the double calls to "SSL_set_accept_state" and "SSL_do_handshake" with one call to "SSL_accept"
    Same with "SSL_connect"

ChangeSet@1.1810.2096.30, 2006-09-28 09:51:06-04:00, cmiller@zippy.cornsilk.net +1 -0
  Additional patch to Bug#21476:  Free newly-allocated memory in mysqltest.

  client/mysqltest.c@1.155.9.52, 2006-09-28 09:51:04-04:00, cmiller@zippy.cornsilk.net +5 -1
    Free the dynstr.

ChangeSet@1.2273.91.2, 2006-09-28 18:00:44+05:00, gluh@mysql.com +4 -0
  after merge fix

  sql/log.h@1.16, 2006-09-28 18:00:39+05:00, gluh@mysql.com +1 -1
    after merge fix

  sql/sp.cc@1.121.1.2, 2006-09-28 18:00:39+05:00, gluh@mysql.com +2 -2
    after merge fix

  sql/sp_head.cc@1.240, 2006-09-28 18:00:39+05:00, gluh@mysql.com +1 -1
    after merge fix

  sql/table.cc@1.239.7.2, 2006-09-28 18:00:39+05:00, gluh@mysql.com +0 -1
    after merge fix

ChangeSet@1.1810.2171.2, 2006-09-28 17:00:29+05:00, ramil@mysql.com +3 -0
  Fix for bug #22271: data casting may affect data stored in the next column(s?)
  
  Using wrong filling value may cause unneeded extra bit rewriting.
  
  Fix: use proper value to fill uneven bits.

  mysql-test/r/type_bit.result@1.14.1.4, 2006-09-28 17:00:25+05:00, ramil@mysql.com +8 -0
    Fix for bug #22271: data casting may affect data stored in the next column(s?)
      - test case.

  mysql-test/t/type_bit.test@1.17, 2006-09-28 17:00:25+05:00, ramil@mysql.com +8 -0
    Fix for bug #22271: data casting may affect data stored in the next column(s?)
      - test result.

  sql/field.cc@1.256.29.1, 2006-09-28 17:00:25+05:00, ramil@mysql.com +1 -1
    Fix for bug #22271: data casting may affect data stored in the next column(s?)
      - use ((1 << bit_len) - 1) instead of 0xff to fill uneven bits 
        in order not to change other's bits.

ChangeSet@1.2273.92.2, 2006-09-28 15:40:23+04:00, anozdrin@alik. +4 -0
  5.0-rt -> 5.1-rt after-merge fixes.

  mysql-test/lib/mtr_im.pl@1.2, 2006-09-28 15:40:21+04:00, anozdrin@alik. +4 -4
    Fix merge.

  mysql-test/lib/mtr_process.pl@1.50.1.2, 2006-09-28 15:40:21+04:00, anozdrin@alik. +1 -23
    Fix merge.

  mysql-test/r/im_daemon_life_cycle.result@1.8, 2006-09-28 15:40:21+04:00, anozdrin@alik. +2 -2
    Fix merge.

  mysql-test/t/im_daemon_life_cycle.imtest@1.7, 2006-09-28 15:40:21+04:00, anozdrin@alik. +1 -1
    Fix merge.

ChangeSet@1.2273.93.1, 2006-09-28 13:19:43+02:00, gbichot@dl145h.mysql.com +4 -0
  In the handlerton, cursor creation function don't have an argument
  and so the engine calls current_thd to derive transaction information;
  instead we now pass THD to those functions, it looks more logical
  (it makes the implicit current_thd parameter more visible).
  Approved by Brian and Monty.

  sql/handler.h@1.240.1.1, 2006-09-28 13:19:33+02:00, gbichot@dl145h.mysql.com +3 -3
    cursor's creation functions in the handlerton need a THD,
    it's better than have the engine call current_thd

  sql/sql_cursor.cc@1.8, 2006-09-28 13:19:34+02:00, gbichot@dl145h.mysql.com +4 -4
    pass the THD instead of letting the engine call current_thd

  storage/innobase/handler/ha_innodb.cc@1.295.4.1, 2006-09-28 13:19:34+02:00, gbichot@dl145h.mysql.com +8 -4
    use the passed THD instead of current_thd

  storage/innobase/handler/ha_innodb.h@1.126.1.1, 2006-09-28 13:19:34+02:00, gbichot@dl145h.mysql.com +8 -3
    use the passed THD instead of current_thd

ChangeSet@1.2273.69.18, 2006-09-28 11:53:42+02:00, msvensson@neptunus.(none) +1 -0
  Increase time to wait for mysqld to get restarted(it will take some time when running in valgrind)

  mysql-test/include/wait_until_connected_again.inc@1.2, 2006-09-28 11:53:40+02:00, msvensson@neptunus.(none) +1 -1
    Increase time to wait for mysqld to get restarted(it will take some time when running in valgrind)

ChangeSet@1.1346.884.1, 2006-09-28 11:41:38+02:00, istruewing@chilla.local +1 -0
  Bug#22384 - DELETE FROM table causes "Incorrect key file for table"
  
  Deletes on a big index could crash the index when it needs to
  shrink.
  
  Put a forgotten negation operator in.
  
  No test case. It is too big for the test suite. And it does not
  work with 4.0, only with higher versions. It is attached to the
  bug report.

  myisam/mi_delete.c@1.14.1.1, 2006-09-28 11:41:37+02:00, istruewing@chilla.local +1 -1
    Bug#22384 - DELETE FROM table causes "Incorrect key file for table"
    Put a negation operator ('!') before _mi_get_last_key() in del().
    It returns NULL on error, non-NULL on success.

ChangeSet@1.2273.85.3, 2006-09-28 09:37:34+02:00, msvensson@neptunus.(none) +2 -0
  Directory mySTL has moved from extra/yassl/mySTL to extra/yassl/taocrypt/mySTL

  extra/yassl/CMakeLists.txt@1.6, 2006-09-28 09:37:32+02:00, msvensson@neptunus.(none) +1 -1
    Directory mySTL has moved from extra/yassl/mySTL to extra/yassl/taocrypt/mySTL

  extra/yassl/taocrypt/CMakeLists.txt@1.8, 2006-09-28 09:37:32+02:00, msvensson@neptunus.(none) +1 -1
    Directory mySTL has moved from extra/yassl/mySTL to extra/yassl/taocrypt/mySTL

ChangeSet@1.1810.2154.6, 2006-09-28 09:30:24+02:00, msvensson@neptunus.(none) +1 -0
  Increase test suite timeout to 3 hours

  mysql-test/mysql-test-run.pl@1.30.44.2, 2006-09-28 09:30:17+02:00, msvensson@neptunus.(none) +1 -1
    Increase test suite timeout to 3 hours

ChangeSet@1.1810.2163.5, 2006-09-27 19:26:25-04:00, cmiller@zippy.cornsilk.net +3 -0
  Bug #20778: strange characters in warning message 1366 when called in SP
  
  The function receives an exactly-sized buffer (not a C NUL-terminated string)
  and passes it into a printf function to be interpreted with "%s".
  
  Instead, create an intermediate String object, and copy the data into it, 
  and pass in a pointer to the String's NUL-terminated buffer.

  mysql-test/r/warnings.result@1.34.1.5, 2006-09-27 19:26:23-04:00, cmiller@zippy.cornsilk.net +56 -0
    Test that warnings do not read outside its intended memory space.

  mysql-test/t/warnings.test@1.22.1.4, 2006-09-27 19:26:23-04:00, cmiller@zippy.cornsilk.net +57 -1
    Test that warnings do not read outside its intended memory space.

  sql/field.cc@1.256.1.68, 2006-09-27 19:26:24-04:00, cmiller@zippy.cornsilk.net +14 -2
    Create a new String object and use a pointer to its data instead of the 
    exactly-sized buffer to be interpreted as a C string deep within the 
    errmsg.txt list via printf.

ChangeSet@1.1810.2171.1, 2006-09-27 17:13:58-04:00, elliot@mysql.com +1 -0
  Temporary fix for bug#22268 (official patch will come soon)
  Don't cap threads at 1000 on Windows any more.

  innobase/srv/srv0start.c@1.80.14.1, 2006-09-27 17:13:52-04:00, elliot@mysql.com +1 -1
    Temporary fix for bug#22268 (official patch will come soon)
    Don't cap threads at 1000 on Windows any more.

ChangeSet@1.2273.44.9, 2006-09-27 22:14:31+02:00, andrey@example.com +1 -0
  post-merge fix

  mysql-test/r/sp.result@1.223.1.3, 2006-09-27 22:14:24+02:00, andrey@example.com +7 -0
    post-merge fix

ChangeSet@1.1810.2170.1, 2006-09-27 21:23:17+02:00, andrey@example.com +3 -0
  Fix for bug#21311: Possible stack overrun if SP has non-latin1 name
    
  There was possible stack overrun in an edge case which handles invalid body of
  a SP in mysql.proc . That should be case when mysql.proc has been changed
  manually. Though, due to bug 21513, it can be exploited without having access
  to mysql.proc only being able to create a stored routine.

  mysql-test/r/sp.result@1.170.25.1, 2006-09-27 21:23:13+02:00, andrey@example.com +7 -0
    update result

  mysql-test/t/sp.test@1.174.20.1, 2006-09-27 21:23:13+02:00, andrey@example.com +13 -0
    add a test case for the bug

  sql/sp.cc@1.82.20.1, 2006-09-27 21:23:13+02:00, andrey@example.com +11 -1
    Fix stack overrun. This happen mostly when mysql.proc is damaged, though
    it's possible due to another bug which creates invalid SP body in mysql.proc
    (leading quote from a label being cut) to create stack overrun even without
    having direct access to mysql.proc

ChangeSet@1.1810.2169.1, 2006-09-27 23:11:45+04:00, kroki@moonlight.intranet +3 -0
  BUG#21081: SELECT inside stored procedure returns wrong results
  
  Re-execution of a parametrized prepared statement or a stored routine
  with a SELECT that use LEFT JOIN with second table having only one row
  could yield incorrect result.
  
  The problem appeared only for left joins with second table having only
  one row (aka const table) and equation conditions in ON or WHERE clauses
  that depend on the argument passed.  Once the condition was false for
  second const table, a NULL row was created for it, and any field involved
  got NULL-value flag, which then was never reset.
  
  The cause of the problem was that Item_field::null_value could be set
  without being reset for re-execution.  The solution is to reset
  Item_field::null_value in Item_field::cleanup().

  mysql-test/r/ps.result@1.56.3.1, 2006-09-27 23:11:42+04:00, kroki@moonlight.intranet +21 -0
    Add result for bug#21081: SELECT inside stored procedure returns wrong
    results.

  mysql-test/t/ps.test@1.56.3.1, 2006-09-27 23:11:42+04:00, kroki@moonlight.intranet +27 -0
    Add test case for bug#21081: SELECT inside stored procedure returns wrong
    results.

  sql/item.cc@1.113.52.1, 2006-09-27 23:11:42+04:00, kroki@moonlight.intranet +1 -0
    Reset Item_field::null_value flag for re-execution.

ChangeSet@1.1810.2168.1, 2006-09-27 14:42:56-04:00, cmiller@zippy.cornsilk.net +7 -0
  Bug#21476: (Thread stack overrun not caught, causing SEGV)
  
  The STACK_MIN_SIZE is currently set to 8192, when we actually need 
  (emperically discovered) 9236 bytes to raise an fatal error, on Ubuntu 
  Dapper Drake, libc6 2.3.6-0ubuntu2, Linux kernel 2.6.15-27-686, on x86.
  
  I'm taking that as a new lower bound, plus 100B of wiggle-room for sundry
  word sizes and stack behaviors.
  
  The added test verifies in a cross-platform way that there are no gaps 
  between the space that we think we need and what we actually need to report 
  an error.
  
  DOCUMENTERS:  This also adds "let" to the mysqltest commands that evaluate
  an argument to expand variables therein.  (Only right of the "=", of course.)

  BitKeeper/etc/collapsed@1.4.1.2, 2006-09-27 13:42:06-04:00, cmiller@zippy.cornsilk.net +2 -0

  client/mysqltest.c@1.155.9.51, 2006-09-27 14:42:54-04:00, cmiller@zippy.cornsilk.net +9 -3
    Add "let" to the list of mysqltest commands that evaluates its arguments (only
    the right-hand-side of the equals-sign expression).  

  mysql-test/r/execution_constants.result@1.1, 2006-09-27 14:42:54-04:00, cmiller@zippy.cornsilk.net +12 -0
    New BitKeeper file ``mysql-test/r/execution_constants.result''

  mysql-test/r/execution_constants.result@1.0, 2006-09-27 14:42:54-04:00, cmiller@zippy.cornsilk.net +0 -0

  mysql-test/r/mysqltest.result@1.24.1.12, 2006-09-27 14:42:54-04:00, cmiller@zippy.cornsilk.net +4 -1
    Added test to show that mysqltest "let" will evaluate the RHS correctly (and 
    expand the backslash test).

  mysql-test/t/execution_constants.test@1.1, 2006-09-27 14:42:54-04:00, cmiller@zippy.cornsilk.net +74 -0
    New BitKeeper file ``mysql-test/t/execution_constants.test''

  mysql-test/t/execution_constants.test@1.0, 2006-09-27 14:42:54-04:00, cmiller@zippy.cornsilk.net +0 -0

  mysql-test/t/mysqltest.test@1.24.1.21, 2006-09-27 14:42:54-04:00, cmiller@zippy.cornsilk.net +12 -0
    Added test to show that mysqltest "let" will evaluate the RHS correctly (and 
    expand the backslash test).

  sql/mysql_priv.h@1.290.65.1, 2006-09-27 14:42:54-04:00, cmiller@zippy.cornsilk.net +12 -1
    Increase the amount we require to be available for the stack, since 
    experience told us that the previous amount was too little by at least
    1044 bytes.  

ChangeSet@1.1810.2154.5, 2006-09-27 18:10:15+02:00, msvensson@neptunus.(none) +1 -0
  Add suppressions seen on maint1, nothing new just a nother version of libc

  mysql-test/valgrind.supp@1.3.1.4, 2006-09-27 18:10:11+02:00, msvensson@neptunus.(none) +27 -0
    Add suppressions seen on maint1, nothing new just a nother version of libc

ChangeSet@1.1810.2167.1, 2006-09-27 17:11:19+02:00, msvensson@neptunus.(none) +3 -0
  Build fixes for netware/ directory
   - Create the file netware/libmysql.imp from libmysql/libmysql.def
   - Remove the outdated netware/libmysql.imp file from version control

  BitKeeper/deleted/.del-libmysql.imp@1.3, 2006-09-27 15:31:42+02:00, msvensson@neptunus.(none) +0 -0
    Delete: netware/libmysql.imp

  BitKeeper/etc/ignore@1.210.6.1, 2006-09-27 17:11:17+02:00, msvensson@neptunus.(none) +1 -0
    Added netware/libmysql.imp to the ignore list

  netware/Makefile.am@1.15.1.3, 2006-09-27 17:11:17+02:00, msvensson@neptunus.(none) +14 -2
    Build libmysql.imp from libmysql/libmysql.def

ChangeSet@1.1810.2166.3, 2006-09-27 20:11:11+05:00, gluh@mysql.com +3 -0
  additional 'after merge' fix

  sql/mysql_priv.h@1.290.64.1, 2006-09-27 20:11:08+05:00, gluh@mysql.com +1 -1
    additional 'after merge' fix

  sql/sql_parse.cc@1.426.1.154, 2006-09-27 20:11:08+05:00, gluh@mysql.com +5 -6
    additional 'after merge' fix

  sql/sql_yacc.yy@1.371.1.119, 2006-09-27 20:11:08+05:00, gluh@mysql.com +3 -3
    additional 'after merge' fix

ChangeSet@1.1810.2163.4, 2006-09-27 16:51:59+02:00, msvensson@neptunus.(none) +2 -0
  The mySTL directory has moved from yassl/mySTL to yassl/taocrypt/mySTL

  extra/yassl/CMakeLists.txt@1.1.1.1, 2006-09-27 16:51:57+02:00, msvensson@neptunus.(none) +1 -1
    The mySTL directory has moved from yassl/mySTL to yassl/taocrypt/mySTL

  extra/yassl/taocrypt/CMakeLists.txt@1.1.1.1, 2006-09-27 16:51:57+02:00, msvensson@neptunus.(none) +1 -1
    The mySTL directory has moved from yassl/mySTL to yassl/taocrypt/mySTL

ChangeSet@1.2273.82.3, 2006-09-27 17:49:51+03:00, gkodinov@macbook.gmz +2 -0
  merge fixes 5.0-opt -> 5.1-opt

  mysql-test/r/ctype_ucs.result@1.52, 2006-09-27 17:49:43+03:00, gkodinov@macbook.gmz +2 -2
    merge fixes 5.0-opt -> 5.1-opt

  sql/unireg.cc@1.86, 2006-09-27 17:49:44+03:00, gkodinov@macbook.gmz +2 -1
    merge fixes 5.0-opt -> 5.1-opt

ChangeSet@1.1810.2163.3, 2006-09-27 16:45:44+02:00, msvensson@neptunus.(none) +1 -0
  Fix compile failure on Sun C++ 5.7 in yaSSL code
   - Trying to use unctions declared as static being used from another file, change them to be inline

  extra/yassl/taocrypt/mySTL/helpers.hpp@1.2, 2006-09-27 16:45:42+02:00, msvensson@neptunus.(none) +2 -2
    Change 'GetMemory' and 'FreeMemory' function te be inline instead of static.

ChangeSet@1.1810.2166.2, 2006-09-27 19:21:29+05:00, gluh@mysql.com +8 -0
  after merge fix

  include/mysql_com.h@1.100.6.2, 2006-09-27 19:21:21+05:00, gluh@mysql.com +1 -1
    after merge fix

  sql/slave.h@1.85.1.12, 2006-09-27 19:21:21+05:00, gluh@mysql.com +1 -1
    after merge fix

  sql/sp.cc@1.82.19.1, 2006-09-27 19:21:21+05:00, gluh@mysql.com +4 -4
    after merge fix

  sql/sp_head.cc@1.200.1.24, 2006-09-27 19:21:21+05:00, gluh@mysql.com +3 -3
    after merge fix

  sql/sql_acl.cc@1.128.38.2, 2006-09-27 19:21:21+05:00, gluh@mysql.com +10 -11
    after merge fix

  sql/sql_class.h@1.230.1.70, 2006-09-27 19:21:21+05:00, gluh@mysql.com +1 -1
    after merge fix

  sql/sql_parse.cc@1.426.1.153, 2006-09-27 19:21:22+05:00, gluh@mysql.com +1 -1
    after merge fix

  sql/sql_repl.h@1.37.1.2, 2006-09-27 19:21:22+05:00, gluh@mysql.com +1 -1
    after merge fix

ChangeSet@1.2273.44.7, 2006-09-27 17:48:00+04:00, petr@mysql.com +3 -0
  Remove unused error messages (no release contains them
  at the moment, so we can safely do that). Update an error
  mesage to make it translateable.

  mysql-test/r/log_tables.result@1.10, 2006-09-27 17:47:49+04:00, petr@mysql.com +5 -5
    update result file

  sql/share/errmsg.txt@1.124, 2006-09-27 17:47:49+04:00, petr@mysql.com +2 -7
    remove unused error messages

  sql/sql_table.cc@1.370, 2006-09-27 17:47:49+04:00, petr@mysql.com +2 -2
    Use name of the statements rather then English words.
    This way error message is translateable.

ChangeSet@1.1810.2137.9, 2006-09-27 18:33:31+05:00, svoj@mysql.com +2 -0
  After merge fix.

  mysql-test/r/merge.result@1.43.1.9, 2006-09-27 18:33:28+05:00, svoj@mysql.com +9 -9
    After merge fix.

  sql/share/errmsg.txt@1.42.1.30, 2006-09-27 18:33:28+05:00, svoj@mysql.com +1 -1
    After merge fix.

ChangeSet@1.1616.2770.2, 2006-09-27 17:49:16+05:00, gluh@mysql.com +7 -0
  Patch for bug#21432 is reverted

  include/mysql_com.h@1.67.1.42, 2006-09-27 17:49:12+05:00, gluh@mysql.com +0 -3
    Patch for bug#21432 is reverted

  mysql-test/r/ctype_utf8.result@1.45.8.1, 2006-09-27 17:49:12+05:00, gluh@mysql.com +0 -12
    Patch for bug#21432 is reverted

  mysql-test/t/ctype_utf8.test@1.57.8.1, 2006-09-27 17:49:12+05:00, gluh@mysql.com +0 -16
    Patch for bug#21432 is reverted

  sql-common/client.c@1.46.1.47, 2006-09-27 17:49:13+05:00, gluh@mysql.com +3 -3
    Patch for bug#21432 is reverted

  sql/sql_acl.cc@1.74.1.106, 2006-09-27 17:49:13+05:00, gluh@mysql.com +1 -5
    Patch for bug#21432 is reverted

  sql/sql_parse.cc@1.271.1.217, 2006-09-27 17:49:13+05:00, gluh@mysql.com +2 -2
    Patch for bug#21432 is reverted

  sql/table.cc@1.111.6.1, 2006-09-27 17:49:13+05:00, gluh@mysql.com +2 -4
    Patch for bug#21432 is reverted

ChangeSet@1.1810.2163.2, 2006-09-27 14:36:12+02:00, msvensson@neptunus.(none) +7 -0
  Import yaSSL version 1.4.3

  extra/yassl/examples/echoserver/echoserver.cpp@1.5, 2006-09-26 23:09:44+02:00, msvensson@neptunus.(none) +17 -24
    Import patch yassl.diff

  extra/yassl/examples/server/server.cpp@1.4, 2006-09-26 23:09:44+02:00, msvensson@neptunus.(none) +12 -15
    Import patch yassl.diff

  extra/yassl/include/openssl/ssl.h@1.14.1.3, 2006-09-26 23:09:44+02:00, msvensson@neptunus.(none) +1 -1
    Import patch yassl.diff

  extra/yassl/src/template_instnt.cpp@1.10.1.3, 2006-09-27 14:27:49+02:00, msvensson@neptunus.(none) +1 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/src/crypto.cpp@1.1, 2006-09-26 23:09:44+02:00, msvensson@neptunus.(none) +39 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/src/crypto.cpp@1.0, 2006-09-26 23:09:44+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/src/misc.cpp@1.17, 2006-09-26 23:09:44+02:00, msvensson@neptunus.(none) +1 -0
    Import patch yassl.diff

  extra/yassl/testsuite/test.hpp@1.8, 2006-09-26 23:09:44+02:00, msvensson@neptunus.(none) +1 -1
    Import patch yassl.diff

ChangeSet@1.1810.2154.4, 2006-09-27 13:42:16+02:00, msvensson@neptunus.(none) +1 -0
  When valgrinding add /usr/lib/debug" to LD_LIBRARY_PATH if available 

  mysql-test/mysql-test-run.pl@1.30.44.1, 2006-09-27 13:42:14+02:00, msvensson@neptunus.(none) +26 -11
    Rewrite the setup of LD_LIBRARY_PATH and DYLD_LIBRARY_PATH to make it easier to modify
    Valgrind need to be run with debug libraries  otherwise it's almost impossible to add
    correct supressions, that means if "/usr/lib/debug" is available, it should be added to
    LD_LIBRARY_PATH

ChangeSet@1.2273.82.2, 2006-09-27 13:11:00+03:00, gkodinov@macbook.gmz +3 -0
  Bug#21174: Index degrades sort performance and optimizer does not honor IGNORE INDEX
   - fix moved to 5.1

  mysql-test/r/group_by.result@1.74, 2006-09-27 13:10:48+03:00, gkodinov@macbook.gmz +9 -0
    Bug#21174: Index degrades sort performance and optimizer does not honor IGNORE INDEX
     - fix moved to 5.1

  mysql-test/t/group_by.test@1.60, 2006-09-27 13:10:49+03:00, gkodinov@macbook.gmz +12 -0
    Bug#21174: Index degrades sort performance and optimizer does not honor IGNORE INDEX
     - fix moved to 5.1

  sql/sql_select.cc@1.443, 2006-09-27 13:10:50+03:00, gkodinov@macbook.gmz +2 -0
    Bug#21174: Index degrades sort performance and optimizer does not honor IGNORE INDEX
     - fix moved to 5.1

ChangeSet@1.2273.83.1, 2006-09-27 13:05:29+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +2 -0
  One more fix for binlog_row_binlog due to interminism of checking with
  SHOW BINLOG event. The latter should be either fixed or replaced to favor
  reading from binlog as the check.

  mysql-test/extra/binlog_tests/binlog_insert_delayed.test@1.4, 2006-09-27 13:05:24+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +7 -3
    interminism of binlogging of multi-row insert delayed forced to relocate the show

  mysql-test/r/binlog_row_binlog.result@1.8, 2006-09-27 13:05:24+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +13 -21
    new results

ChangeSet@1.1616.2769.3, 2006-09-27 11:55:30+02:00, istruewing@chilla.local +1 -0
  Bug#20719 - Reading dynamic records with write buffer could fail
  After merge fix.

  myisam/mi_dynrec.c@1.36.1.4, 2006-09-27 11:55:28+02:00, istruewing@chilla.local +0 -3
    Bug#20719 - Reading dynamic records with write buffer could fail
    After merge fix.

ChangeSet@1.1810.2139.9, 2006-09-27 12:53:53+03:00, gkodinov@macbook.gmz +3 -0
  Bug #21174: Index degrades sort performance and optimizer does not honor IGNORE INDEX
   - reversed the patch for 5.0 and moved to 5.1

  mysql-test/r/group_by.result@1.69.1.3, 2006-09-27 12:53:44+03:00, gkodinov@macbook.gmz +0 -9
    Bug #21174: Index degrades sort performance and optimizer does not honor IGNORE INDEX
     - reversed the patch for 5.0

  mysql-test/t/group_by.test@1.59, 2006-09-27 12:53:45+03:00, gkodinov@macbook.gmz +0 -12
    Bug #21174: Index degrades sort performance and optimizer does not honor IGNORE INDEX
     - reversed the patch for 5.0

  sql/sql_select.cc@1.312.1.144, 2006-09-27 12:53:46+03:00, gkodinov@macbook.gmz +0 -2
    Bug #21174: Index degrades sort performance and optimizer does not honor IGNORE INDEX
     - reversed the patch for 5.0

ChangeSet@1.2273.80.1, 2006-09-26 21:26:04-07:00, brian@zim.(none) +13 -0
  Removed Field (this came in as an idea from a previous patch by Serg)

  include/mysql/plugin.h@1.20, 2006-09-26 21:25:59-07:00, brian@zim.(none) +0 -1
    Field Removed

  sql/ha_ndbcluster.cc@1.348.11.1, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Field Removed

  sql/ha_partition.cc@1.74, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Field Removed

  sql/log.cc@1.231.1.1, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Removed Field

  storage/archive/ha_archive.cc@1.104, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Removed Field

  storage/blackhole/ha_blackhole.cc@1.41, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Removed Field

  storage/csv/ha_tina.cc@1.60.2.1, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Removed Field

  storage/example/ha_example.cc@1.44, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Removed Field

  storage/federated/ha_federated.cc@1.80, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Removed Field

  storage/heap/ha_heap.cc@1.99, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Removed Field

  storage/innobase/handler/ha_innodb.cc@1.295.3.1, 2006-09-26 21:25:59-07:00, brian@zim.(none) +1 -1
    Removed Field

  storage/myisam/ha_myisam.cc@1.195, 2006-09-26 21:26:00-07:00, brian@zim.(none) +1 -1
    Removed Field

  storage/myisammrg/ha_myisammrg.cc@1.100, 2006-09-26 21:26:00-07:00, brian@zim.(none) +1 -1
    Removed Field

ChangeSet@1.2273.52.10, 2006-09-26 20:52:54+04:00, evgen@moonbone.local +7 -0
  Fixed bug #18360: Type aggregation for IN and CASE may lead to a wrong
  result
  
  The IN function aggregates result types of all expressions. It uses that 
  type in comparison of left expression and expressions in right part. 
  This approach works in most cases. But let's consider the case when the
  right part contains both strings and integers. In that case this approach may
  cause wrong results because all strings which do not start with a digit are
  evaluated as 0.
  CASE uses the same approach when a CASE expression is given thus it's also
  affected.
  
  The idea behind this fix is to make IN function to compare expressions with
  different result types differently. For example a string in the left
  part will be compared as string with strings specified in right part and
  will be converted to real for comparison to int or real items in the right
  part.
  
  A new function called collect_cmp_types() is added. It collects different
  result types for comparison of first item in the provided list with each 
  other item in the list. 
  
  The Item_func_in class now can refer up to 5 cmp_item objects: 1 for each
  result type for comparison purposes. cmp_item objects are allocated according
  to found result types. The comparison of the left expression with any
  right part expression is now based only on result types of these expressions.
  
  The Item_func_case class is modified in the similar way when a CASE
  expression is specified. Now it can allocate up to 5 cmp_item objects
  to compare CASE expression with WHEN expressions of different types.
  The comparison of the CASE expression with any WHEN expression now based only 
  on result types of these expressions.
  

  mysql-test/r/func_in.result@1.30, 2006-09-26 20:52:14+04:00, evgen@moonbone.local +68 -0
    Added a test case for bug#18360: Type aggregation for IN and CASE may lead to a wrong
    result

  mysql-test/t/func_in.test@1.23, 2006-09-26 20:51:34+04:00, evgen@moonbone.local +24 -0
    Added a test case for bug#18360: Type aggregation for IN and CASE may lead to a wrong
    result

  mysql-test/t/view.test@1.161, 2006-09-26 20:48:04+04:00, evgen@moonbone.local +1 -1
    Added a test comment

  sql/item.cc@1.210.1.1, 2006-09-26 20:46:24+04:00, evgen@moonbone.local +0 -5
    Cleaned up an outdated comment.

  sql/item_cmpfunc.cc@1.222, 2006-09-26 20:46:34+04:00, evgen@moonbone.local +184 -112
        Fixed bug #18360: Type aggregation for IN and CASE may lead to a wrong result
        A new function called collect_cmp_types() is added. It collects different
        result types for comparison of first item in the provided list with each 
        other item in the list. 
        The Item_func_in class now can refer up to 5 cmp_item objects: 1 for each
        result type for comparison purposes. cmp_item objects are allocated according
        to found result types. The comparison of the left expression with any
        right part expression is now based only on result types of these expressions.
        The Item_func_case class is modified in the similar way when a CASE
        expression is specified. Now it can allocate up to 5 cmp_item objects
        to compare CASE expression with WHEN expressions of different types.
        The comparison of the CASE expression with any WHEN expression now based only 
        on result types of these expressions.

  sql/item_cmpfunc.h@1.135, 2006-09-26 20:47:02+04:00, evgen@moonbone.local +116 -48
        Fixed bug#18360: Type aggregation for IN and CASE may lead to a wrong result
        The Item_func_in class now can refer up to 5 cmp_item objects.
        The Item_func_case class is modified in the similar way.

  sql/opt_range.cc@1.233.1.1, 2006-09-26 20:47:21+04:00, evgen@moonbone.local +9 -1
        Fixed bug #18360: Type aggregation for IN and CASE may lead to a wrong
        resultSmall code changes due to changes in Item_func_in class.

ChangeSet@1.1810.2154.3, 2006-09-26 17:52:15+02:00, msvensson@neptunus.(none) +1 -0
  Fir problem with winepath in mwenv

  netware/BUILD/mwenv@1.12.2.3, 2006-09-26 17:52:13+02:00, msvensson@neptunus.(none) +2 -2
    Add extra / after $base for winepath to work correctly
    Add / between $base and WINE_BUILD_DIR

ChangeSet@1.1810.2154.2, 2006-09-26 16:25:01+02:00, msvensson@neptunus.(none) +1 -0
  Hardcode the fact that we are using zlib 1.2.3(previously done via symlink zlib-1.1.4)

  netware/BUILD/mwenv@1.12.2.2, 2006-09-26 16:24:59+02:00, msvensson@neptunus.(none) +2 -2
    Hardcode the fact that we are using zlib 1.2.3(previously done via symlink zlib-1.1.4)

ChangeSet@1.2273.63.12, 2006-09-26 17:20:14+03:00, jani@a88-112-41-254.elisa-laajakaista.fi +2 -0
  Added more tests of field conversions.

  mysql-test/r/union.result@1.92, 2006-09-26 17:20:11+03:00, jani@a88-112-41-254.elisa-laajakaista.fi +27 -0
    Added more tests of field conversions.

  mysql-test/t/union.test@1.99, 2006-09-26 17:20:11+03:00, jani@a88-112-41-254.elisa-laajakaista.fi +15 -0
    Added more tests of field conversions.

ChangeSet@1.2273.78.2, 2006-09-26 16:01:16+02:00, msvensson@neptunus.(none) +1 -0
  Update patch that restores slave databases from snapshots before start for 5.1

  mysql-test/mysql-test-run.pl@1.183.1.2, 2006-09-26 16:01:12+02:00, msvensson@neptunus.(none) +6 -4
    Update patch that restores slave databases from snapshots before start for 5.1

ChangeSet@1.1616.2761.4, 2006-09-26 15:20:10+02:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - bug#15303
    Fix take-over during SR, remove coupling to lcp/gcp (if systemRestartOngoing())

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp@1.14.5.3, 2006-09-26 15:20:09+02:00, jonas@perch.ndb.mysql.com +30 -7
    Fix take-over during SR

ChangeSet@1.1616.2761.3, 2006-09-26 15:04:44+02:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - bug#22672
    handle also CS_CONNECTED as "abort" in handleFailedApi to keep from falling on assertion in releaseApiCon
      in case of committed dirtyRead

  ndb/src/kernel/blocks/dbtc/DbtcMain.cpp@1.42.6.3, 2006-09-26 15:04:43+02:00, jonas@perch.ndb.mysql.com +0 -7
    handle also CS_CONNECTED as "abort" to keep from falling on assertion in releaseApiCon
      in case of committed dirtyRead

ChangeSet@1.2273.77.1, 2006-09-26 14:21:52+02:00, pekka@orca.ndb.mysql.com +6 -0
  ndb - bug#21690: cleanup: set column properties in any order before create

  storage/ndb/include/ndbapi/NdbDictionary.hpp@1.84, 2006-09-26 14:16:27+02:00, pekka@orca.ndb.mysql.com +31 -0
    compute aggregates only before create table or by user request.
    remove distribution key hacks (set by user/set by us..)

  storage/ndb/src/ndbapi/NdbDictionary.cpp@1.64, 2006-09-26 14:16:27+02:00, pekka@orca.ndb.mysql.com +14 -3
    compute aggregates only before create table or by user request.
    remove distribution key hacks (set by user/set by us..)

  storage/ndb/src/ndbapi/NdbDictionaryImpl.cpp@1.151, 2006-09-26 14:16:27+02:00, pekka@orca.ndb.mysql.com +23 -19
    compute aggregates only before create table or by user request.
    remove distribution key hacks (set by user/set by us..)

  storage/ndb/src/ndbapi/NdbDictionaryImpl.hpp@1.68, 2006-09-26 14:16:27+02:00, pekka@orca.ndb.mysql.com +4 -5
    compute aggregates only before create table or by user request.
    remove distribution key hacks (set by user/set by us..)

  storage/ndb/test/include/NDBT_Table.hpp@1.13, 2006-09-26 14:16:27+02:00, pekka@orca.ndb.mysql.com +5 -0
    compute aggregates only before create table or by user request.
    remove distribution key hacks (set by user/set by us..)

  storage/ndb/test/src/NDBT_Tables.cpp@1.21, 2006-09-26 14:16:27+02:00, pekka@orca.ndb.mysql.com +5 -0
    compute aggregates only before create table or by user request.
    remove distribution key hacks (set by user/set by us..)

ChangeSet@1.2270.2.26, 2006-09-26 14:08:20+02:00, jonas@perch.ndb.mysql.com +3 -0
  ndb - post merge fixes...

  storage/ndb/src/kernel/blocks/dbdict/Dbdict.cpp@1.98.1.2, 2006-09-26 14:08:18+02:00, jonas@perch.ndb.mysql.com +1 -1
    merge

  storage/ndb/src/kernel/blocks/dblqh/DblqhMain.cpp@1.125, 2006-09-26 14:08:18+02:00, jonas@perch.ndb.mysql.com +1 -1
    merge

  storage/ndb/src/ndbapi/NdbTransaction.cpp@1.57.1.2, 2006-09-26 14:08:18+02:00, jonas@perch.ndb.mysql.com +1 -1
    merge

ChangeSet@1.1810.2165.1, 2006-09-26 13:49:42+02:00, msvensson@neptunus.(none) +1 -0
  Bug#18969 race condition involving slave and mysqltest. was rpl_insert_id test case fails
   - As the slaves are restarted for each testcase, take the opportunity to restore their databases to a known state with the help of the snapshot(s)
   - Count max number of slaves used in testcases
   - Use copy_install_db to speed up "Installing db" phase

  mysql-test/mysql-test-run.pl@1.30.43.1, 2006-09-26 13:49:39+02:00, msvensson@neptunus.(none) +48 -15
    Count max number of slaves used for a test run and use that when installing slave databases etc.
    Use "copy_install_db" for all but the first db to install
    After having stopped the slave database, restore it's database files from the snapshot.

ChangeSet@1.1616.2761.2, 2006-09-26 13:19:00+02:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - bug#20895
    Fix occational LCP hang!!!
    Make sure only to consider alive nodes in startNextChkpt

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp@1.14.5.2, 2006-09-26 13:18:59+02:00, jonas@perch.ndb.mysql.com +71 -60
    Make sure only to consider alive nodes in startNextChkpt

ChangeSet@1.2273.63.11, 2006-09-26 13:19:25+03:00, jani@a88-112-41-254.elisa-laajakaista.fi +2 -0
  Fix for bug#20208
  A better fix for bug#10025.
  
  Fixed test case plus added new tests.
  
  After fixing Bug#20208 "Blobs greater than 8K are being truncated to 8K"
  the fix to bug#10025 "Misleading error with COLLATE mediumtext and UNION"
  became more accurate. Earlier mediumtext got converted to longtext,
  although mediumtext was enough to contain the results. Now it converts
  correctly to mediumtext, if the length does not exceed that and if none
  of the original fields were type longtext.
  
  Type longtext still converts correctly to type longtext, as the extra
  tests prove.

  mysql-test/r/union.result@1.91, 2006-09-26 13:19:21+03:00, jani@a88-112-41-254.elisa-laajakaista.fi +29 -0
    Fixed an earlier test case plus added two new tests.

  mysql-test/t/union.test@1.98, 2006-09-26 13:19:21+03:00, jani@a88-112-41-254.elisa-laajakaista.fi +30 -0
    Fixed an earlier test case plus added two new tests.

ChangeSet@1.1616.2773.1, 2006-09-26 11:03:11+08:00, dli@dev3-76.dev.cn.tlan +4 -0
  fix for bug#19651, if temporary error occured while retoring, report it in the restore result.

  ndb/tools/restore/consumer.hpp@1.5.1.1, 2006-09-26 11:03:10+08:00, dli@dev3-76.dev.cn.tlan +1 -0
    added a function to judge whether there is temporary error.

  ndb/tools/restore/consumer_restore.cpp@1.9.1.5, 2006-09-26 11:03:10+08:00, dli@dev3-76.dev.cn.tlan +6 -0
    record when temporary error occured in restore.

  ndb/tools/restore/consumer_restore.hpp@1.7.1.1, 2006-09-26 11:03:10+08:00, dli@dev3-76.dev.cn.tlan +3 -0
    added a member to record temporary error in restore.

  ndb/tools/restore/restore_main.cpp@1.25.1.4, 2006-09-26 11:03:10+08:00, dli@dev3-76.dev.cn.tlan +11 -0
    report temporary error in restore.

ChangeSet@1.2273.71.3, 2006-09-25 11:48:51-07:00, acurtis@xiphis.org +1 -0
  Bug#20615
    "plugin name lost when loading an already-loaded name"
    Do not delete existing plugin when loading a new plugin which has the
    same name.

  sql/sql_plugin.cc@1.36, 2006-09-25 11:48:49-07:00, acurtis@xiphis.org +1 -1
    Bug#20615
      Don't delete the plugin if it wasn't added.

ChangeSet@1.2273.76.2, 2006-09-25 20:28:40+02:00, msvensson@neptunus.(none) +1 -0
  Return from function 'collect_one_test_case' as sson it's detected that testcase should be skipped

  mysql-test/lib/mtr_cases.pl@1.36, 2006-09-25 20:28:36+02:00, msvensson@neptunus.(none) +12 -0
    Return from function 'collect_one_test_case' as sson it's detected that testcase should be skipped

ChangeSet@1.1616.2772.1, 2006-09-25 20:01:39+02:00, msvensson@neptunus.(none) +1 -0
  Bug#18888 Trying to overwrite sql/lex_hash.h during build
   -Backport fix for bug19738 to 4.1 

  sql/Makefile.am@1.77.1.40, 2006-09-25 20:01:37+02:00, msvensson@neptunus.(none) +6 -2
    Generated source should depend on their sources not the tool

ChangeSet@1.2273.71.2, 2006-09-25 10:59:49-07:00, acurtis@xiphis.org +1 -0
  Bug#21610
    "Loaded engine does not load after restart."
    Junk characters caused plugin load to fail silently.

  sql/sql_plugin.cc@1.35, 2006-09-25 10:59:45-07:00, acurtis@xiphis.org +9 -7
    junk characters cause plugin load to fail.
    eliminate use of strlen().

ChangeSet@1.2273.75.1, 2006-09-25 09:04:19-07:00, acurtis@xiphis.org +3 -0
  Bug#22080
    "CHECK fails to identify some corruption"
    change to allow it to detect more errors in data format

  mysql-test/r/csv.result@1.13, 2006-09-25 09:04:15-07:00, acurtis@xiphis.org +19 -0
    Test for bug

  mysql-test/t/csv.test@1.16, 2006-09-25 09:04:15-07:00, acurtis@xiphis.org +23 -0
    Test for bug

  storage/csv/ha_tina.cc@1.60.1.2, 2006-09-25 09:04:15-07:00, acurtis@xiphis.org +18 -16
    Bug#22080
      "CHECK fails to identify some corruption"
      change to allow it to detect more errors in data format

ChangeSet@1.2273.73.3, 2006-09-25 17:22:23+02:00, andrey@example.com +4 -0
  Fix for bug#22662  Inconsistent values displayed for event_scheduler
  when set to DISABLED
    
  It was a silly ordering number error.
  

  mysql-test/r/events_restart_phase0.result@1.1, 2006-09-25 17:22:18+02:00, andrey@example.com +22 -0
    New BitKeeper file ``mysql-test/r/events_restart_phase0.result''

  mysql-test/r/events_restart_phase0.result@1.0, 2006-09-25 17:22:18+02:00, andrey@example.com +0 -0

  mysql-test/t/events_restart_phase0.log@1.1, 2006-09-25 17:22:18+02:00, andrey@example.com +22 -0
    New BitKeeper file ``mysql-test/t/events_restart_phase0.log''

  mysql-test/t/events_restart_phase0.log@1.0, 2006-09-25 17:22:18+02:00, andrey@example.com +0 -0

  mysql-test/t/events_restart_phase0.result@1.1, 2006-09-25 17:22:19+02:00, andrey@example.com +22 -0
    New BitKeeper file ``mysql-test/t/events_restart_phase0.result''

  mysql-test/t/events_restart_phase0.result@1.0, 2006-09-25 17:22:19+02:00, andrey@example.com +0 -0

  sql/events.h@1.50, 2006-09-25 17:22:18+02:00, andrey@example.com +1 -1
    fix ordinal number, the cause for bug #22662
    Inconsistent values displayed for event_scheduler when set to DISABLED

ChangeSet@1.2273.73.2, 2006-09-25 16:49:25+02:00, andrey@example.com +3 -0
  Fix for bug#22397 Events: crash with procedure which alters events
    
  ALTER EVENT in stored procedure body led to a crash during the
  procedure call. Affected was only ALTER EVENT which changed the
  interval of the event. No problems with AT, STARTS, ENDS and so on.
  

  mysql-test/r/events_bugs.result@1.22, 2006-09-25 16:49:22+02:00, andrey@example.com +13 -0
    fix result

  mysql-test/t/events_bugs.test@1.18, 2006-09-25 16:49:22+02:00, andrey@example.com +19 -0
    add test case for bug 22397 : Events, crash with procedure which alters body

  sql/event_data_objects.cc@1.77, 2006-09-25 16:49:22+02:00, andrey@example.com +1 -1
    fix copy&paste error in code, which resulted in bug#22397
    Events: crash with procedure which alters body
    

ChangeSet@1.1810.2163.1, 2006-09-25 16:40:29+02:00, msvensson@neptunus.(none) +74 -0
  Import yaSSL version 1.4.0

  BitKeeper/deleted/.del-algorithm.hpp@1.3, 2006-09-25 15:45:19+02:00, msvensson@neptunus.(none) +0 -0
    Delete: extra/yassl/mySTL/algorithm.hpp

  BitKeeper/deleted/.del-helpers.hpp@1.13, 2006-09-25 15:45:23+02:00, msvensson@neptunus.(none) +0 -0
    Delete: extra/yassl/mySTL/helpers.hpp

  BitKeeper/deleted/.del-list.hpp@1.9, 2006-09-25 15:45:31+02:00, msvensson@neptunus.(none) +0 -0
    Delete: extra/yassl/mySTL/list.hpp

  BitKeeper/deleted/.del-memory.hpp@1.5, 2006-09-25 15:45:59+02:00, msvensson@neptunus.(none) +0 -0
    Delete: extra/yassl/mySTL/memory.hpp

  BitKeeper/deleted/.del-pair.hpp@1.3, 2006-09-25 15:45:38+02:00, msvensson@neptunus.(none) +0 -0
    Delete: extra/yassl/mySTL/pair.hpp

  BitKeeper/deleted/.del-stdexcept.hpp@1.7, 2006-09-25 15:45:44+02:00, msvensson@neptunus.(none) +0 -0
    Delete: extra/yassl/mySTL/stdexcept.hpp

  BitKeeper/deleted/.del-vector.hpp@1.8, 2006-09-25 15:45:54+02:00, msvensson@neptunus.(none) +0 -0
    Delete: extra/yassl/mySTL/vector.hpp

  extra/yassl/FLOSS-EXCEPTIONS@1.2, 2006-08-31 23:56:41+02:00, msvensson@neptunus.(none) +2 -1
    Import patch yassl.diff

  extra/yassl/Makefile.am@1.2.1.3, 2006-09-25 16:40:26+02:00, msvensson@neptunus.(none) +1 -1
    mySTL directory has moved from yassl/ to yassl/taocrypt

  extra/yassl/README@1.6, 2006-08-13 23:41:21+02:00, msvensson@neptunus.(none) +12 -1
    Import patch yassl.diff

  extra/yassl/examples/client/client.cpp@1.4, 2006-09-21 16:47:09+02:00, msvensson@neptunus.(none) +28 -3
    Import patch yassl.diff

  extra/yassl/examples/echoclient/echoclient.cpp@1.3, 2006-09-21 16:47:09+02:00, msvensson@neptunus.(none) +14 -1
    Import patch yassl.diff

  extra/yassl/examples/echoserver/echoserver.cpp@1.4, 2006-09-21 16:47:09+02:00, msvensson@neptunus.(none) +29 -7
    Import patch yassl.diff

  extra/yassl/examples/server/server.cpp@1.3, 2006-09-25 09:42:14+02:00, msvensson@neptunus.(none) +19 -7
    Import patch yassl.diff

  extra/yassl/include/buffer.hpp@1.6, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +5 -2
    Import patch yassl.diff

  extra/yassl/include/cert_wrapper.hpp@1.4, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +8 -3
    Import patch yassl.diff

  extra/yassl/include/crypto_wrapper.hpp@1.5, 2006-08-29 22:06:44+02:00, msvensson@neptunus.(none) +11 -1
    Import patch yassl.diff

  extra/yassl/include/factory.hpp@1.5, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +11 -7
    Import patch yassl.diff

  extra/yassl/include/openssl/ssl.h@1.14.1.2, 2006-09-18 22:19:21+02:00, msvensson@neptunus.(none) +3 -1
    Import patch yassl.diff

  extra/yassl/include/socket_wrapper.hpp@1.8, 2006-08-13 03:34:24+02:00, msvensson@neptunus.(none) +2 -0
    Import patch yassl.diff

  extra/yassl/include/yassl_error.hpp@1.6, 2006-08-30 00:52:55+02:00, msvensson@neptunus.(none) +5 -1
    Import patch yassl.diff

  extra/yassl/include/yassl_imp.hpp@1.6, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +5 -2
    Import patch yassl.diff

  extra/yassl/include/yassl_int.hpp@1.11.1.2, 2006-09-18 22:19:21+02:00, msvensson@neptunus.(none) +99 -7
    Import patch yassl.diff

  extra/yassl/include/yassl_types.hpp@1.14, 2006-09-25 12:28:29+02:00, msvensson@neptunus.(none) +37 -1
    Import patch yassl.diff

  extra/yassl/src/Makefile.am@1.10.2.1, 2006-09-25 16:40:26+02:00, msvensson@neptunus.(none) +1 -1
    mySTL directory has moved from yassl/ to yassl/taocrypt

  extra/yassl/src/cert_wrapper.cpp@1.9, 2006-08-29 22:06:44+02:00, msvensson@neptunus.(none) +24 -7
    Import patch yassl.diff

  extra/yassl/src/crypto_wrapper.cpp@1.9, 2006-08-29 22:06:44+02:00, msvensson@neptunus.(none) +33 -2
    Import patch yassl.diff

  extra/yassl/src/handshake.cpp@1.13, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +39 -44
    Import patch yassl.diff

  extra/yassl/src/socket_wrapper.cpp@1.13, 2006-08-24 17:58:30+02:00, msvensson@neptunus.(none) +10 -2
    Import patch yassl.diff

  extra/yassl/src/ssl.cpp@1.16.1.3, 2006-08-30 00:52:56+02:00, msvensson@neptunus.(none) +179 -30
    Import patch yassl.diff

  extra/yassl/src/template_instnt.cpp@1.10.1.2, 2006-09-25 12:26:59+02:00, msvensson@neptunus.(none) +17 -0
    Import patch yassl.diff

  extra/yassl/src/yassl.cpp@1.3, 2006-08-29 22:06:44+02:00, msvensson@neptunus.(none) +0 -12
    Import patch yassl.diff

  extra/yassl/src/yassl_error.cpp@1.8, 2006-08-30 00:52:56+02:00, msvensson@neptunus.(none) +13 -1
    Import patch yassl.diff

  extra/yassl/src/yassl_imp.cpp@1.8.1.3, 2006-08-30 00:52:56+02:00, msvensson@neptunus.(none) +37 -9
    Import patch yassl.diff

  extra/yassl/src/yassl_int.cpp@1.19.1.3, 2006-08-30 00:52:56+02:00, msvensson@neptunus.(none) +229 -20
    Import patch yassl.diff

  extra/yassl/taocrypt/COPYING@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +340 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/COPYING@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/INSTALL@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +229 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/INSTALL@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/Makefile.am@1.1.1.4, 2006-09-25 16:40:26+02:00, msvensson@neptunus.(none) +1 -1
    mySTL directory has moved from yassl/ to yassl/taocrypt

  extra/yassl/taocrypt/README@1.1, 2006-09-18 23:08:52+02:00, msvensson@neptunus.(none) +37 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/README@1.0, 2006-09-18 23:08:52+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/benchmark/Makefile.am@1.1.1.1, 2006-09-25 16:40:26+02:00, msvensson@neptunus.(none) +1 -1
    mySTL directory has moved from yassl/ to yassl/taocrypt

  extra/yassl/taocrypt/include/asn.hpp@1.10, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +4 -2
    Import patch yassl.diff

  extra/yassl/taocrypt/include/block.hpp@1.9, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +7 -5
    Import patch yassl.diff

  extra/yassl/taocrypt/include/blowfish.hpp@1.3, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +5 -1
    Import patch yassl.diff

  extra/yassl/taocrypt/include/error.hpp@1.5, 2006-08-29 22:06:44+02:00, msvensson@neptunus.(none) +2 -2
    Import patch yassl.diff

  extra/yassl/taocrypt/include/file.hpp@1.4, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +1 -1
    Import patch yassl.diff

  extra/yassl/taocrypt/include/integer.hpp@1.11, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +1 -1
    Import patch yassl.diff

  extra/yassl/taocrypt/include/misc.hpp@1.14, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +17 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/include/pwdbased.hpp@1.3, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +1 -1
    Import patch yassl.diff

  extra/yassl/taocrypt/include/twofish.hpp@1.3, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +5 -1
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/algorithm.hpp@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +115 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/algorithm.hpp@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/mySTL/helpers.hpp@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +160 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/helpers.hpp@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/mySTL/list.hpp@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +374 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/list.hpp@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/mySTL/memory.hpp@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +143 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/memory.hpp@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/mySTL/memory_array.hpp@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +142 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/memory_array.hpp@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/mySTL/pair.hpp@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +65 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/pair.hpp@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/mySTL/stdexcept.hpp@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +84 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/stdexcept.hpp@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/mySTL/vector.hpp@1.1, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +161 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/mySTL/vector.hpp@1.0, 2006-09-18 22:19:22+02:00, msvensson@neptunus.(none) +0 -0

  extra/yassl/taocrypt/src/Makefile.am@1.13.1.1, 2006-09-25 16:40:26+02:00, msvensson@neptunus.(none) +1 -1
    mySTL directory has moved from yassl/ to yassl/taocrypt

  extra/yassl/taocrypt/src/algebra.cpp@1.11, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +10 -5
    Import patch yassl.diff

  extra/yassl/taocrypt/src/asn.cpp@1.11, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +5 -4
    Import patch yassl.diff

  extra/yassl/taocrypt/src/blowfish.cpp@1.3, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +1 -1
    Import patch yassl.diff

  extra/yassl/taocrypt/src/des.cpp@1.4, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +6 -3
    Import patch yassl.diff

  extra/yassl/taocrypt/src/dh.cpp@1.8, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +1 -1
    Import patch yassl.diff

  extra/yassl/taocrypt/src/integer.cpp@1.25, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +6 -6
    Import patch yassl.diff

  extra/yassl/taocrypt/src/md4.cpp@1.3, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +6 -4
    Import patch yassl.diff

  extra/yassl/taocrypt/src/md5.cpp@1.5, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +7 -4
    Import patch yassl.diff

  extra/yassl/taocrypt/src/misc.cpp@1.16, 2006-09-25 16:40:26+02:00, msvensson@neptunus.(none) +0 -10
    Remove the functions CRYPTO_lock and CRYPTO_add_lock as they would collide with OpenSSL functions 

  extra/yassl/taocrypt/src/random.cpp@1.10, 2006-09-25 11:58:53+02:00, msvensson@neptunus.(none) +66 -2
    Import patch yassl.diff

  extra/yassl/taocrypt/src/ripemd.cpp@1.5, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +6 -4
    Import patch yassl.diff

  extra/yassl/taocrypt/src/sha.cpp@1.5, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +7 -4
    Import patch yassl.diff

  extra/yassl/taocrypt/src/template_instnt.cpp@1.12, 2006-08-16 01:36:33+02:00, msvensson@neptunus.(none) +7 -0
    Import patch yassl.diff

  extra/yassl/taocrypt/test/Makefile.am@1.1.1.1, 2006-09-25 16:40:26+02:00, msvensson@neptunus.(none) +1 -1
    mySTL directory has moved from yassl/ to yassl/taocrypt

  extra/yassl/testsuite/Makefile.am@1.3.2.1, 2006-09-25 16:40:26+02:00, msvensson@neptunus.(none) +1 -1
    mySTL directory has moved from yassl/ to yassl/taocrypt

  extra/yassl/testsuite/test.hpp@1.7, 2006-09-21 16:47:10+02:00, msvensson@neptunus.(none) +42 -7
    Import patch yassl.diff

ChangeSet@1.2273.70.2, 2006-09-25 16:58:07+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +1 -0
  Result of a binlog_statement_insert_delayed was affected by recent fixing of
  binlog_row_binlog.test failure in team tree.
  Fixing the result.
  

  mysql-test/r/binlog_statement_insert_delayed.result@1.3, 2006-09-25 16:54:25+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +1 -0

ChangeSet@1.2273.73.1, 2006-09-25 15:50:49+02:00, andrey@example.com +3 -0
  cleanups - fix a test and remove unneeded declaration

  mysql-test/r/events.result@1.45, 2006-09-25 15:50:41+02:00, andrey@example.com +24 -39
    test result

  mysql-test/t/events.test@1.42, 2006-09-25 15:50:41+02:00, andrey@example.com +11 -20
    fix test

  sql/sql_show.cc@1.360.2.1, 2006-09-25 15:50:41+02:00, andrey@example.com +0 -2
    remove unneeded declaration

ChangeSet@1.1810.2161.1, 2006-09-25 06:15:14-07:00, igor@rurik.mysql.com +5 -0
  Fixed bug #21646.
  Presence of a subquery in the ON expression of a join 
  should not block merging the view that contains this join.
  Before this patch the such views were converted into 
  into temporary table views.

  mysql-test/r/view.result@1.138.19.3, 2006-09-25 06:15:04-07:00, igor@rurik.mysql.com +14 -0
    Added a test case for bug #21646.

  mysql-test/t/view.test@1.126.17.3, 2006-09-25 06:15:04-07:00, igor@rurik.mysql.com +18 -0
    Added a test case for bug #21646.

  sql/mysql_priv.h@1.290.1.121, 2006-09-25 06:15:04-07:00, igor@rurik.mysql.com +2 -1
    Fixed bug #21646.
    Added a new parsing state 'IN_ON', true when
    the parser is in an ON expression of a join.

  sql/sql_lex.cc@1.142.1.59, 2006-09-25 06:15:04-07:00, igor@rurik.mysql.com +2 -1
    Fixed bug #21646.
    Presence of a subquery in the ON expression of a join 
    should not block merging the view that contains this join.

  sql/sql_yacc.yy@1.371.83.1, 2006-09-25 06:15:04-07:00, igor@rurik.mysql.com +8 -0
    Fixed bug #21646.
    Added a new parsing state 'IN_ON', true when
    the parser is in an ON expression of a join.

ChangeSet@1.1616.2771.1, 2006-09-25 05:24:07-07:00, igor@rurik.mysql.com +3 -0
  Fixed bug #21853: assert failure for a grouping query with
  an ALL/ANY quantified subquery in HAVING.
  The Item::split_sum_func2 method should not create Item_ref
  for objects of any class derived from Item_subselect.

  mysql-test/r/subselect.result@1.67.1.116, 2006-09-25 05:24:04-07:00, igor@rurik.mysql.com +36 -0
    Added a test case for bug #21853.

  mysql-test/t/subselect.test@1.58.1.102, 2006-09-25 05:24:04-07:00, igor@rurik.mysql.com +37 -0
    Added a test case for bug #21853.

  sql/item.cc@1.58.1.175, 2006-09-25 05:24:04-07:00, igor@rurik.mysql.com +1 -0
    Fixed bug #21853: assert failure for a grouping query with
    an ALL/ANY quantified subquery in HAVING.
    The Item::split_sum_func2 method should not create Item_ref
    for objects of any class derived from Item_subselect.

ChangeSet@1.1810.2141.5, 2006-09-25 12:50:32+04:00, kaa@polly.local +1 -0
  Fixed broken 'strict' test which relied on incorrect behaviour of my_strtod() (fixed in bug #22129)

  mysql-test/r/strict.result@1.25.4.1, 2006-09-25 12:50:28+04:00, kaa@polly.local +2 -2
    Fixed broken 'strict' test which relied on incorrect behaviour of my_strtod() (fixed in bug #22129)

ChangeSet@1.2273.63.10, 2006-09-25 10:30:23+03:00, jani@a88-112-41-254.elisa-laajakaista.fi +1 -0
  Fixed a test result. Value of MAX_BLOB_WIDTH changed.

  mysql-test/r/gis.result@1.38, 2006-09-25 10:30:19+03:00, jani@a88-112-41-254.elisa-laajakaista.fi +1 -1
    Fixed a test result. Value of MAX_BLOB_WIDTH changed.

ChangeSet@1.1810.2159.1, 2006-09-25 09:28:52+02:00, msvensson@neptunus.(none) +3 -0
  Bug #22379 im_daemon_life_cycle.test fails on merge of 5.1 -> 5.1-engines
  Remove race situations that occur when removing pidfiles. Primarily each process should remove its own
  pidfile, secondly it should be removed by the process that created it and _only_ if it's
  certain the process is dead. Third, mysql-test-run.pl will remove the pidfile when process has been killed.
  - Set state of an instance to STARTING _before_ calling instance->start()
  - Check that pidfile of instance has been created before changing STARTING => STARTED
  - Only remove the pidfile if IM kills an instance with SIGKILL, otherwise the instance will remove it itself

  server-tools/instance-manager/guardian.cc@1.20.1.3, 2006-09-25 09:28:49+02:00, msvensson@neptunus.(none) +21 -6
    If state of an instance is STARTING, chech that the instance pidfile has been created
    before changing state to STARTED
    Set state to STARTING before calling instance->start(), it can take some time
    before it is fully started and during that time it should be in state STARTING

  server-tools/instance-manager/instance.cc@1.32.2.1, 2006-09-25 09:28:49+02:00, msvensson@neptunus.(none) +13 -12
    Only remove the pid file of instance manager when a SIGKILL has 
    been performed sucessfully

  server-tools/instance-manager/instance_options.cc@1.29.1.3, 2006-09-25 09:28:49+02:00, msvensson@neptunus.(none) +2 -1
    Check that fscanf returns 1 which is the number of args that should be scanned from
    the pid file

ChangeSet@1.1616.2770.1, 2006-09-25 00:54:46+02:00, kent@mysql.com +1 -0
  mysql_config.sh:
    Filter out plain -O and Sun C/C++ style optimization flags, -xO<level>
    Filter out icc specific options from cflags/libs(_r)

  scripts/mysql_config.sh@1.23.1.2, 2006-09-25 00:52:56+02:00, kent@mysql.com +1 -1
    Filter out plain -O and Sun C/C++ style optimization flags, -xO<level>

  scripts/mysql_config.sh@1.23.1.1, 2006-09-25 00:46:34+02:00, kent@mysql.com +7 -6
    Filter out icc specific options from cflags/libs(_r)

ChangeSet@1.2273.72.1, 2006-09-24 00:41:20+02:00, kent@mysql.com +2 -0
  mysql.spec.sh:
    Added "test" RPM package
    Install all binaries "make install" would
  make_binary_distribution.sh:
    Copy Cluster API headers into "/usr/include/mysql/storage/ndb/" (Bug#21955)

  scripts/make_binary_distribution.sh@1.128, 2006-09-24 00:27:10+02:00, kent@mysql.com +2 -1
    Copy Cluster API headers into "/usr/include/mysql/storage/ndb/" (Bug#21955)

  support-files/mysql.spec.sh@1.164.1.1, 2006-09-24 00:28:20+02:00, kent@mysql.com +17 -6
    Removed the rest of the "bench" sub RPM, but added a new "test" sub
    RPM containing the "mysql-test" directory earlier in the "bench" sub
    RPM. The new sub RPM "Obsoltes" "mysql-bench" as well.
    
    Added the rest of the binaries that "make install" would install
    
      bin/ndb_print_backup_file
      bin/ndb_print_schema_file
      bin/ndb_print_sys_file
      sbin/ndb_cpcd

ChangeSet@1.2273.65.12, 2006-09-23 15:24:45+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +3 -0
  binlog_row_binlog test gained some indeterministic checks with changes due to
  ChangeSet@1.2309.1.12, 2006-09-12 15:42:13+02:00, guilhem@gbichot3.local +14 -0
    Fixing problems I identified in my auto_increment work pushed in July
    (as part of the auto_increment cleanup of WL #3146; ...
  The problem is in that show binlog events in indeterministic, row events can be compressed,
  so that 2 seconds original delay does not guard from inconsistency.
  
  We syncronize test's current inserted rows counter with system insert delayed thread
  per each query.
  
  From another side there is no requirement for binlog to be event per row and then 
  to verify if binlog has recorded what was recently inserted is better
  via reading from it instead of 'show binlog events'. 

  mysql-test/extra/binlog_tests/binlog_insert_delayed.test@1.3, 2006-09-23 15:24:41+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +21 -11
    removing sleeps, syncronizing with system delayed thread per each statement,
    note that an insert statement is performed atomically including writing to binlog,
    so that concurrent selects are waiting. That's why the wait macro is safe.

  mysql-test/include/wait_until_rows_count.inc@1.1, 2006-09-23 15:24:41+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +52 -0
    macro implements waiting until a targeted table has a prescribed rows number.
    

  mysql-test/include/wait_until_rows_count.inc@1.0, 2006-09-23 15:24:41+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +0 -0

  mysql-test/r/binlog_row_binlog.result@1.7, 2006-09-23 15:24:41+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +1 -0
    new result

ChangeSet@1.2273.60.2, 2006-09-22 23:32:47-07:00, brian@zim.(none) +1 -0
  Required file for next tests (taken from work by JimW in Falcon)

  mysql-test/r/true.require@1.1, 2006-09-22 23:32:43-07:00, brian@zim.(none) +2 -0
    New BitKeeper file ``mysql-test/r/true.require''

  mysql-test/r/true.require@1.0, 2006-09-22 23:32:43-07:00, brian@zim.(none) +0 -0

ChangeSet@1.2273.62.8, 2006-09-23 07:07:29+02:00, lars@mysql.com +1 -0
  Disabling test case

  mysql-test/t/disabled.def@1.204.2.2, 2006-09-23 07:07:26+02:00, lars@mysql.com +1 -0
    Disabling test case

ChangeSet@1.1810.2154.1, 2006-09-22 17:43:05+02:00, msvensson@neptunus.(none) +3 -0
  Netware changes for build with  yaSSL
  - Make mwenv automatically adapt the setting to current build dir.
  - Fix include paths that mwccnlm does not understand
  - Link libmysl with yassl  

  netware/BUILD/mwccnlm@1.8, 2006-09-22 17:43:03+02:00, msvensson@neptunus.(none) +6 -3
    Update mwccnlm to convert -I../.. to -I../../

  netware/BUILD/mwenv@1.12.2.1, 2006-09-22 17:43:03+02:00, msvensson@neptunus.(none) +28 -8
    Automatically detect current build dir and based on that calculate current build dir in winw format.
    Allow caller to define MYDEV to override the defatul "F:/mydev"
    Set all paths from these three variables 

  netware/Makefile.am@1.15.1.2, 2006-09-22 17:43:03+02:00, msvensson@neptunus.(none) +2 -1
    Link libmysql with yassl_libs 

ChangeSet@1.1616.2765.2, 2006-09-22 19:23:58+04:00, kaa@polly.local +3 -0
  Fixed bug #22129: A small double precision number becomes zero
  Better checks for underflow/overflow

  mysql-test/r/type_float.result@1.25.1.11, 2006-09-22 19:23:57+04:00, kaa@polly.local +7 -0
    Added testcase for bug #22129

  mysql-test/t/type_float.test@1.15.1.7, 2006-09-22 19:23:57+04:00, kaa@polly.local +10 -1
    Added testcase for bug #22129

  strings/strtod.c@1.15.2.1, 2006-09-22 19:23:57+04:00, kaa@polly.local +44 -25
    Fixed bug #22129: A small double precision number becomes zero
    Better checks for underflow/overflow

ChangeSet@1.1346.883.2, 2006-09-22 17:23:25+02:00, istruewing@chilla.local +1 -0
  Bug#14400 - Query joins wrong rows from table which is subject of
              "concurrent insert"
  After merge fix.

  myisam/mi_rkey.c@1.11.1.7, 2006-09-22 17:23:24+02:00, istruewing@chilla.local +1 -0
    Bug#14400 - Query joins wrong rows from table which is subject of
                "concurrent insert"
    After merge fix.

ChangeSet@1.2181.184.1, 2006-09-22 16:35:52+03:00, jani@ua141d10.elisa.omakaista.fi +9 -0
  Fixed result file. Blob width 8192 changed to 16777216.

  mysql-test/r/ps_6bdb.result@1.45.1.1, 2006-09-22 16:35:49+03:00, jani@ua141d10.elisa.omakaista.fi +136 -136
    Fixed result file. Blob width 8192 changed to 16777216.

  include/mysql_com.h@1.108.1.1, 2006-09-22 16:35:49+03:00, jani@ua141d10.elisa.omakaista.fi +1 -1
    Fix for Bug#20208 "Blobs greater than 8K are being truncated to 8K"
    
    

  mysql-test/r/ps_2myisam.result@1.43.1.1, 2006-09-22 16:35:49+03:00, jani@ua141d10.elisa.omakaista.fi +136 -136
    Fixed result file. Blob width 8192 changed to 16777216.

  mysql-test/r/ps_3innodb.result@1.46.1.1, 2006-09-22 16:35:49+03:00, jani@ua141d10.elisa.omakaista.fi +136 -136
    Fixed result file. Blob width 8192 changed to 16777216.

  mysql-test/r/ps_4heap.result@1.42.1.1, 2006-09-22 16:35:49+03:00, jani@ua141d10.elisa.omakaista.fi +136 -136
    Fixed result file. Blob width 8192 changed to 16777216.

  mysql-test/r/ps_5merge.result@1.43.1.1, 2006-09-22 16:35:49+03:00, jani@ua141d10.elisa.omakaista.fi +272 -272
    Fixed result file. Blob width 8192 changed to 16777216.

  sql/filesort.cc@1.109.1.1, 2006-09-22 16:35:49+03:00, jani@ua141d10.elisa.omakaista.fi +1 -0
    Added a missing break point.

  sql/item.cc@1.195.1.1, 2006-09-22 16:35:49+03:00, jani@ua141d10.elisa.omakaista.fi +9 -3
    Made a function of a block of code.

  sql/item.h@1.203.1.1, 2006-09-22 16:35:49+03:00, jani@ua141d10.elisa.omakaista.fi +1 -0
    Added function string_field_type()

ChangeSet@1.1810.2151.5, 2006-09-22 14:42:43+02:00, georg@lmy002.wdf.sap.corp +6 -0
  Fix for bug #19121: Windows incompatible udf_example

  sql/CMakeLists.txt@1.1.1.1, 2006-09-22 14:42:40+02:00, georg@lmy002.wdf.sap.corp +4 -1
    Added missing udf_example

  BitKeeper/etc/collapsed@1.4.1.1, 2006-09-22 14:42:01+02:00, georg@lmy002.wdf.sap.corp +1 -0

  mysql-test/mysql-test-run.pl@1.30.42.1, 2006-09-22 14:42:40+02:00, georg@lmy002.wdf.sap.corp +3 -1
    fixed path for udf_example.so when running testsuite on Windows

  sql/Makefile.am@1.103.4.1, 2006-09-22 14:42:40+02:00, georg@lmy002.wdf.sap.corp +2 -1
    Added udf_example files for make dist

  sql/udf_example.c@1.29.1.1, 2006-09-22 14:42:40+02:00, georg@lmy002.wdf.sap.corp +11 -0
    fix for Windows: Windows doesn't have socket.h and friends
    
    Added replacements for strmov,bzero and memcpy_fixed when compiling standalone.

  sql/udf_example.def@1.1, 2006-09-22 14:42:40+02:00, georg@lmy002.wdf.sap.corp +24 -0
    BitKeeper file /home/georg/work/mysql/prod/mysql-5.0-win/sql/udf_example.def

  sql/udf_example.def@1.0, 2006-09-22 14:42:40+02:00, georg@lmy002.wdf.sap.corp +0 -0

ChangeSet@1.2289.1.1, 2006-09-22 20:22:50+08:00, gni@dev3-127.(none) +3 -0
  BUG@21585  The --help option shows a screen of command options for the ndbd, ndb_mgmd, ndb_mgm
             and other commands related to ndb. For all of these, the help screen contains 
             "Ndb.cfg" string. Now i change the "Ndb.cfg" to "my.cnf" because "Ndb.cfg" is obsolete.

  storage/ndb/include/util/ndb_opts.h@1.17, 2006-09-22 20:22:47+08:00, gni@dev3-127.(none) +1 -1
    Change help information from including "Ndb.cfg" to "my.cnf" in the header file.

  storage/ndb/test/ndbapi/flexScan.cpp@1.11, 2006-09-22 20:22:47+08:00, gni@dev3-127.(none) +2 -2
    Change help information from including "Ndb.cfg" to "my.cnf".

  storage/ndb/tools/ndb_condig.cpp@1.12.1.1, 2006-09-22 20:22:47+08:00, gni@dev3-127.(none) +1 -1
    Change help information from including "Ndb.cfg" to "my.cnf".

ChangeSet@1.1810.2153.1, 2006-09-22 20:13:03+08:00, gni@dev3-127.(none) +3 -0
  BUG#21585 The --help option shows a screen of command options for ndbd, ndb_mgmd, ndb_mgm 
            and other commands related to ndb. For all of these, the help screen contains
            "Ndb.cfg" string. Now i change the "Ndb.cfg" to "my.cnf" because "Ndb.cfg" is obsolete.

  ndb/include/util/ndb_opts.h@1.10.6.1, 2006-09-22 20:13:00+08:00, gni@dev3-127.(none) +1 -1
    Change help info from "Ndb.cfg" string to "my.cnf" string in the header file.

  ndb/test/ndbapi/flexScan.cpp@1.9.2.1, 2006-09-22 20:13:00+08:00, gni@dev3-127.(none) +2 -2
    Change help info from including "Ndb.cfg" to "my.cnf".

  ndb/tools/ndb_config.cpp@1.4.9.1, 2006-09-22 20:13:00+08:00, gni@dev3-127.(none) +1 -1
    Change help info from including "Ndb.cfg" to "my.cnf".

ChangeSet@1.1810.2096.27, 2006-09-22 14:46:18+05:00, ramil@mysql.com +1 -0
  Fix for bug #22227: ulong not defined for client library
    - don't use (ulong) type cast in the include/mysql_com.h as it's not 
      a standard type and might cause compilation errors on some platforms.

  include/mysql_com.h@1.100.1.10, 2006-09-22 14:46:13+05:00, ramil@mysql.com +4 -4
    Fix for bug #22227: ulong not defined for client library
      - use UL istead of (ulong) type cast.

ChangeSet@1.2273.67.1, 2006-09-22 11:08:47+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +1 -0
  BUG#22067 rpl_rbr_to_sbr and some other fail if NDB is default storage
  
  local file slipped into a previous commit, fixing ignore.

  BitKeeper/etc/ignore@1.246.4.2, 2006-09-22 11:08:43+03:00, aelkin@dsl-hkigw8-feb9fb00-191.dhcp.inet.fi +0 -1
    fixing a slip in previous bk citool invokation.

ChangeSet@1.2273.32.40, 2006-09-22 09:00:23+02:00, msvensson@neptunus.(none) +1 -0
  Fix windows and aix compile problem
   - Variables must be declared first in each block

  storage/innobase/row/row0row.c@1.25, 2006-09-22 09:00:17+02:00, msvensson@neptunus.(none) +2 -1
    Variables must be declared first in each block

ChangeSet@1.1810.2151.4, 2006-09-22 07:38:24+02:00, georg@lmy002.wdf.sap.corp +1 -0
  Added build rule for mysql_upgrade.exe

  client/CMakeLists.txt@1.1.1.1, 2006-09-22 06:50:58+02:00, georg@lmy002.wdf.sap.corp +3 -0
    Added build rule for mysql_upgrade.exe

ChangeSet@1.1810.2096.26, 2006-09-21 21:45:42+02:00, knielsen@bk-internal.mysql.com +1 -0
  After-merge fix (null merge).

  ndb/config/type_ndbapitools.mk.am@1.8.1.2, 2006-09-21 21:45:19+02:00, knielsen@bk-internal.mysql.com +1 -1
    After-merge fix (null merge).

ChangeSet@1.2273.32.38, 2006-09-21 20:37:35+02:00, msvensson@shellback.(none) +1 -0
  Fix Solaris 10  compile failure
   - Void function can't return a value

  storage/innobase/dict/dict0dict.c@1.90, 2006-09-21 20:37:31+02:00, msvensson@shellback.(none) +1 -1
    Void function can't return a value

ChangeSet@1.2273.45.12, 2006-09-21 18:05:02+02:00, mats@romeo.(none) +2 -0
  BUG#22550 (Replication of BIT column failing):
  Using move_field_offset() to move field pointer to other record before
  calling pack()/unpack().

  sql/log_event.cc@1.242.1.1, 2006-09-21 18:04:58+02:00, mats@romeo.(none) +9 -2
    Using move_field_offset() to move the field pointer. It is necessary
    for unpack() and pack() of BIT fields to operate correctly.
    Adding debug printouts.

  sql/sql_class.cc@1.285.1.5, 2006-09-21 18:04:59+02:00, mats@romeo.(none) +11 -2
    Using move_field_offset() to move the field pointer. It is necessary
    for unpack() and pack() of BIT fields to operate correctly.
    Adding debug printouts to packing of update rows event.

ChangeSet@1.1810.2152.2, 2006-09-21 17:38:42+02:00, joerg@trift2. +1 -0
  Add a dummy file for "Docs/manual.chm" as we need it for "make dist" to work.

  Docs/manual.chm@1.1, 2006-09-21 17:37:19+02:00, joerg@trift2. +14 -0
    BitKeeper file /MySQL/M50/push-5.0/Docs/manual.chm

  Docs/manual.chm@1.0, 2006-09-21 17:37:19+02:00, joerg@trift2. +0 -0

ChangeSet@1.2273.62.5, 2006-09-21 15:56:14+02:00, georg@lmy002.wdf.sap.corp +1 -0
  added udf_example.def for make dist

  sql/Makefile.am@1.155.2.1, 2006-09-21 15:56:10+02:00, georg@lmy002.wdf.sap.corp +1 -1
    added udf_example.def for make dist

ChangeSet@1.2273.62.4, 2006-09-21 15:19:20+02:00, georg@lmy002.wdf.sap.corp +6 -0
  Windows 64bit fixes
  Fixed udf_example, so tests now can also run udf on win.

  sql/udf_example.def@1.1, 2006-09-21 15:06:01+02:00, georg@lmy002.wdf.sap.corp +24 -0
    BitKeeper file /home/georg/work/mysql/prod/mysql-5.1-win/sql/udf_example.def

  sql/udf_example.def@1.0, 2006-09-21 15:06:01+02:00, georg@lmy002.wdf.sap.corp +0 -0

  include/config-win.h@1.91, 2006-09-21 15:19:15+02:00, georg@lmy002.wdf.sap.corp +0 -1
    removed USE_32_BIT_TIME

  include/my_time.h@1.15, 2006-09-21 15:19:15+02:00, georg@lmy002.wdf.sap.corp +5 -0
    Fixed size of my_time for Win64 (should be 64bit)

  mysql-test/mysql-test-run.pl@1.170.1.1, 2006-09-21 15:19:15+02:00, georg@lmy002.wdf.sap.corp +3 -1
    Added windows paths for udf_example

  sql/CMakeLists.txt@1.27.1.1, 2006-09-21 15:19:16+02:00, georg@lmy002.wdf.sap.corp +4 -0
    Added udf_example.dll

  sql/udf_example.c@1.30, 2006-09-21 15:19:16+02:00, georg@lmy002.wdf.sap.corp +4 -0
    Windows doesn't know about socket.h and friends. Use winsock.h instead

ChangeSet@1.2273.65.9, 2006-09-21 14:19:17+02:00, lars@mysql.com +5 -0
  After merge fixes

  mysql-test/extra/rpl_tests/rpl_insert_id.test@1.12, 2006-09-21 14:19:13+02:00, lars@mysql.com +41 -17
    After merge fixes

  mysql-test/r/rpl_insert_id.result@1.23, 2006-09-21 14:19:13+02:00, lars@mysql.com +13 -8
    After merge fixes

  mysql-test/r/rpl_row_max_relay_size.result@1.4, 2006-09-21 14:19:13+02:00, lars@mysql.com +230 -18
    After merge fixes

  mysql-test/r/rpl_stm_max_relay_size.result@1.23, 2006-09-21 14:19:13+02:00, lars@mysql.com +18 -18
    After merge fixes

  mysql-test/t/rpl_row_max_relay_size.test@1.3, 2006-09-21 14:19:14+02:00, lars@mysql.com +3 -1
    After merge fixes

ChangeSet@1.1810.2150.5, 2006-09-21 13:38:01+02:00, lars@mysql.com +2 -0
  After merge fixes

  mysql-test/r/rpl_insert_id.result@1.12.3.5, 2006-09-21 13:37:57+02:00, lars@mysql.com +4 -1
    After merge fixes

  mysql-test/r/rpl_max_relay_size.result@1.20.1.2, 2006-09-21 13:37:57+02:00, lars@mysql.com +32 -29
    After merge fixes

ChangeSet@1.1616.2767.3, 2006-09-21 13:19:52+02:00, lars@mysql.com +2 -0
  Adding proper setup phase for test case rpl_insert_id

  mysql-test/r/rpl_insert_id.result@1.10.1.3, 2006-09-21 13:19:50+02:00, lars@mysql.com +24 -0
    Updated result file

  mysql-test/t/rpl_insert_id.test@1.9.1.4, 2006-09-21 13:19:50+02:00, lars@mysql.com +31 -13
    Adding proper setup phase for test case rpl_insert_id

ChangeSet@1.1616.2768.2, 2006-09-21 16:05:01+05:00, ramil@mysql.com +3 -0
  Fix for bug #20204: "order by" changes the results returned
  
  Item_substr's results are improperly stored in a temporary table due to       
  wrongly calculated max_length value for multi-byte charsets if two            
  arguments specified.                                                          

  mysql-test/r/ctype_utf8.result@1.45.1.28, 2006-09-21 16:04:58+05:00, ramil@mysql.com +13 -0
    Fix for bug #20204: "order by" changes the results returned
      - test case.

  mysql-test/t/ctype_utf8.test@1.57.1.18, 2006-09-21 16:04:58+05:00, ramil@mysql.com +12 -0
    Fix for bug #20204: "order by" changes the results returned
      - test result.

  sql/item_strfunc.cc@1.196.6.18, 2006-09-21 16:04:58+05:00, ramil@mysql.com +2 -1
    Fix for bug #20204: "order by" changes the results returned
      - always take into account current mbmaxlen value calculating max_length.

ChangeSet@1.2273.65.7, 2006-09-21 13:04:33+02:00, lars@mysql.com +2 -0
  If mysqlslap schema does not exists, it should be an error, so no need for IF EXISTS
  Setting default database back to 'test', so that next test case don't use the wrong database

  mysql-test/r/rpl_insert.result@1.3, 2006-09-21 13:04:30+02:00, lars@mysql.com +8 -1
    result file update

  mysql-test/t/rpl_insert.test@1.6, 2006-09-21 13:04:30+02:00, lars@mysql.com +9 -6
    If mysqlslap schema does not exists, it should be an error, so no need for IF EXISTS
    Setting default database back to 'test', so that next test case don't use the wrong database

ChangeSet@1.2273.65.6, 2006-09-21 11:45:16+02:00, lars@mysql.com +1 -0
  Added master-slave synchronization to make sure truncate happen before slave manipulations on every platform

  mysql-test/extra/rpl_tests/rpl_row_tabledefs.test@1.5, 2006-09-21 11:45:12+02:00, lars@mysql.com +6 -0
    Added master-slave synchronization to make sure truncate happen before slave manipulations on every platform

ChangeSet@1.2255.61.7, 2006-09-21 13:39:29+04:00, dlenev@mockturtle.local +7 -0
  Fix for bug#20670 "UPDATE using key and invoking trigger that modifies
  this key does not stop" (5.1 version).
  
  UPDATE statement which WHERE clause used key and which invoked trigger
  that modified field in this key worked indefinetely.
  
  This problem occured because in cases when UPDATE statement was
  executed in update-on-the-fly mode (in which row is updated right
  during evaluation of select for WHERE clause) the new version of
  the row became visible to select representing WHERE clause and was
  updated again and again.
  We already solve this problem for UPDATE statements which does not
  invoke triggers by detecting the fact that we are going to update
  field in key used for scanning and performing update in two steps,
  during the first step we gather information about the rows to be
  updated and then doing actual updates. We also do this for
  MULTI-UPDATE and in its case we even detect situation when such
  fields are updated in triggers (actually we simply assume that
  we always update fields used in key if we have before update
  trigger).
  
  The fix simply extends this check which is done with help of
  check_if_key_used()/QUICK_SELECT_I::check_if_keys_used()
  routine/method in such way that it also detects cases when
  field used in key is updated in trigger. We do this by
  changing check_if_key_used() to take field bitmap instead
  field list as argument and passing TABLE::write_set
  to it (we also have to add info about fields used in
  triggers to this bitmap a bit earlier).
  As nice side-effect we have more precise and thus more optimal
  perfomance-wise check for the MULTI-UPDATE.
  Also check_if_key_used() routine and similar method were renamed
  to is_key_used()/is_keys_used() in order to better reflect that
  it is simple boolean predicate.
  Finally, partition_key_modified() routine now also takes field
  bitmap instead of field list as argument.

  sql/key.cc@1.44, 2006-09-21 13:39:27+04:00, dlenev@mockturtle.local +21 -23
    Now check_if_key_used() takes field bitmap instead of field list as
    argument (bitmaps are also used in its implementation).
    It is no longer responsible for checking if key uses automatically
    updated TIMESTAMP fields, instead callers should properly mark such
    fields in field bitmap.
    Also renamed this function to is_key_used().

  sql/mysql_priv.h@1.432.1.1, 2006-09-21 13:39:27+04:00, dlenev@mockturtle.local +1 -1
    Renamed check_if_key_used() to is_key_used(), also now this routine
    takes field bitmap instead of field list as argument. 

  sql/opt_range.cc@1.228.2.1, 2006-09-21 13:39:27+04:00, dlenev@mockturtle.local +8 -8
    QUICK_SELECT_I::check_if_keys_used() method and check_if_key_used()
    routine were renamed to is_keys_used()/is_key_used(). Also now they
    take bitmap instead of field list as argument.

  sql/opt_range.h@1.62.1.1, 2006-09-21 13:39:27+04:00, dlenev@mockturtle.local +5 -6
    QUICK_SELECT_I::check_if_key_used() method was renamed to is_keys_used().
    Now it takes field bitmap instead of field list as argument and no
    longer responsible for checking if key uses automatically updated
    TIMESTAMP fields. Instead callers should properly mark such fields
    in field bitmap.

  sql/sql_partition.cc@1.82.2.3, 2006-09-21 13:39:27+04:00, dlenev@mockturtle.local +5 -7
    partition_key_modified() now takes field bitmap instead of list
    as argument.

  sql/sql_partition.h@1.11, 2006-09-21 13:39:27+04:00, dlenev@mockturtle.local +1 -1
    partition_key_modified() now takes field bitmap as argument
    instead of field list. 

  sql/sql_update.cc@1.204.1.1, 2006-09-21 13:39:27+04:00, dlenev@mockturtle.local +15 -21
    To detect situation in which trigger modifies part of key which is
    going to be used for processing of where clause and thus makes
    processing of this update with update-on-the-fly method unsafe
    we use check_if_key_used() routine and similar method (which were
    renamed to is_key_used()) plus information from TABLE::write_map
    bitmap. Note that we have to call TABLE::mark_columns_needed_for_update()
    method earlier now to fill this bitmap with information about fields
    updated in triggers.
    safe_update_on_fly() routine now uses the same approach and no
    longer needs list of fields as argument.

ChangeSet@1.1810.2131.17, 2006-09-21 11:37:08+02:00, msvensson@shellback.(none) +4 -0
  Use a direct reference to the yassl and taocrypt libtool libraries to link with 

  config/ac-macros/yassl.m4@1.10.2.1, 2006-09-21 11:37:05+02:00, msvensson@shellback.(none) +2 -1
    Use a direct reference to the yassl and taocrypt libtool libraries to link with 

  extra/yassl/taocrypt/benchmark/Makefile.am@1.2, 2006-09-21 11:37:05+02:00, msvensson@shellback.(none) +1 -3
    Use a direct reference to the yassl and taocrypt libtool libraries to link with 

  extra/yassl/taocrypt/test/Makefile.am@1.2, 2006-09-21 11:37:05+02:00, msvensson@shellback.(none) +1 -3
    Use a direct reference to the yassl and taocrypt libtool libraries to link with 

  extra/yassl/testsuite/Makefile.am@1.3.1.2, 2006-09-21 11:37:05+02:00, msvensson@shellback.(none) +2 -3
    Use a direct reference to the yassl and taocrypt libtool libraries to link with 

ChangeSet@1.2273.66.2, 2006-09-21 01:39:09-06:00, tsmith@siva.hindu.god +86 -0
  Applied innodb-5.1 snapshots ss799 and ss854
  
  Bugs fixed:
  - Bug #20877: InnoDB data dictionary memory footprint is too big
  - Bug #13544: Second delete of same row in transaction illustrates non-optimal locking
  - Bug #20791: valgrind errors in InnoDB

  storage/innobase/btr/btr0btr.c@1.50, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +211 -232
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r823:
    Minor cleanup related to Bug #20877.
    
    btr_print_recursive(): Replace tree->tree_indexes with tree->index.
    This should have been done in r453.
    
    univ.i: Add UNIV_BTR_PRINT.
    
    rw_lock_t: Reduce writer_is_wait_ex to a bit and move it close to
    other bitfields.  Change the types to unsigned, in case ulint or ibool
    bitfields will not work.
    
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.
    
    
    Revision r837:
    page_offset(): New function to replace many ut_align_offset(., UNIV_PAGE_SIZE)
    calls.
    
    dict_index_build_node_ptr(): Correct a typo in a comment.
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/btr/btr0cur.c@1.56, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +88 -106
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r816:
    Remove more remnants of mixed indexes.
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r830:
    page_align(ptr): New utility function to replace
    ut_align_down(ptr, UNIV_PAGE_SIZE) calls.
    
    
    Revision r837:
    page_offset(): New function to replace many ut_align_offset(., UNIV_PAGE_SIZE)
    calls.
    
    dict_index_build_node_ptr(): Correct a typo in a comment.
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/btr/btr0pcur.c@1.23, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +39 -42
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r830:
    page_align(ptr): New utility function to replace
    ut_align_down(ptr, UNIV_PAGE_SIZE) calls.
    
    
    Revision r837:
    page_offset(): New function to replace many ut_align_offset(., UNIV_PAGE_SIZE)
    calls.
    
    dict_index_build_node_ptr(): Correct a typo in a comment.
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/btr/btr0sea.c@1.47, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +84 -87
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r816:
    Remove more remnants of mixed indexes.
    
    Revision r824:
    Reduce the size of btr_search_t from 13 machine words to 7.  This
    structure is reserved for every index in the data dictionary cache.
    (Bug #20877)
    
    We could shrink the structure further to three 32-bit words or two
    64-bit words by turning the remaining fields to bit-fields.
    Unfortunately, the fields are not protected by any mutex, and thus we
    would better keep each field aligned to a machine word.
    
    btr_search_t, buf_block_t: Rename "ulint side" to "ibool left_side".
    Remove BTR_SEARCH_LEFT_SIDE and BTR_SEARCH_RIGHT_SIDE, and also rename
    some local variables and function parameters from "ulint side" to
    "ibool left_side".
    
    btr_search_t: Remove the unused fields last_search, n_direction, direction,
    and modify_clock.  Remove the unused constants BTR_SEA_NO_DIRECTION,
    BTR_SEA_LEFT, BTR_SEA_RIGHT, and BTR_SEA_SAME_REC.
    
    btr_search_t: Remove magic_n unless #defined UNIV_DEBUG.  Turn an assertion
    about the magic number into a debug assertion.
    
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/buf/buf0buf.c@1.59, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +31 -30
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r824:
    Reduce the size of btr_search_t from 13 machine words to 7.  This
    structure is reserved for every index in the data dictionary cache.
    (Bug #20877)
    
    We could shrink the structure further to three 32-bit words or two
    64-bit words by turning the remaining fields to bit-fields.
    Unfortunately, the fields are not protected by any mutex, and thus we
    would better keep each field aligned to a machine word.
    
    btr_search_t, buf_block_t: Rename "ulint side" to "ibool left_side".
    Remove BTR_SEARCH_LEFT_SIDE and BTR_SEARCH_RIGHT_SIDE, and also rename
    some local variables and function parameters from "ulint side" to
    "ibool left_side".
    
    btr_search_t: Remove the unused fields last_search, n_direction, direction,
    and modify_clock.  Remove the unused constants BTR_SEA_NO_DIRECTION,
    BTR_SEA_LEFT, BTR_SEA_RIGHT, and BTR_SEA_SAME_REC.
    
    btr_search_t: Remove magic_n unless #defined UNIV_DEBUG.  Turn an assertion
    about the magic number into a debug assertion.
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/buf/buf0flu.c@1.35, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +2 -2
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/buf/buf0lru.c@1.31, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +4 -4
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/buf/buf0rea.c@1.22, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +8 -8
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/data/data0data.c@1.22, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +4 -4
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/data/data0type.c@1.29, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +11 -45
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r816:
    Remove more remnants of mixed indexes.
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.

  storage/innobase/dict/dict0boot.c@1.18, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +51 -54
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r816:
    Remove more remnants of mixed indexes.
    
    Revision r827:
    Make dict_index_find_cols() always succeed.
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/dict/dict0crea.c@1.40, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +38 -37
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r816:
    Remove more remnants of mixed indexes.
    
    Revision r827:
    Make dict_index_find_cols() always succeed.
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r832:
    Add dict_table_get_col_name() in preparation for getting rid of
    dict_col_t::name, and use it instead of col->name everywhere.
    
    Revision r833:
    Tweak the bit-field definitions introduced since r813 to address Bug #20877.
    
    rw_lock_t: Do not make writer_is_wait_ex a bit-field.  There are no fields
    yet that could be fused to the same machine word, but we play it safe,
    because the field writer_is_wait_ex may be modified by several threads
    simultaneously.  Such fields should always be allocated an own machine
    word.
    
    dict_table_t: Change the type of all bit-fields to "unsigned".  Make
    "space" a bit-field of 32 bits.  Move name_hash and id_hash after all
    bit-fields, so that the bit-fields can be allocated together.  Do not
    make autoinc_inited a bit-field, as we cannot allocate any field
    from the same machine word.
    
    dict_build_table_def_step(): Pass a local variable to
    fil_create_new_single_table_tablespace() and initialize table->space
    from it after the call, now that table->space is a bit-field.
    
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/dict/dict0dict.c@1.89, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +320 -496
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r816:
    Remove more remnants of mixed indexes.
    
    Revision r818:
    Remove dict_col_t::hash, dict_col_t::table,
    dict_sys->col_hash, and DICT_POOL_PER_COL_HASH.  (Bug #20877)
    
    The col->table pointer was only needed for maintaining a hash table of
    all defined columns in all tables.  The hash table was only looked up
    in dict_index_find_cols().  Removing the col->hash and col->table
    pointers reduces the size of a table column by two machine words
    (usually 8 or 16 bytes).
    
    dict_col_add_to_cache(), dict_col_reposition_in_cache(),
    dict_col_remove_from_cache(): Remove.  These only updated dict_sys->col_hash.
    
    dict_index_find_cols(): Use a linear search instead of the hash table.
    The time complexity is affected, but this function is only invoked by
    dict_index_add_to_cache(), and we only search the columns of a single
    table (typically at most a few dozen) as opposed to all columns of all
    tables.
    
    
    Revision r819:
    dict_col_t: Reduce ord_part to one bit.
    
    dict_index_add_to_cache(): Instead of incrementing ord_part, set it.
    
    dict_index_remove_from_cache(): Do not touch ord_part.
    
    dtype_t: Reduce mbminlen from 3 to 2 bits.
    
    row_upd(): Add a UNIV_LIKELY hint around node->in_mysql_interface.
    
    
    Revision r820:
    Remove dict_col_t::clust_pos.
    
    dict_col_get_clust_pos(): Add parameter clust_index.  Replace the
    look-up with a linear search of all columns in the clustered index.
    
    row_upd_index_replace_new_col_vals(): Compute clust_index outside
    the loops.  Compute clust_pos outside the inner loop.
    
    row_upd_changes_ord_field_binary(), row_upd_changes_first_fields_binary():
    Compute clust_index outside the loops.  Declare the auxiliary variables
    inside the loop scope.
    
    
    Revision r821:
    dict_table_t: Rename the integer field max_row_size
    to the Boolean field big_rows.  (Bug #20877)
    
    BIG_ROW_SIZE: Move the definition from row0sel.c to dict_table_add_to_cache().
    
    
    Revision r826:
    The code base was reindented in r763 and automatic .emacs indentation
    settings introduced. Some problems were found, so from this commit on one
    additional indentation rule is introduced:
    
     (add-to-list 'c-offsets-alist '(arglist-intro . +))
    
    Note that fixing some of the unfortunate line-splits done in r764 will be
    done in a future change.
    
    Revision r827:
    Make dict_index_find_cols() always succeed.
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r831:
    Add dict_col_get_clust_pos_noninline(), which was forgotten from r820.
    
    
    Revision r832:
    Add dict_table_get_col_name() in preparation for getting rid of
    dict_col_t::name, and use it instead of col->name everywhere.
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.
    
    
    Revision r836:
    Remove dict_col_t::name, replace it with a packed array of column names in
    dict_table_t. This saves 8-15+ bytes of memory per column on 64-bit
    machines.
    
    Revision r837:
    page_offset(): New function to replace many ut_align_offset(., UNIV_PAGE_SIZE)
    calls.
    
    dict_index_build_node_ptr(): Correct a typo in a comment.
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.
    
    Revision r845:
    Split long lines with [] operators better.

  storage/innobase/dict/dict0load.c@1.52, 2006-09-21 01:38:39-06:00, tsmith@siva.hindu.god +58 -50
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r832:
    Add dict_table_get_col_name() in preparation for getting rid of
    dict_col_t::name, and use it instead of col->name everywhere.
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/dict/dict0mem.c@1.24, 2006-09-21 01:38:40-06:00, tsmith@siva.hindu.god +91 -13
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r818:
    Remove dict_col_t::hash, dict_col_t::table,
    dict_sys->col_hash, and DICT_POOL_PER_COL_HASH.  (Bug #20877)
    
    The col->table pointer was only needed for maintaining a hash table of
    all defined columns in all tables.  The hash table was only looked up
    in dict_index_find_cols().  Removing the col->hash and col->table
    pointers reduces the size of a table column by two machine words
    (usually 8 or 16 bytes).
    
    dict_col_add_to_cache(), dict_col_reposition_in_cache(),
    dict_col_remove_from_cache(): Remove.  These only updated dict_sys->col_hash.
    
    dict_index_find_cols(): Use a linear search instead of the hash table.
    The time complexity is affected, but this function is only invoked by
    dict_index_add_to_cache(), and we only search the columns of a single
    table (typically at most a few dozen) as opposed to all columns of all
    tables.
    
    
    Revision r820:
    Remove dict_col_t::clust_pos.
    
    dict_col_get_clust_pos(): Add parameter clust_index.  Replace the
    look-up with a linear search of all columns in the clustered index.
    
    row_upd_index_replace_new_col_vals(): Compute clust_index outside
    the loops.  Compute clust_pos outside the inner loop.
    
    row_upd_changes_ord_field_binary(), row_upd_changes_first_fields_binary():
    Compute clust_index outside the loops.  Declare the auxiliary variables
    inside the loop scope.
    
    
    Revision r821:
    dict_table_t: Rename the integer field max_row_size
    to the Boolean field big_rows.  (Bug #20877)
    
    BIG_ROW_SIZE: Move the definition from row0sel.c to dict_table_add_to_cache().
    
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.
    
    
    Revision r836:
    Remove dict_col_t::name, replace it with a packed array of column names in
    dict_table_t. This saves 8-15+ bytes of memory per column on 64-bit
    machines.

  storage/innobase/eval/eval0eval.c@1.12, 2006-09-21 01:38:40-06:00, tsmith@siva.hindu.god +1 -1
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r826:
    The code base was reindented in r763 and automatic .emacs indentation
    settings introduced. Some problems were found, so from this commit on one
    additional indentation rule is introduced:
    
     (add-to-list 'c-offsets-alist '(arglist-intro . +))
    
    Note that fixing some of the unfortunate line-splits done in r764 will be
    done in a future change.

  storage/innobase/eval/eval0proc.c@1.7, 2006-09-21 01:38:40-06:00, tsmith@siva.hindu.god +2 -2
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/fil/fil0fil.c@1.71, 2006-09-21 01:38:40-06:00, tsmith@siva.hindu.god +30 -31
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/fsp/fsp0fsp.c@1.34, 2006-09-21 01:38:40-06:00, tsmith@siva.hindu.god +66 -65
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.
    
    Revision r845:
    Split long lines with [] operators better.

  storage/innobase/handler/ha_innodb.cc@1.298, 2006-09-21 01:38:41-06:00, tsmith@siva.hindu.god +21 -30
    Applied innodb-5.1 snapshots ss799 and ss854

  storage/innobase/handler/ha_innodb.h@1.127, 2006-09-21 01:38:42-06:00, tsmith@siva.hindu.god +0 -2
    Applied innodb-5.1 snapshots ss799 and ss854

  storage/innobase/ibuf/ibuf0ibuf.c@1.49, 2006-09-21 01:38:42-06:00, tsmith@siva.hindu.god +72 -68
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r832:
    Add dict_table_get_col_name() in preparation for getting rid of
    dict_col_t::name, and use it instead of col->name everywhere.
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/include/btr0btr.h@1.18, 2006-09-21 01:38:43-06:00, tsmith@siva.hindu.god +15 -15
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".

  storage/innobase/include/btr0btr.ic@1.11, 2006-09-21 01:38:43-06:00, tsmith@siva.hindu.god +1 -1
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r837:
    page_offset(): New function to replace many ut_align_offset(., UNIV_PAGE_SIZE)
    calls.
    
    dict_index_build_node_ptr(): Correct a typo in a comment.

  storage/innobase/include/btr0cur.h@1.21, 2006-09-21 01:38:43-06:00, tsmith@siva.hindu.god +6 -6
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".

  storage/innobase/include/btr0cur.ic@1.12, 2006-09-21 01:38:43-06:00, tsmith@siva.hindu.god +11 -25
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".

  storage/innobase/include/btr0pcur.h@1.11, 2006-09-21 01:38:43-06:00, tsmith@siva.hindu.god +8 -4
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r817:
    btr0pcur.h: Change FIXME to TODO.

  storage/innobase/include/btr0sea.h@1.12, 2006-09-21 01:38:44-06:00, tsmith@siva.hindu.god +17 -32
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r824:
    Reduce the size of btr_search_t from 13 machine words to 7.  This
    structure is reserved for every index in the data dictionary cache.
    (Bug #20877)
    
    We could shrink the structure further to three 32-bit words or two
    64-bit words by turning the remaining fields to bit-fields.
    Unfortunately, the fields are not protected by any mutex, and thus we
    would better keep each field aligned to a machine word.
    
    btr_search_t, buf_block_t: Rename "ulint side" to "ibool left_side".
    Remove BTR_SEARCH_LEFT_SIDE and BTR_SEARCH_RIGHT_SIDE, and also rename
    some local variables and function parameters from "ulint side" to
    "ibool left_side".
    
    btr_search_t: Remove the unused fields last_search, n_direction, direction,
    and modify_clock.  Remove the unused constants BTR_SEA_NO_DIRECTION,
    BTR_SEA_LEFT, BTR_SEA_RIGHT, and BTR_SEA_SAME_REC.
    
    btr_search_t: Remove magic_n unless #defined UNIV_DEBUG.  Turn an assertion
    about the magic number into a debug assertion.

  storage/innobase/include/buf0buf.h@1.36, 2006-09-21 01:38:46-06:00, tsmith@siva.hindu.god +2 -5
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r824:
    Reduce the size of btr_search_t from 13 machine words to 7.  This
    structure is reserved for every index in the data dictionary cache.
    (Bug #20877)
    
    We could shrink the structure further to three 32-bit words or two
    64-bit words by turning the remaining fields to bit-fields.
    Unfortunately, the fields are not protected by any mutex, and thus we
    would better keep each field aligned to a machine word.
    
    btr_search_t, buf_block_t: Rename "ulint side" to "ibool left_side".
    Remove BTR_SEARCH_LEFT_SIDE and BTR_SEARCH_RIGHT_SIDE, and also rename
    some local variables and function parameters from "ulint side" to
    "ibool left_side".
    
    btr_search_t: Remove the unused fields last_search, n_direction, direction,
    and modify_clock.  Remove the unused constants BTR_SEA_NO_DIRECTION,
    BTR_SEA_LEFT, BTR_SEA_RIGHT, and BTR_SEA_SAME_REC.
    
    btr_search_t: Remove magic_n unless #defined UNIV_DEBUG.  Turn an assertion
    about the magic number into a debug assertion.

  storage/innobase/include/data0data.ic@1.13, 2006-09-21 01:38:46-06:00, tsmith@siva.hindu.god +1 -1
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.

  storage/innobase/include/data0type.h@1.28, 2006-09-21 01:38:47-06:00, tsmith@siva.hindu.god +71 -62
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r816:
    Remove more remnants of mixed indexes.
    
    Revision r819:
    dict_col_t: Reduce ord_part to one bit.
    
    dict_index_add_to_cache(): Instead of incrementing ord_part, set it.
    
    dict_index_remove_from_cache(): Do not touch ord_part.
    
    dtype_t: Reduce mbminlen from 3 to 2 bits.
    
    row_upd(): Add a UNIV_LIKELY hint around node->in_mysql_interface.
    
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.

  storage/innobase/include/data0type.ic@1.31, 2006-09-21 01:38:47-06:00, tsmith@siva.hindu.god +145 -123
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r816:
    Remove more remnants of mixed indexes.
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.
    
    
    Revision r838:
    Revamp the line splits done in r763 and r764 that can now be done better,
    thanks to r826.

  storage/innobase/include/dict0boot.h@1.8, 2006-09-21 01:38:47-06:00, tsmith@siva.hindu.god +1 -1
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r816:
    Remove more remnants of mixed indexes.

  storage/innobase/include/dict0dict.h@1.47, 2006-09-21 01:38:47-06:00, tsmith@siva.hindu.god +131 -93
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r816:
    Remove more remnants of mixed indexes.
    
    Revision r818:
    Remove dict_col_t::hash, dict_col_t::table,
    dict_sys->col_hash, and DICT_POOL_PER_COL_HASH.  (Bug #20877)
    
    The col->table pointer was only needed for maintaining a hash table of
    all defined columns in all tables.  The hash table was only looked up
    in dict_index_find_cols().  Removing the col->hash and col->table
    pointers reduces the size of a table column by two machine words
    (usually 8 or 16 bytes).
    
    dict_col_add_to_cache(), dict_col_reposition_in_cache(),
    dict_col_remove_from_cache(): Remove.  These only updated dict_sys->col_hash.
    
    dict_index_find_cols(): Use a linear search instead of the hash table.
    The time complexity is affected, but this function is only invoked by
    dict_index_add_to_cache(), and we only search the columns of a single
    table (typically at most a few dozen) as opposed to all columns of all
    tables.
    
    
    Revision r820:
    Remove dict_col_t::clust_pos.
    
    dict_col_get_clust_pos(): Add parameter clust_index.  Replace the
    look-up with a linear search of all columns in the clustered index.
    
    row_upd_index_replace_new_col_vals(): Compute clust_index outside
    the loops.  Compute clust_pos outside the inner loop.
    
    row_upd_changes_ord_field_binary(), row_upd_changes_first_fields_binary():
    Compute clust_index outside the loops.  Declare the auxiliary variables
    inside the loop scope.
    
    
    Revision r827:
    Make dict_index_find_cols() always succeed.
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r831:
    Add dict_col_get_clust_pos_noninline(), which was forgotten from r820.
    
    
    Revision r832:
    Add dict_table_get_col_name() in preparation for getting rid of
    dict_col_t::name, and use it instead of col->name everywhere.
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.
    
    
    Revision r836:
    Remove dict_col_t::name, replace it with a packed array of column names in
    dict_table_t. This saves 8-15+ bytes of memory per column on 64-bit
    machines.

  storage/innobase/include/dict0dict.ic@1.19, 2006-09-21 01:38:47-06:00, tsmith@siva.hindu.god +146 -101
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r820:
    Remove dict_col_t::clust_pos.
    
    dict_col_get_clust_pos(): Add parameter clust_index.  Replace the
    look-up with a linear search of all columns in the clustered index.
    
    row_upd_index_replace_new_col_vals(): Compute clust_index outside
    the loops.  Compute clust_pos outside the inner loop.
    
    row_upd_changes_ord_field_binary(), row_upd_changes_first_fields_binary():
    Compute clust_index outside the loops.  Declare the auxiliary variables
    inside the loop scope.
    
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.

  storage/innobase/include/dict0mem.h@1.32, 2006-09-21 01:38:47-06:00, tsmith@siva.hindu.god +94 -74
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r813:
    Reduce the size of the data dictionary cache.  (Bug #20877)
    
    dtype_t: Remove unused field "prec", which was supposed to be used for
    the precision of decimal columns in stand-alone InnoDB.
    
    dtype_get_prec(): Remove.
    
    dtype_set(), dict_mem_table_add_col(): Remove parameter "prec".
    
    dtype_t: Turn all fields (mtype, prtype, len, mbminlen, mbmaxlen, len)
    into bit-fields.
    
    dict_table_t, dict_index_t, dict_tree_t: Omit magic_n from non-debug builds.
    
    dict_col_t: Turn ind, clust_pos, and ord_part into bit-fields.
    
    Replace the default clust_pos value ULINT_UNDEFINED with
    REC_MAX_N_FIELDS and replace all references to clust_pos with calls to
    the accessor function dict_col_get_clust_pos().
    
    dict_field_t: Turn prefix_len and fixed_len into bit-fields.
    
    dict_tree_t: Remove pad[64].
    
    dict_table_t: Turn the fields ibd_file_missing, tablespace_discarded,
    cached, flags, stat_initialized, and autoinc_inited into bit-fields.
    Remove does_not_fit_in_memory from non-debug builds.
    
    dict_index_t: Turn the fields trx_id_offset, n_user_defined_cols,
    n_uniq, n_def, n_fields, n_nullable, and cached into bit-fields.
    
    dict_foreign_struct: Turn n_fields and type into bit-fields.
    
    rw_lock_t: Turn cline, last_s_line, and last_x_line into bit-fields.
    Omit level unless #defined UNIV_SYNC_DEBUG.
    
    Move REC_MAX_N_FIELDS (and REC_MAX_HEAP_NO and REC_MAX_N_OWNED)
    from rem0rec.c to rem0types.h, as they are needed in dict0dict.ic.
    dict_col_get_clust_pos(): Map REC_MAX_N_FIELDS to ULINT_UNDEFINED.
    
    
    Revision r815:
    dict_index_t: Remove tree_indexes.  It should have been removed in r453
    when the list in dict_tree_t was replaced with the pointer tree_index.
    
    
    Revision r818:
    Remove dict_col_t::hash, dict_col_t::table,
    dict_sys->col_hash, and DICT_POOL_PER_COL_HASH.  (Bug #20877)
    
    The col->table pointer was only needed for maintaining a hash table of
    all defined columns in all tables.  The hash table was only looked up
    in dict_index_find_cols().  Removing the col->hash and col->table
    pointers reduces the size of a table column by two machine words
    (usually 8 or 16 bytes).
    
    dict_col_add_to_cache(), dict_col_reposition_in_cache(),
    dict_col_remove_from_cache(): Remove.  These only updated dict_sys->col_hash.
    
    dict_index_find_cols(): Use a linear search instead of the hash table.
    The time complexity is affected, but this function is only invoked by
    dict_index_add_to_cache(), and we only search the columns of a single
    table (typically at most a few dozen) as opposed to all columns of all
    tables.
    
    
    Revision r819:
    dict_col_t: Reduce ord_part to one bit.
    
    dict_index_add_to_cache(): Instead of incrementing ord_part, set it.
    
    dict_index_remove_from_cache(): Do not touch ord_part.
    
    dtype_t: Reduce mbminlen from 3 to 2 bits.
    
    row_upd(): Add a UNIV_LIKELY hint around node->in_mysql_interface.
    
    
    Revision r820:
    Remove dict_col_t::clust_pos.
    
    dict_col_get_clust_pos(): Add parameter clust_index.  Replace the
    look-up with a linear search of all columns in the clustered index.
    
    row_upd_index_replace_new_col_vals(): Compute clust_index outside
    the loops.  Compute clust_pos outside the inner loop.
    
    row_upd_changes_ord_field_binary(), row_upd_changes_first_fields_binary():
    Compute clust_index outside the loops.  Declare the auxiliary variables
    inside the loop scope.
    
    
    Revision r821:
    dict_table_t: Rename the integer field max_row_size
    to the Boolean field big_rows.  (Bug #20877)
    
    BIG_ROW_SIZE: Move the definition from row0sel.c to dict_table_add_to_cache().
    
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
    object per index (15 machine words).  Considering the internal
    fragmentation of the buddy allocator in mem_area_alloc(), this should
    save 32 machine words per index (128 bytes on 32-bit systems and 256
    bytes on 64-bit systems).  (Bug #20877)
    
    struct dict_tree_struct, dict_tree_t: Remove.
    
    struct dict_index_struct: Add page and lock.
    
    dict_tree_create(): Remove.  Replace the invocation with
    assignment to index->page and a call to rw_lock_create(&index->lock).
    
    dict_tree_free(): Remove.  Replace the invocation wtih
    a call to rw_lock_free(&index->lock).
    
    dict_index_get_tree(): Remove.
    
    dict_tree_get_space_reserve(): Rename to dict_index_get_space_reserve()
    and remove the parameter, which was unused.
    
    btr_level_list_remove(): Remove the unused parameter "tree".
    
    Replace the occurrences of "tree" with "index" in names of variables,
    functions and data types, e.g. "dict_tree_t tree" becomes
    "dict_index_t index".  Remove local variables "tree" or "index" of
    functions that needed both "tree" and "index".
    
    
    Revision r833:
    Tweak the bit-field definitions introduced since r813 to address Bug #20877.
    
    rw_lock_t: Do not make writer_is_wait_ex a bit-field.  There are no fields
    yet that could be fused to the same machine word, but we play it safe,
    because the field writer_is_wait_ex may be modified by several threads
    simultaneously.  Such fields should always be allocated an own machine
    word.
    
    dict_table_t: Change the type of all bit-fields to "unsigned".  Make
    "space" a bit-field of 32 bits.  Move name_hash and id_hash after all
    bit-fields, so that the bit-fields can be allocated together.  Do not
    make autoinc_inited a bit-field, as we cannot allocate any field
    from the same machine word.
    
    dict_build_table_def_step(): Pass a local variable to
    fil_create_new_single_table_tablespace() and initialize table->space
    from it after the call, now that table->space is a bit-field.
    
    
    Revision r834:
    dict_col_t: Copy the fields of "dtype_t type" directly to this structure,
    so that all integer fields can be packed into 64 bits.  (Bug #20877)
    
    dtype_t: Change the type of all bit-fields to unsigned.
    
    dict_table_get_nth_col(), dict_table_get_sys_col_noninline(),
    dict_table_get_sys_col(), dict_field_get_col(): Return const
    dict_col_t*, so that changes to dict_col_t can be detected more
    easily.  Add const to many dict_col_t* declarations.
    
    dict_index_get_nth_type(): Replace with dict_index_get_nth_col().
    
    dict_col_get_type(): Replace with dict_col_copy_type().
    
    dict_col_get_min_size(), dict_col_get_max_size(), dict_col_get_fixed_size(),
    dict_col_get_sql_null_size(): New functions.
    
    dtype_get_at_most_n_mbchars(): Replace the parameter dtype
    with the parameters prtype, mbminlen, mbmaxlen.
    
    dtype_get_pad_char(), cmp_data_data(), cmp_data_data_slow(),
    cmp_whole_field(): Replace the dtype_t* parameter with the ulint
    parameters mtype, prtype.
    
    dtype_copy(): Add a const qualifier to type2 (the one being copied from).
    
    dtype_set_mblen(): Replaced with dtype_get_mblen().
    
    dtype_get_fixed_size_low(), dtype_get_min_size_low(),
    dtype_get_fixed_max_low(): Replace dtype_get_fixed_size(),
    dtype_get_min_size(), and dtype_get_max_size().  These are used by the
    dict_col_get_{fixed,min,max}_size() functions.
    
    cmp_types_are_equal(): Replace with cmp_cols_are_equal().
    
    dict_table_get_col_name(): Add a const qualifier parameter to the
    parameter "table".
    
    dtype_binary, dtype_binary_val: Remove.
    
    dtype_is_fixed_size(): Remove.
    
    
    Revision r835:
    Change the recently introduced ulint bit-fields to unsigned.
    
    
    Revision r836:
    Remove dict_col_t::name, replace it with a packed array of column names in
    dict_table_t. This saves 8-15+ bytes of memory per column on 64-bit
    machines.

  storage/innobase/include/dict0types.h@1.5, 2006-09-21 01:38:47-06:00, tsmith@siva.hindu.god +0 -1
    Applied innodb-5.1 snapshots ss799 and ss854
    
    Revision r828:
    Remove dict_tree_t, which should have been removed in r453.
    There always was a one-to-one mapping between dict_tree_t and dict_index_t.
    
    This saves 6 machine words per B-tree index in the data dictionary
    cache plus the memory allocation overhead.  We save one mem_heap_t
